2011-02-15  Petr Mladek  <pmladek@suse.cz>  [c6630dee77caac2bcf59a1558842c38c7c2d4de2]

Version 3.3.1.2, tag libreoffice-3.3.1.2 (3.3.1-rc2)


2011-02-08  Petr Mladek  <pmladek@suse.cz>  [8964ceb596c66db5e9677de1ad99f9747342b87b]

Version 3.3.1.1, tag libreoffice-3.3.1.1 (3.3.1-rc1)


2011-02-07  Jan Holesovsky  <kendy@suse.cz>  [737b6a92adca9a8285370918671b93b56a028537]

Branch libreoffice-3-3-1

This is 'libreoffice-3-3-1' - the stable branch for the 3.3.1 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-27  Jani Monoses  <jani.monoses@canonical.com>  [d4d6a678bf169eebee2fe4d71c8ec66de6898d6e]

Remove unused declaration

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [96bee1507119ca0525845022019d90f0694996aa]

Fixed incorrect page number in page preview mode. (fdo#33155)

When the window is large enough to show several 'Page X' strings,
the page number was not properly incremented.  This commit fixes
it.

2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [ed46df1fcb5869818f5f74e0c7a5b19c65102e83]

Fixed incorrect import of cell attributes from Excel documents.

When a cell with non-default formatting attribute starts with non-first
row in a column, the filter would incorrectly apply the same format to
all the cells above it if they didn't have any formats.  This commit
fixes it.

2011-01-13  Kohei Yoshida  <kyoshida@novell.com>  [af63319fcdeea3f9b5018eab83ef5a9e64905446]

Reverting the merge commit 0fe55349b05fae496a86a3fa958d184f0453916c.

I created a patch between before and after the merge commit, and
reverse-applied it.  This is because if you revert a merge commit
in git you are denying all future merges from that branch.  I wasn't
sure if we really wanted that.

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-01-13  Kohei Yoshida  <kyoshida@novell.com>  [5ada5635cff38af87830b091b36159cf80e4cf5d]

Revert "This is also part of the merge."

This reverts commit 0fe55349b05fae496a86a3fa958d184f0453916c.

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [c900e3db767518b7a60eaf24bdf298c94315f685]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [15d298ba7c4e89b043b3077e17747ba027a62c43]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-10  Petr Mladek  <pmladek@suse.cz>  [90cd1207c2da465fff97051f11c7103ec330fb92]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2011-01-07  Kohei Yoshida  <kyoshida@novell.com>  [0fe55349b05fae496a86a3fa958d184f0453916c]

This is also part of the merge.


2011-01-07  Kohei Yoshida  <kyoshida@novell.com>  [c64adfe893eea2d86c46a07ec9c3f99a7b465734]

Merge commit 'ooo/OOO330_m19' into libreoffice-3-3

Conflicts:
	sc/source/core/data/table2.cxx
	sc/source/core/data/table3.cxx

2011-01-06  Kurt Zenker  <kz@openoffice.org>  [1509a04294f7134ebdda348d969af25354f90e23]

CWS-TOOLING: integrate CWS calc64


2011-01-06  Kurt Zenker  <kz@openoffice.org>  [a09c206998f92f799ba408aeae8263ac1159b683]

CWS-TOOLING: integrate CWS ooo33gsl13


2011-01-05  Kohei Yoshida  <kyoshida@novell.com>  [c8a34b04115ed5c1c87bf879f577e711c25c3831]

Make more room for Portuguese locale. (fdo#32823)

Signed-off-by: 	   Michael Meeks <michael.meeks@novell.com>

2011-01-05  Niklas Nebel  <nn@openoffice.org>  [2e7856016590b7c2ac910eaabd5cf860ba135520]

calc64: remove a warning


2011-01-05  Niklas Nebel  <nn@openoffice.org>  [0c2ccbd2fe129b2c7adf368a8a1fb855bf22fc02]

calc64: #i116164# performance of filters with many filtered ranges


2010-12-29  Kohei Yoshida  <kyoshida@novell.com>  [208ef6386f934012bcc7bbdbc2271ebd04952536]

Remove bogus check for numerical sheet names. (fdo#32570)

We apparently put numerical sheet name into quotes somewhere else,
so checking for a number followed by a '.' and flagging it as bad
is not only necessary, it's not appropriate.  E.g. we do support
other formula syntax where the sheet-to-reference separator is not
'.' (Excel A1 and Excel R1C1), thereby making this test even more
inappropriate.

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2010-12-22  Kohei Yoshida  <kyoshida@novell.com>  [25aea9775c2e6777c998d2db7d2d5d5314129fd0]

Actually the object doesn't have to be a cell note.

The same problem happens even when the object is not a cell note,
but, say, a regular text box.  Let's not check whether or not the
object is a cell note.

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2010-12-22  Kohei Yoshida  <kyoshida@novell.com>  [9d59ebed31d016c44f91f8b4587f9852ba65e5b4]

Avoid double-paste when pasting text into cell comment. (fdo#32572)

Original patch is from Caolan.  I re-worked it to handle more use
cases.

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2010-12-18  Petr Mladek  <pmladek@suse.cz>  [a619953e638d7579f688674e9f7ce3a1042d5db5]

Version 3.3.0.2, tag libreoffice-3.3.0.2 (3.3-rc2)


2010-12-14  Kohei Yoshida  <kyoshida@novell.com>  [c1fe450afdc7234c549de3dfac61a620ff213169]

Remove trailing spaces too when parsing csv's simple numbers.


2010-12-14  Caolán McNamara  <caolanm@redhat.com>  [d81a90edf1c9e17eaaff77cb00d49051a5a7d151]

WaE, shadowed warning


2010-12-14  Kohei Yoshida  <kyoshida@novell.com>  [c2e6be18f38240106a3811445d993d35be12a790]

We need to reset i to 0 after parsing spaces.


2010-12-14  Kohei Yoshida  <kyoshida@novell.com>  [6a28e8397ae7a913dc7af1d2bcb3590ce975c1ac]

The previous commit would skip *all* spaces.  This is the right fix.


2010-12-14  Kohei Yoshida  <kyoshida@novell.com>  [15254fc821d2bbed205e814c689b19cafaf1eb8a]

When parsing numbers, ignore preceding spaces.

Also, increment the char pointer and use it directly, which is
faster than accessing char via [] in each iteration.

2010-12-11  Eike Rathke [er]  <eike.rathke@oracle.com>  [8839ada2ba12033f1c7d7ab23f59353e036dbbb2]

ooo33gsl13: #i115906# obtain correct data range for external references * Apparently ScTable::GetFirstDataPos() never worked as intended and selected   the first non-empty row of the first non-empty column instead of also taking   following columns into account where non-empty rows may be on top of that. * Caller of ScDocument::ShrinkToDataArea() must check the return value, if   false there is no data in the area passed and the values obtained may be out   of bounds, not in order or unmodified. * In ScExternalRefMgr a call of ScDocument::ShrinkToUsedDataArea() was   intended instead of ScDocument::ShrinkToDataArea(). For this changed the   return of ShrinkToUsedDataArea() to flag if there is any data and added an   out parameter to flag if the area was shrunk. * Sanitized arguments and slightly optimized ScTable::ShrinkToUsedDataArea()   to not have to check for >0 and <MAX on each iteration. (transplanted from 31b53a2ec7e32f9560464f8a3b9f6c3e07b29083)


2010-12-08  Kohei Yoshida  <kyoshida@novell.com>  [a0bdbcf6481ab9176a7c763284991887d00161ff]

Make the string 'New Record' localizable. (fdo#32209)

This string was hard-coded in the code to be always in English.  This
change makes it localizable.

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2010-12-07  Kohei Yoshida  <kyoshida@novell.com>  [9e338f0677ab068e1bf792db11123b646938edbc]

Display correct record information in Data Form dialog. (fdo#32196)

I had accidentally removed the part that constructed correct string
to display.  Recovered it, and modified it to use OUStringBuffer
instead of sprintf to construct the string.

Signed-off-by: Norbert Thiebaud <nthiebaud@gmail.com>

2010-12-01  Petr Mladek  <pmladek@suse.cz>  [7dc09f19bc5c182ebabb52482db10f828882aad0]

Version 3.3.0.1, tag LIBREOFFICE_3_3_0_1 (3.3-rc1)


2010-11-30  Kohei Yoshida  <kyoshida@novell.com>  [c10648b5aa8b023b6ec3508e8f593c03fb782340]

Changed header license for new files from ooo-build.


2010-11-30  Kohei Yoshida  <kyoshida@novell.com>  [6683ad4daa97331d1ce06136421cd8ec56190b24]

Don't forget to store sheet index of merged cell range to be re-merged.

This fixes fdo#31805.

2010-11-30  Kohei Yoshida  <kyoshida@novell.com>  [04608abcf80b8182509a9fc8b5f0d8088c47e045]

Skip hidden cells while expanding range selection.

This commit happily fixes fdo#31796.

2010-11-29  Kohei Yoshida  <kyoshida@novell.com>  [9938610417b58421ec07386406e0604815c77eaa]

Extracted methods that may be used in another place.


2010-11-29  Kohei Yoshida  <kyoshida@novell.com>  [cbdf7c36bd1128757d4e30d52976717d4ca67b8d]

Removed unused code.


2010-11-29  Kohei Yoshida  <kyoshida@novell.com>  [d8e814b2b0966efb1cc40223bd0025c96b1d825e]

Don't update visible ranges for invisible panes.


2010-11-29  Kohei Yoshida  <kyoshida@novell.com>  [052488532d2237ea12a6cfd72d6e38350e5ae122]

Re-calculate visible range when switching sheets.

Visible range of the current sheet is used to decide whether or not
to render cell cursor.  Failing to do that was causing the cursor
to disappear when switching sheets while the cursor on the current
sheet was invisible. (fdo#31753)

2010-11-29  Kohei Yoshida  <kyoshida@novell.com>  [42485a770ac22f501b6bf6e94215dd42d267c48f]

Fixed use of incorrect integer type during import of outlines.

I was supposed to use SCSIZE to store column / row position but was
incorrectly using sal_uInt8.  This caused import of outlines from
Excel document to entirely get screwed when the outline positions
were > 255, and it was understandably so. :-P (fdo#31833)

2010-11-29  Kohei Yoshida  <kyoshida@novell.com>  [2ad4ec8e3a5960e1bbbcb0d917ac16acdf0f1729]

More strict parsing of external range names.

This is to prevent parsing formula strings such as '=A#REF!' as valid
external range names.  Ideally we should express any formula including
invalid refs simply as '=#REF!' in all cases, but we are not there
yet. (fdo#31741)

2010-11-25  Thorsten Behrens  <tbehrens@novell.com>  [5e643c11ece034c6d1f0a7174fc63b1a9fa1e5d3]

Put show credits entry into all app ui configs


2010-11-25  Katarina Machalkova  <kmachalkova@suse.cz>  [c9b21c9580204dc3b5541900f613dc13be1ae5f9]

Fixed crash in xls export caused by off-by-one iterator

(this is for bnc#653533 and fdo#31141)

2010-11-19  Kohei Yoshida  <kyoshida@novell.com>  [5d8e16bda040c8bc64d1619d034e5c49217fbf03]

No automatic width adjustment of the dropdown popups. (fdo#31710)

Let's not automatically adjust the width of the dropdown popups of
the Values combo boxes in the standard filter dialog.  It looks
better that way.

2010-11-18  Kohei Yoshida  <kyoshida@novell.com>  [5d75f3d8c0689b3dea34747ca4334096ff66913c]

Make VLOOKUP work with an external reference once again. (fdo#31718)


2010-11-18  Tor Lillqvist  <tlillqvist@novell.com>  [27d40392c0164cd616c621b3500adac237a23ca2]

Add workaround to avoid pasting data from OOo Calc as an OLE object

Help for fdo#31077.

2010-11-18  Kohei Yoshida  <kyoshida@novell.com>  [88fb06d76f75c2b907d3ed024dec53cf11a382e0]

Disable document modify and broadcasting of changes on range names.

We don't need to set document status modified & broadcast changes
on every single addition of range names during document import.
Doing so would make the document import painfully slow esp with
docs with lots of range names defined. (n#634257)

Note: this is a backport of the same fix from master.  Please don't
merge this back into master.

2010-11-17  Kohei Yoshida  <kyoshida@novell.com>  [f853b153ceb623624a9a531535b1e1cac5bc58a7]

Changing margins in print preview should mark the document modified.

This fixes fdo#31219.

2010-11-16  Jan Holesovsky  <kendy@suse.cz>  [5a946db883d73807253caafa44d197f7acfb48da]

Merge commit 'ooo/OOO330_m15' into libreoffice-3-3


2010-11-12  Tor Lillqvist  <tml@hemulen.(none)>  [b4feaa937670e58b2a0a6209c0f76674af35dea4]

Merge branch 'feature/pptx-export-ooxml11' into libreoffice-3-3


2010-11-12  obo  <obo@openoffice.org>  [b6ea51bd625595ff923a1695b2137e476aaa0d52]

CWS-TOOLING: integrate CWS calc63


2010-11-11  Jan Holesovsky  <kendy@suse.cz>  [8f416acd20a702f4dbb28f28b0e01b98d0e87925]

Merge commit 'ooo/OOO330_m14' into libreoffice-3-3


2010-11-11  Petr Mladek  <pmladek@suse.cz>  [2e9051f0ecc9dd334d05936dd58dc17775301ca9]

Version 3.2.99.3, tag LIBREOFFICE_3_2_99_3 (3.3-beta3)


2010-11-11  Niklas Nebel  <nn@openoffice.org>  [e89b22dab8ee99c494150d5ccd1f78ba0c8fe502]

calc63: #i115512# RoundValueAsShown: don't round to -1 digits for unlimited precision


2010-11-09  Tor Lillqvist  <tlillqvist@novell.com>  [ab1d9ed24f22a4b840f49ba8ba6cc3a55840d3f7]

Fix Windows build error

Include <windows.h> explicitly, surrounded by the prewin.h and
postwin.h headers. Also #undef ERROR to avoid a clash. Approved by
caolan.

2010-11-09  obo  <obo@openoffice.org>  [c74ef5767ef2f670aab7401bb331bf8a0ba83c17]

CWS-TOOLING: integrate CWS calc62


2010-11-08  Kohei Yoshida  <kyoshida@novell.com>  [3a06b860b69fdbe25317b44c4b13581bd88e736c]

Fixed a crash on importing named ranges on higher sheets.

When importing xls document containing named ranges on sheets higher
than 256 (max number of sheets Calc supports currently), Calc would
crash.  We need to check for the upper boundary condition before
accessing the array by index to prevent crash. (n#649941)

2010-11-08  Niklas Nebel  <nn@openoffice.org>  [a92726be8f251b1cd4d8c0c9413308ee3011ef55]

calc62: #i115431# if #VALUE! doesn't fit into the cell, always use hashes


2010-11-08  Niklas Nebel  <nn@openoffice.org>  [e939353f9c1486f149a481b25a2c57103189c9bb]

calc62: #i115431# treat DataPilot filter field numbers as relative to the sheet, set MK_ERR bit for errors


2010-11-07  Tor Lillqvist  <tlillqvist@novell.com>  [4b11adaf8ae282636c1a7f400485dca90c7f8f3a]

Fix compilation error


2010-11-05  Kurt Zenker  <kz@openoffice.org>  [2d9884e79d5885ee708e29dbd21b13ad0c3e6631]

CWS-TOOLING: integrate CWS calc33stopper2


2010-11-03  Kohei Yoshida  <kyoshida@novell.com>  [55cd5ed89d0eb1f3be976d592438fa9f8fabc52d]

Set correct default formula syntax value in case it's not explicitly set.

When starting from a fresh config, Calc failed to assign default 'Calc A1'
syntax unless the user specifically goes to the Options page and sets the
formula syntax in the Calc - Formula options page.  This caused e.g.
print range editing to fail miserably. (fdo#31041)

2010-11-02  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [1a647a5e1b76e24cf250ef66dc9604e956e3112d]

calc33stopper2: #i115313# revert calculation of scaling factor for drawing layer to behaviour of OOo 3.2


2010-11-01  Jan Holesovsky  <kendy@suse.cz>  [287d59ff7b1002f698ecf4a4e7a6a08ec4e6269a]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/calc


2010-11-01  Caolán McNamara  <caolanm@redhat.com>  [9a6aaec770b8974c4266c956838d5f2849241f3e]

there's something very odd going on here


2010-11-01  Jan Holesovsky  <kendy@suse.cz>  [0721832dce822121f1d0332367710371b7b48746]

Merge commit 'ooo/OOO330_m13'


2010-11-01  Caolán McNamara  <caolanm@redhat.com>  [1a7305a40c8268d93f1705a99bbfa196217b9d7e]

give another go at enabling this test using rdb copies and only for Linux


2010-10-31  Joost Eekhoorn  <joost.eekhoorn@gmail.com>  [62b9c0782c978213a267acb1b29f40d8ddcadc7d]

use RTL_CONSTASCII_USTRING_PARAM


2010-10-31  Joost Eekhoorn  <joost.eekhoorn@gmail.com>  [f2129a34f7a11702655ca0d351a8bd616cf3d9f9]

use RTL_CONSTASCII_USTRING_PARAM


2010-10-31  Joost Eekhoorn  <joost.eekhoorn@gmail.com>  [ab2d21c508f7e4bd4e7bd589e391aafa55d7d715]

use RTL_CONSTASCII_USTRING_PARAM


2010-10-31  Joost Eekhoorn  <joost.eekhoorn@gmail.com>  [33eafa027d082a7f554cabf52f5809a9afc82c2f]

use RTL_CONSTASCII_USTRING_PARAM


2010-10-30  Gert Faller  <gertfaller@aliceadsl.fr>  [deed86a648da07a0cee8dd7f328e534722f06986]

Use RTL_CONSTASCII_USTRINGPARAM macro


2010-10-29  Muthu Subramanian K  <sumuthu@novell.com>  [246c6b2c1ff8f2d14225438fa2f32386037820f8]

Disabling commentPr export - since MSO is yet to support this.


2010-10-28  Kohei Yoshida  <kyoshida@novell.com>  [5d5738ac9cc7e73f40dcb6a6888e32a496dc283b]

Allow activation of cell even when the document is read-only.

This behavior is very handy when checking for referenced cells
visually by pressing F2.  No cell content modification is allowed
of course. (n#647982)

2010-10-28  Caolán McNamara  <caolanm@redhat.com>  [0ab872e1fc7d32525e296f0ace5a9efd6035b102]

add modelines to .hxx files as well


2010-10-28  Caolán McNamara  <caolanm@redhat.com>  [c202e534d44ed2dc10ed82c2317f1ab281ab0fa8]

Lets try a local copy

lets copy them, on the theory that someone might be editing them during the
test

2010-10-28  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [1e5f0d00b30f5fd85fd224fc73cc26d5ecbc2099]

Fixed a condition: the filter needs to be checked for NULL in every case


2010-10-28  obo  <obo@openoffice.org>  [2a75245b7f40a23fc5d866912aa8dacd3637448f]

CWS-TOOLING: integrate CWS calc61


2010-10-27  Niklas Nebel  <nn@openoffice.org>  [c929d0319d72247a9fb3db00aac412a3ef836589]

calc61: #i115266# handle multiple selection for printing, return valid settings for invalid selection, catch exception from getRenderer


2010-10-27  Katarina Machalkova  <kmachalkova@suse.cz>  [30447aa878487763f426eaf1c5f135139a95d3ea]

Merged xlsx-shared-oox-chart-export-part1.diff from ooo-build


2010-10-27  Norbert Thiebaud  <nthiebaud@gmail.com>  [2961601093ef8527f0b3352f32868a0f7b94916e]

remove vos reference from uno xml descriptions


2010-10-27  Thorsten Behrens  <tbehrens@novell.com>  [b0839380bdcdd175fa05ea7a09b8f1df52917dc9]

Revert "enable this again ;-)"

This reverts commit 263f325e3fcd629a445b36a5bf7487731996a813. Cannot
register configmgr on at least two different platforms.

2010-10-26  Caolán McNamara  <caolanm@redhat.com>  [263f325e3fcd629a445b36a5bf7487731996a813]

enable this again ;-)


2010-10-26  Caolán McNamara  <caolanm@redhat.com>  [7c16a220cb20f9c0b2a9af9adb2c03ec6ba30aad]

need salhelper now to build


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [4df20220a7ae3119141f572a12a2b887d7a12c50]

Finally, gut the vos module out of the build


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [1c3d4c35f42ab9ad4ed726623cd24d24891a0fe5]

remvove vos/macros.h usage


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [336b645aeed33d2bad4850af2d4b811b29972701]

merge vosremoval-mutex.diff

In practice the changeset is 'inspired' by vosremoval-mutex.diff
but was essentially redone manually

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [56a52533d446c89592f838f3b50c97d6b7ff3961]

merge vosremoval-reference.diff


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [e8c6a8e214441ac19a4e39511c757c8085c89366]

Use a SolarMutexGuard rather that direct acquire/release on the SolarMutex


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [f272c0cca18856f6fe1d8213314d581f3f77e1ba]

Replace a suspicious Guard on a solar mutex.

This site use a OClearableGuard that is being converted to a SolarMutexGuard
Guard will do... What is suspicious is the point where it is cleared.
It seems that it is way to early to serve its declared purpose.

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [5a1c98320a53b37ae53c3e1ef6ddddbfe4f75de3]

replace ScUnoGuard by SolarMutexGuard

ScUnoGaurd provide a Guard wrapper around Application::GetSolarMutex().
This is now provided by the class SolarMutexGuard.

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [93b7b336bcf40b92f595323898228442279fae29]

use SolarMutexGuard to guard the SolarMutex


2010-10-25  obo  <obo@openoffice.org>  [c26e034840bb7bde528e0636395577cc98133db7]

CWS-TOOLING: integrate CWS calc33stopper1


2010-10-24  Jan Holesovsky  <kendy@suse.cz>  [61f44441e91938dde4a71ccc610df0ce3c3ba3d0]

Merge commit 'ooo/OOO330_m12'


2010-10-23  Kohei Yoshida  <kyoshida@novell.com>  [57b695a2a5f69190f54e33f610e2a4a9fcca19b1]

When launching the ref input window, we need to select the initial string.

Launching the reference input window from the formula wizard dialog did not
set initial selection over the whole reference string.  For instance, type
=ABS(A1) in a cell, open up the formula wizard dialog, then click the
reference button to launch the reference input which has 'A1' inside, this
string.  Because 'A1' was not selected, when you click on another cell it
would not overwrite the old reference string.

This commit fixes it.

2010-10-23  Kohei Yoshida  <kyoshida@novell.com>  [dcc9d619df1b2b8f77b25930206bdaf747ca6ab7]

Fix incorrect display of references from the formula input wizard.

When launching the reference input dialog from the formula input
wizard, it would not display the sheet name & it always displayed
the reference as range.  This change fixes it. (fdo#30904)

2010-10-23  Jesús Corrius  <jesus@softcatala.org>  [7aa1f521decd012fbb025bd3905e945074c44bd2]

Make for_each less ambiguous for VC++ 10


2010-10-22  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [ed8dc81ebfb48d90b1a96fb9a7fc3b2bb5eba6d2]

calc33stopper1: #i79854# do not create defined names in Calc for functions


2010-10-22  Niklas Nebel  <nn@openoffice.org>  [64953c94a4a92f0ff77476b853480630387d7b3e]

calc33stopper1: #i115183# no reinterpret_cast between ScDBFunc* and ScTabView*


2010-10-22  Kevin Hunter  <hunteke@earlham.edu>  [e77a1674e9e73d22c4088fdd03eea7d03ffe2af0]

Translate some comments, and remove some dead code


2010-10-21  René Kjellerup  <rk.katana.steel@gmail.com>  [bad79a54415a62f1ceeb6cf02ac926924dd7b895]

Few more translations and a minor clean up.


2010-10-21  Caolán McNamara  <caolanm@redhat.com>  [28ad1e7dcf70f390bd2fa3ff96eff847429aea08]

rhbz#636521 Don't record undo info during escher conversion


2010-10-21  Kohei Yoshida  <kyoshida@novell.com>  [149490915fc1c3ccce250a0a69a8c93320a3cb49]

Fix the regression for range array input (e.g. {=A1:A5}).

Typing in =A1:A5 and expanding to create a range array was broken.
This change will fix that. (fdo#30882)

2010-10-21  Andras Timar  <timar@fsf.hu>  [9fe87047580c7a2893ac290fb90edb67b76b3a90]

fixed an i18n problem

Constructing "string + ordinal number" terms programmatically is
an i18n issue, because in some languages (e.g. in Hungarian)
ordinal number should precede the string. The patch solves
http://bug.openscope.org/browse/OOO-85 reported by a Hungarian
localizer ("Oldal 1" should be "1. oldal"). There are more
occurences of this construction in the code of LibreOffice
but this was highly visible and it is correct in Hungarian Excel.

2010-10-20  Katarina Machalkova  <kmachalkova@suse.cz>  [026c85ff21efaf569b9a40dff83ef5027d0292b9]

Undoing pptx filter as a separate lib ( + related changes)

Shared ppt + pptx filter will be merged from cws later

2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [e114713e26a65460cf275fb8b3d66107724c92c9]

disable as there's reports of failure coming in that need to be addressed


2010-10-20  Kohei Yoshida  <kyoshida@novell.com>  [167cff40a6bca04fc5e022919723a974f7a45d0b]

Fixed a crash on importing docs with database functions.

When iterating through an empty column via ScDBQueryDataIterator it
caused segfalut. (fdo#30861)

2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [762458843f8b0fb426f1e702739d63b2d69f9575]

try and reenable this again, and see if it pass buildbot this time


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [a28a0b3bdcf9d5fc16518ad2c589782eb4fcbba0]

WaE, misordered init list


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [d43dad0ab30fedcfac1794a1076fac370c639117]

remove unused variables


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [fe974ca4c6b725af94f239152388e20125cd5ea5]

WaE, unused parameter


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [59f66a4d3cb55bb4f1828ab3ff04cf5b1b20ff14]

WaE, unused parameter


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [93082e0bc131fd665cd8ec49ba4083db20d3faa7]

WaE, silence warnings


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [fe78d55ed69990d673486f15861dd38a68a80edc]

WaE, unused variable


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [7f3a905e0f6ed5b2a0e68c5e4c7ad6ffef0ecd87]

WaE, unused parameter


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [f58e3c9fb5e1acb2c656813e98af628886930f36]

WaE, remove warning


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [b362efae4cbca5a2b5b908e0e22de126a5662d37]

unused variables


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [9554bab9c4dc8fcd7cfff78c403180e148146ad8]

WaE unused parameters


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [cdaa2ccb9268d0bdaf2045b8706241da10a0527c]

WaE unused parameters


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [4d6fb7b3ea074fd9ab50a82c2fcdbfb44d2bb9d3]

WaE, silence warning


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [4b8c2b555e917688806dab6f564f3468e71ec91d]

WaE, unused variable


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [10c35431b006764c45b14dbcc897a9c4de6ccc57]

WaE, unused variable


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [b59d2c013a219ca842b43b296d9bb24b72f22dc6]

WaE, unused parameters


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [c7e11450db0b8648f21951182444a8f891a10479]

WaE, silence warning


2010-10-20  Povilas Kanapickas  <povilas.kanapickas@gmail.com>  [0757ca32642413593fbeb8318ad58c3cfbb6e358]

Removed lots of dead code.


2010-10-19  Caolán McNamara  <caolanm@redhat.com>  [b55a8d6eb2b712e60dcbf27cb6a8283820a05e60]

add local .res dir into the resourcepath


2010-10-19  Caolán McNamara  <caolanm@redhat.com>  [cdaeb296c3bf15c998413325185254a99785ca87]

disable this for the moment, some more tweaks required apparently


2010-10-19  Katarina Machalkova  <kmachalkova@suse.cz>  [1ef92988d1004d7c6d3ee51b33c711ab45faee42]

Merged oox-smartart-import.diff from ooo-build


2010-10-19  Katarina Machalkova  <kmachalkova@suse.cz>  [c456440dbd0f2bd5a7744b49d77eebb904590482]

Merged xlsx-shared-oox-drawingml-fix-shapes-map-crash.diff


2010-10-19  Caolán McNamara  <caolanm@redhat.com>  [06f7beb563118492dc630b80bbe55552de01aac1]

add mode lines


2010-10-19  Caolán McNamara  <caolanm@redhat.com>  [d8d257c5c1b229b11b20982a0c47d2fb6ed91bfc]

add headless and invisible arguments


2010-10-19  Caolán McNamara  <caolanm@redhat.com>  [dfcc0994a8988c8e48bdcd9c5573e5587de3dc15]

get a basic cppunit test for sc up and running


2010-10-17  David Tardon  <dtardon@redhat.com>  [50182b7f91269faf86ca2a1a477c932a4d5d02dc]

clean up after removal of empty makefiles


2010-10-16  Michael Meeks  <michael.meeks@novell.com>  [87c97a7564db848e7fd6b5fc97a52a0330213637]

Add hacked up unit test pieces for NortySpock


2010-10-16  Jesús Corrius  <jesus@softcatala.org>  [cc7b5a3cfec17e0c773ee025c638a73d22fb8aa9]

Make calls to unary_function and binary_function less ambiguous for VC10


2010-10-16  René Kjellerup  <rk.katana.steel@gmail.com>  [8ff255eaccab2bafecefd46be6c5d336aef213e8]

small chart2 cleanups


2010-10-16  Kenneth Venken  <kenneth.venken@gmail.com>  [92fe008acb59d600d674dd06c0e91869bb9c718f]

some patches that replace sizeof(a)/sizeof(a[0]) with SAL_N_ELEMENTS(a)


2010-10-16  Muthu Subramanian K  <sumuthu@novell.com>  [fa9fb64fc7ea9a3332367019d086bf5551f4930b]

Minor fixes for commentPr export merge.


2010-10-16  Muthu Subramanian K  <sumuthu@novell.com>  [381b99b434a5bd2402f7813eacda15094aba3bab]

Adding support for importing charts using InternalData.

This is similar to sc's chart importer.

2010-10-16  Muthu Subramanian K  <sumuthu@novell.com>  [537da0d932acabd5342f571d0217c4e5061eb663]

UNO APIs for size and moveProtect of notes.


2010-10-16  Muthu Subramanian K  <sumuthu@novell.com>  [d12eacce0e17c49b06cea3c9969aeb33cefa2209]

CommentPr Export feature. Also includes note's shape-size export.


2010-10-16  Muthu Subramanian K  <sumuthu@novell.com>  [86358630d4816789f6bf1aad2b8a344807634e93]

Reset vml counters for a new save.


2010-10-16  Muthu Subramanian K  <sumuthu@novell.com>  [aecf50d59d0587cce910e1bfd3cdb4e453cf6fe1]

Merging sc-xml-with-xls-ext.diff from patches.

These changes allow xml files with .xls extensions
to be opened in calc.

2010-10-15  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [13d8dee0f2825e66f9f6f82c83128dfdd3f166f2]

Added tpcompatibility.odj to exceptions


2010-10-15  Noel Power  <noel.power@novell.com>  [6ca8e6ab0c3b7d39d45fb938345703985f1bdb2d]

fix build link error


2010-10-14  Kohei Yoshida  <kyoshida@novell.com>  [e7f45c57c8588c08b738e087b2dbc71161460859]

Fixed conflicting resource IDs.


2010-10-14  René Kjellerup  <rk.katana.steel@gmail.com>  [b69eee82a5e289468afdfd8e50ea75b8685d7159]

translated and spell corrected a few comments in the view code


2010-10-14  Noel Power  <noel.power@novell.com>  [7019b25524f5436b94651685130d4d4054e47a0a]

fix bad STR_COUNT


2010-10-14  Jens-Heiner Rechtien  <hr@openoffice.org>  [fcd5e60bd75c32931b8f2fc1bb43ab1fb37b6e15]

CWS-TOOLING: integrate CWS calc60


2010-10-13  Kohei Yoshida  <kyoshida@novell.com>  [c0aac7c892688678544a2dd339064f081cc7fbfa]

Merge branch 'master' into feature/calc-key-binding-compat

Conflicts:
	sc/source/ui/attrdlg/scdlgfact.cxx

2010-10-13  Kohei Yoshida  <kyoshida@novell.com>  [764e33d386f7e881e1563c009f5069e33a0ee5f4]

Let's use Ctrl-Shift-D to launch selection list in LibreOffice.

The legacy OOo used Ctrl-D for launching selection list, but we
use Ctrl-D for "fill down".  Luckily Ctrl-Shift-D is not taken.

2010-10-13  Kohei Yoshida  <kyoshida@novell.com>  [7b289bde77fcf33ffe2114828c969401d5bda7a0]

Slightly reworked the Compatibility option page.

This looks better than the old one.  I took the design from the
Security option page.

2010-10-13  Kohei Yoshida  <kyoshida@novell.com>  [bc6e1f649f9e86daaaba8c22155de6cb7c342c76]

Cleaned up my debug statements.


2010-10-13  Kohei Yoshida  <kyoshida@novell.com>  [916f7a73cd2372e4ba6ee31d574c741ff6398c2f]

Resolved the issue of swapping .uno:Delete and .uno:ClearConents not working.

Removing key events first then setting new key events solved this.
This is one of those quirks of this accelerator configuration UNO
service...

2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [e6df329808c4b8e3c06cfd8614ffdf71aa967bcc]

Fixed build of sc (ctor of XclObjAny has 2 params)


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [b968c2f1fc8e71dd44d7c67da77603012da7bedb]

Merged oox-sc-notes.diff from ooo-build


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [26edd0d746a57cd7353c0931dbd4e604abe52b22]

Merged ooxml-sc-internal-hlink-export.diff from ooo-build


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [47f4d561b5c44c239925edb84d242abfdb11f12e]

Merged ooxml-sc-showdropdown-fix.diff from ooo-build


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [2969dce8a1ea07a30eedd4a59bf3f69a89a307ee]

Merged ooxml-sc-paneexport.cxx from ooo-build


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [e2fe8b83fad41cab0d0db9ca73adfa56b8fd918c]

Merged ooxml-sc-page-date.diff from ooo-build


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [ad17361f991e06ba2b48ba5bc806e1589488fa44]

Merged xlsx-shared-xlsx-export-perf-rowbuffer.diff from ooo-build


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [230ed9ef8b6efb7ebc75b5e6d90e35cb680cad70]

Merged xlsx-shared-xlsx-export-no-more-svstream-sotstorage.diff from ooo-build


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [41dce2a8e86caa9c2dff1e7b9da9246e4f258ad1]

Merged xlsx-shared-oox-calc-export-sotstorage-init.diff from ooo-build


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [68c780b3efc0afc65db44a50aea067cb606f4f90]

Merged xlsx-shared-oox-calc-export-export-pivot-content.diff from ooo-build


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [bd47174b3fcadda86fa6f568a90cdf97721d884f]

Merged xlsx-shared-xlsx-export-cell-style-max-builtin.diff from ooo-build


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [469bdf8c402b8149f31a14698fec622c4e6f2ae1]

Merged xlsx-shared-xlsx-export-skip-auto-format.diff from ooo-build


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [f6a7fcff8868858d50799af4320c45a8cb8b5c79]

Merged xlsx-shared-xlsx-export-simple-autofilter.diff from ooo-buil


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [5fced3b5d58afa378cce03c8937ff8c39d546ea1]

Merged xlsx-shared-xlsx-export-set-xml-2007-flavour.diff from ooo-build


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [9db5edb4a753b684b99bf3bde060fd727b22d69a]

Merged xlsx-shared-xlsx-arabic-export-crash.diff from ooo-build


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [1f3075f834ea6b524b9e56992c24f82225db521d]

Merged xlsx-shared-xlsx-shared-import-and-export.diff from ooo-build


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [d96bc3bf83a539526c783825f569c82f9147bcc7]

Merged xlsx-shared-xlsx-snapshot.diff from ooo-build


2010-10-13  Kohei Yoshida  <kyoshida@novell.com>  [220a15591a371989e9fccf40c14a86a6dfc82e1a]

Initial attempt to reset key bindings.

This is not working yet.  For some reason only the last key binding
gets set, while all the others get ignored...

2010-10-13  Noel Power  <noel.power@novell.com>  [63cb2de15fc42c2defa97422cf1d21f98a88cd50]

Merge branch 'master' of ssh://noelp@git.freedesktop.org/git/libreoffice/calc


2010-10-13  Noel Power  <noel.power@novell.com>  [b381c6c5072b260069ee8ab497c19a19a320d5c6]

Merge commit 'origin/master' fix conflicts and more trailing ws

Conflicts:
	sc/source/ui/undo/undodat.cxx
	sc/source/ui/vba/excelvbahelper.cxx
	sc/source/ui/vba/vbadialog.cxx
	sc/source/ui/vba/vbahelper.cxx
	sc/source/ui/vba/vbapagesetup.cxx

2010-10-13  Niklas Nebel  <nn@openoffice.org>  [0e506a681fecf457343b34de468859552b1fff5d]

calc60: #i115025# SetRowHeightRange: compare height directly to mpRowHeights sum value


2010-10-13  Noel Power  <noel.power@novell.com>  [4e63e44c55f3c0ab6fa38ad62c5b0ab7fbbd09f0]

replace old header ( that I deleted ) with spanking new one


2010-10-13  Jan Holesovsky  <kendy@suse.cz>  [bd83ad4734389c86ae6ae8972d7ce050c169220e]

Merge commit 'ooo/OOO330_m10'


2010-10-13  Noel Power  <noel.power@novell.com>  [bef01b6751dc826beff29426ad6ac3c3a5f9dbcc]

Merge branch 'vba' fix conflics, trailing ws & tab issues

additionally the following iz patches are rolled up with this commit i#113356, i#112998 i#113955 i#113358 i#113515 i#112531 i#112596 i#112530

2010-10-13  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [7eabce1eea341ab1d29fb01010fddb1cce2b7a9b]

Add vim/emacs modelines to all source files

Fixes #fdo30794
Based on bin/add-modelines script (originally posted in mail
1286706307.1871.1399280959@webmail.messagingengine.com)

Signed-off-by: Sebastian Spaeth <Sebastian@SSpaeth.de>

2010-10-13  Kohei Yoshida  <kyoshida@novell.com>  [712583d4c2c4d564e50151d59e2fbac3585c00f4]

ScDocOptions::CopyTo() no longer used.  Nuked.


2010-10-13  Kohei Yoshida  <kyoshida@novell.com>  [319964cc550b757ccc3472e3403a21992a070cc1]

Remove the "insert new sheet" tab when the document is in read-only mode.

When the document is in read-only mode, we shouldn't show the insert
sheet tab. (fdo#30678)

2010-10-12  Kohei Yoshida  <kyoshida@novell.com>  [0d82cea0ed9b9e80d04d61cc2b5e4a50e10e2d4c]

Took care of loading and saving of the new option value.

The new option value is now persistent with the Options dialog, but
key bindings don't get reset yet.

2010-10-11  Kohei Yoshida  <kyoshida@novell.com>  [a7637019cf4702dde00f24152222f8bd2dcb53f1]

Made the list box a little wider.


2010-10-11  Kohei Yoshida  <kyoshida@novell.com>  [49475215c5b14c0cace46fc153d8eb4546e47001]

fdo#30559: Added new tab page 'Compatibility' in the Options dialog.

This is the first cut: more changes to come.

2010-10-11  Caolán McNamara  <caolanm@redhat.com>  [c4712cc4f3f8cf5e68d8d6b717e6f1f4a9b445f0]

#i107273# release accessibilty contexts before editengine


2010-10-11  David Tardon  <dtardon@redhat.com>  [72ce39a2522d55edd7b26ecf962618f9d52b432e]

#i113737# implement XMLCodeNameProvider::getElementType


2010-10-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [8900e588f30e48216795edbe500d3ff6eece4617]

merge vosremoval-thread patch


2010-10-09  Norbert Thiebaud  <nthiebaud@gmail.com>  [da8101702661c03364a747f5e5a6c026c00d8c21]

missing include for SAL_N_ELEMENTS


2010-10-09  Kayo Hamid  <revol.code@yahoo.com>  [7b8d6eb623cb41413c126cb42c066c572800b268]

Use SAL_N_ELEMENTS macro


2010-10-09  Thorsten Behrens  <tbehrens@novell.com>  [41ccd9bedb00c3bc0aff2c8ed923d9ec1acedd97]

valgrind-fixes.diff: Valgrind fixes


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [ef8d1e8f04820e0b435583bd2a48fddb7f445efc]

Merge branch 'master' of ssh://pmladek@git.freedesktop.org/git/libreoffice/calc


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [8e07faec50d16ca715031272139c643e844bf497]

Version 3.2.99.2, tag LIBREOFFICE_3_2_99_2 (3.3-beta2)


2010-10-08  obo  <obo@openoffice.org>  [92c2e0db5c9d4d0a65048138c3a9fe59a47fa5de]

CWS-TOOLING: integrate CWS sw33bf10


2010-10-08  obo  <obo@openoffice.org>  [d81eda10143c9444fea0f6042deff3f3b88bfd85]

CWS-TOOLING: integrate CWS ooo33gsl10


2010-10-07  Norbert Thiebaud  <nthiebaud@gmail.com>  [fd94b527a6d36c41c82d4738022d9c7675a15231]

FASTBOOL to bool conversion


2010-10-06  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [40c5a4cd3f9ca327b8299a455d6fb70d1eceef29]

fate#307731, fate#307730: Adds dotted and dashed border lines


2010-10-06  Niklas Nebel  <nn@openoffice.org>  [39a12901d9ced9b043e2a4103440405653db4d6b]

ooo33gsl10: #i114944# handle AutoFilter button position on RTL sheets


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [fe5efbdef8d91b7f5bdfb3e21e28c78f453842d4]

Merge commit 'ooo/OOO330_m9'


2010-10-06  Noel Power  <noel.power@novell.com>  [c76ef5619cebf8ebd31db94d15a0861905783a4e]

fix non functioning select


2010-10-06  Noel Power  <noel.power@novell.com>  [7f9110235f1655f99a13dbfaea3d4b53f9ce0cf8]

initial commit for vba blob ( not including container_control stuff )


2010-10-06  Noel Power  <noel.power@novell.com>  [8d786dbd40ba7fe53baabc4a0e279d8a47a7f5d1]

initial commit for vba blob ( not including container_control stuff )


2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [13d88caf87ba995c0559418229f7b512dd035653]

Better performance on Excel doc import.

Don't set cached range on every single cell import when loading
Excel document with external ref cache.  This would become a major
performance bottleneck with a document with large cache.

2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [c9d53a9a25770f6736c5f2342d57c237bde2f23e]

Ported calc-extref-interpreter-rework-*.diff from ooo-build.

Re-structured the interpreter code to handle external references with
ocPush, instead of ocExternalRef.  This is necessary in order to
support shifting of references in the same way you can with internal
references.

In addition, this change allows re-using of document instances already
loaded when accessing external references that point to one of already
loaded documents.  Previously, Calc would load the same document from
disk even when the document was already loaded.

(n#628876)

2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [e44ae4649718f0b93195780d8bd5ff352596de90]

Ported calc-dp-sort-fix.diff from ooo-build.

This change fixes the data pilot field options dialog, to display
the name of a data field "<name> - <function>" to be consistent with
the rest of the data pilot UI.  This change also fixes failure to
calculate result when a data field's result is relative to another
data field & the referenced data field used custom name.
(n#629920)

2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [3ee0958e2350988b115729fae361563244fb750d]

Ported dde-reconnect-on-load-*.diff from ooo-build.

Improve reliability of DDE connections between documents opened in LO.
With this change, LO tries to reconnect to a DDE server document upon
opening if that server document is being listened to by one of the
open documents.

Also, the old implementation would load a DDE server document
invisible, and would never close it when the user updates the link.
This had the consequence that when the user tries to open this
document while it's loaded hidden, it causes some weird focus issues,
and closing it and opening it again would disconnect the DDE
connection.  The new implementation closes the server document
immediately after the DDE link update is complete.

This change also fixes a bug in Calc where DDE link updates to cells
would fail when the formula syntax is set to something other than Calc
A1.

2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [612ed0cc35ff1a4724f519f6662468e142edb445]

Ported calc-english-func-names-*.diff from ooo-build.

Add option to switch to English function names instead of the
localized ones.  In some locales (especially in Hungary) the users are
more accustomed to the English function names rather other than
translated names (i#38765).

2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [c1cfb775ee4382505372b5e41886cfec9357a78e]

Ported calc-perf-ods-import-row-heights.diff from ooo-build.

Avoid re-calculating cell note positions on every single row height
change during import.  That makes file load take forever.

2010-10-05  Petr Mladek  <pmladek@suse.cz>  [d97be14b9c7493d17b4fc31fadf374abdb06311f]

more removed include guards using fixguard.py


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [cc5b0c6794480975828bb36fcaa9cff3a0f6df56]

remove include guards using fixguard.py


2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [e3eb198b71d8b1662043baed0ddb1aaedc71b7b5]

Ported calc-cell-270-degree-fix.diff from ooo-build.

This patch fixes a bug where cell text disappeared under certain
conditions esp when the text is vertically oriented & the automatic
spell checking was ON.

n#640112

2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [7ce3c5e1c8e32529eae6f7d9ebc71184dd7b8d9a]

Ported calc-distributed-cell-text-*.diff from ooo-build.

This feature enables horizontal 'distributed' alignment and vertical
'justified' and 'distributed' alignments for cell contents in Calc.
Note that this feature relies on ODF 1.2 extended in order for the
relevant cell attributes to be saved in ODS.

2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [87af8ec8345117fd1cfcd05eb02bc5e4128a207a]

Ported calc-formula-variable-sep-config-check-sc.diff from ooo-build.

This code handles situations where the formula arg separator is in
conflict with the locale specific decimal and/or thousand separators.

2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [7287f0bc10ffbc7d3ef6066b1adde375a878d2d8]

Removed unused local variables, per compiler warnings.


2010-10-05  Caolán McNamara  <caolanm@redhat.com>  [ceb084ca7f782cdad702c82acc941f21db326fa4]

silence warning


2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [2e70348418cc27c4da65db95a087e8b7088e0d4f]

Port calc-xls-import-mem-footprint.diff from ooo-build.

This change reduces memory footprint of column row attribute import
from Excel document, from the previous 20 MB per sheet (!) down to
near zero.  With the test document I had, the memory use during
import dropped from 1.6 GB to 224 MB.

2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [b2b6efc8fc37bf85109a7133c3ab51ceaeb723f5]

Fixed a build breakage by adding a missing global string ID.

STR_UNDO_INSERT_CURRENT_DATE was not defined; probably lost during
conflict resolution of the previously ported patch.

2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [a942680c9c876b9d5f17b6f9c94a67c1762ac3b9]

Ported calc-insert-current-time-sc.diff from ooo-build.

This enables quick insertion of current date and time into current
cell, via command.  By default, these commands are bound to

* Ctrl-';'
* Ctrl-Shift-';'

respectively.

2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [e0bf78d6f572000cf5f9dda2a85dd15a8b350e18]

Ported calc-insert-new-sheet-tab-sc.diff from ooo-build.

Display a 'plus' button at the right end of the sheet tabs, to allow
quick insertion of new sheets.

2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [7c5ca3a2ec39576045b4fb3c1739acdb39a15f96]

Ported calc-subtotal-function-update.diff from ooo-build.

With this change, Calc correctly recalculates cells containing
SUBTOTAL function when sheet's filtering state changes, instead of
recalculating all formula cells that listens to those ranges whose
filtering state has changed.  The latter is wrong since the values
of the filtered ranges haven't changed.

2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [3662d82718f30fdc26a48e7918b5cfd3e7460f2d]

Ported calc-xls-import-biff2-file-sheet-name.diff from ooo-build.

When importing an old Excel 2.1 worksheet file, the file name should
become the sheet name.

2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [7009566d8229416fa203928d5defd83aee2014d1]

Ported calc-perf-outlining-with-notes.diff from ooo-build.


2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [bc6ca48ca3139818695179bc6e88fbaa23e16356]

Ported calc-formula-r1c1-parser-fix.diff from ooo-build.

This fixes parsing of address strings with '-' e.g. R[-1]C when in
Excel R1C1 mode.

2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [445e3596a1c044fdee75e5438ebdcd859a0e3945]

Ported calc-formula-r1c1-ui-fix.diff from ooo-build.

This fixes incorrect display of cell addresses in the UI when the
formula syntax mode is Excel R1C1.

2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [2be957ecb812c50898d45d6123e5a61b7ece0d7d]

Ported calc-formula-matrix-no-autocalc.diff from ooo-build.

This patch allows formula to be recalculated if it's during matrix
calculation even if the auto recalc flag is OFF.  This is needed
when calculating a formula whose result is a matrix which previously
only calculated the top-left cell when the auto recalc was OFF.

2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [7a0b5870500e035f9916778f2d98f6bd68a1a698]

And several fixes against the previous commit wrt xls import perf.


2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [05d67b3436f17455a63ef7df11d5595ae43a66fc]

Ported calc-perf-xls-import-cellstyles.diff from ooo-build.

Like the previous commit, this one improves performance of large
xls files.

2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [27cc87b983cfc95e59d3872c8e2e45d756cfd57d]

Ported calc-perf-ods-import-cellstyles.diff from ooo-build.

This patch improves import performance of large ods files.

2010-10-04  Norbert Thiebaud  <nthiebaud@gmail.com>  [481cbafe6b477e8a9c90ab53f8fa2cb20df21804]

native bool support in SvXMLUnitConverter


2010-10-04  Norbert Thiebaud  <nthiebaud@gmail.com>  [56e4318580b235b8a0fa8e43dadf3b142f2a0327]

Convert all Query/Put Value() to bool


2010-10-04  David Hobley  <davidh@sharpblue.org>  [884b50cd7231a06405ce163f782583fad4120623]

More or OD style's comments removal


2010-10-04  J. Graeme Lingard  <jgraeme+git@gmail.com>  [61a1235436393ed0d4300ad11aa5b1fd6597e934]

Remove redundant #include directives & comments


2010-10-04  J. Graeme Lingard  <jgraeme+git@gmail.com>  [e97bff820b226b1a44823f96aef4d162e793a7d1]

Remove redundant #include directives & comments


2010-10-02  Kalman Szalai - KAMI  <kami911@gmail.com>  [fbba6e7ffb3dad1285e1f74d0ebb10e78eb18f31]

Code cleanup after i80528


2010-10-02  Kohei Yoshida  <kyoshida@novell.com>  [adf8b51c2f28a03151d5bee8b61a695cfddbf4a2]

Added new files created by calc-perf-import-dbf-sc.diff.

* inc/docparam.hxx
* source/core/data/docparam.cxx

2010-10-02  Andras Timar  <timar@fsf.hu>  [e929bc223589023c413ea084def927b5cf1e9c0f]

make CustomUnitText "Pixel" localisable, #i35956#


2010-10-01  Kohei Yoshida  <kyoshida@novell.com>  [9d3ac5fea51dc634251dc555bf01bd95d82f4459]

Ported calc-toggle-relative-ref-fix.diff from ooo-build.

This corrects the code used for the Shift-F4 toggle relative / absolute
reference feature in Calc, to adopt for configurable argument separators.

2010-10-01  Kohei Yoshida  <kyoshida@novell.com>  [afedafe83cedb9dd5cf05640849520b4707a822d]

Ported calc-perf-import-dbf-sc.diff from ooo-build

This speeds up import of dBase (dbf) files 4-5 times.

2010-10-01  Luke Symes  <allsymes@gmail.com>  [739bc8f733c78a10eabb442042fde01da866347f]

Removed more commented out code.

I went through all files under clone/calc/* that had "//#include" and
tidied them up a bit.

2010-10-01  Luke Symes  <allsymes@gmail.com>  [9903d5a611403253addf310b427723db27760f94]

Finished removing //CHINA comments and odd dead code from sc/source/ui/*


2010-10-01  Luke Symes  <allsymes@gmail.com>  [48e69e8d726a8dce921a665f1679ef2ca6c250f9]

Removed more //CHINA comments from sc/source/ui/*.


2010-09-30  Sean McNamara  <smcnam@gmail.com>  [7ef0667167a9374a874f2070a527c0fd1442de81]

Fixed build breakage.


2010-09-30  Michael Meeks  <michael.meeks@novell.com>  [9d460736c59f0bbe4488cc51b15eafcf715c681a]

 Remove some //CHINA comments and dead code

Hi, I have removed some //CHINA comments, dead code, and reworked some
comments in a few files under clone/calc.

From Luke Symes <allsymes@gmail.com>

2010-09-29  Kohei Yoshida  <kyoshida@novell.com>  [b60e1f97f78f42b263915538f7bfaab86c967807]

Ported statusbar-fancy-modified-status-sc.diff from ooo-build.


2010-09-29  Kohei Yoshida  <kyoshida@novell.com>  [3b1933b66f8f4526146404baf5a6ba631ec35c55]

Ported autocorrect-accidental-caps-lock-sc.diff from ooo-build.


2010-09-29  Justin Malcolm  <malcolm.justin@gmail.com>  [10812e78236ef8e00c6d2bfad3998bea20ac88e1]

I think that this eliminates the remaining //UNUSED comments

There were still some of these comments (actually, a lot of them).
The most recent attachment should get rid of the last of them.
(fd#30442)

2010-09-29  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [1fac3846804727924c30919bba18d04c40cc4fe2]

sw33bf10: #i105461# write missing parts of OBJLBSDATA sub record


2010-09-29  Norbert Thiebaud  <nthiebaud@gmail.com>  [3096ad6a4119534379f0476e2ae2bfde20b1ed2e]

Removed some other UNUSED comment


2010-09-29  Norbert Thiebaud  <nthiebaud@gmail.com>  [3d400824f3431d78a9ecc28e5b71e7b96fced44b]

Removed some UNUSED comment


2010-09-28  Justin Malcolm  <malcolm.justin@gmail.com>  [0d9b86479b9cb9208079ead14479becab8dc24d3]

This gets rid of a great number of the comments

There are a great number of places in calc where code is commented out
with lines staring in "//UNUSED".  Since 'git' is being used, there is
no reason to keep old code like this in comments.

2010-09-28  Kohei Yoshida  <kyoshida@novell.com>  [2f9832ae58e684a49e03d7c0eaa38f6d55832d4a]

Ported calc-xls-export-row-height-wrapped-text.diff from ooo-build.


2010-09-28  Kohei Yoshida  <kyoshida@novell.com>  [8767fd0a8dbf79c7d4257f45f1be9227fd24abe7]

Ported calc-perf-rowheight-no-progress-bar.diff from ooo-build.


2010-09-28  Kohei Yoshida  <kyoshida@novell.com>  [b0e86d17c246e7201159c222b61f9fa9325bc7b1]

Ported calc-perf-filtering-with-notes.diff from ooo-build.


2010-09-28  Kohei Yoshida  <kyoshida@novell.com>  [98727f5db702a858bbabf1694f523baa66fe2630]

Ported calc-auto-tab-complete.diff from ooo-build.


2010-09-28  Kohei Yoshida  <kyoshida@novell.com>  [f5b004165ad5de31e7a8d9dadc238059c7b4a5ce]

Ported calc-find-replace-skip-filtered-sc.diff from ooo-build.


2010-09-28  Kohei Yoshida  <kyoshida@novell.com>  [119b9645e95dd8df08dc57b7358958714fbf7cab]

Ported calc-ods-sheet-protection-sc.diff from ooo-build.


2010-09-28  Kohei Yoshida  <kyoshida@novell.com>  [148af7b5a75760a111af8f533ea05e8ebb9271f9]

Forgot to add new files created by cws-koheicopyborder-sc.diff.


2010-09-28  Kohei Yoshida  <kyoshida@novell.com>  [962395bad2a70dbbfe950949c432e3e0321da5da]

Port cws-koheicopyborder-sc.diff from ooo-build.


2010-09-28  Kohei Yoshida  <kyoshida@novell.com>  [2126737afee2d35f5d8cfca1064a37eed7850fee]

Remove datapilot autoformat feature.

This reverts commit 1cd57db36c14e98190311ceed238c01f2dd60eea.

The current datapilot autoformat feature was done by "duct-taping"
two separate features together which don't mix well and cause stability
issues.  This feature needs to be re-implemented the right way in the
future.

2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e90a1a17583d778cde0b5ed76da6d2ca512c4f41]

Replace the "Help Support" menu item by the "License Information" one


2010-09-16  Tor Lillqvist  <tlillqvist@novell.com>  [69eaecca670e51ae074b92e3c2fa0321c456769c]

Update .gitignore for Windows builds


2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [a06b28b814ef06dd23f4f14eff9736cc4ae52142]

ooo-build-resources-sc-sc-hrc.diff: Migrated


2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [be324baced0b7fada4e0792505155f10578f1d70]

calc-enhanced-merge-cells-sc.diff

n#213205, i#67243, i#101042
Merging/unmerging of cells on multiple sheets & merge center icon.

2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [64c43addcd6bb9ce2dde27fa996baa513870c283]

calc-html-csv-import-force-text-cell.diff: Migrated

n#523414
set cell format to Text when a string format is requested, and don't
prepend ' in front of the value.

2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [7b2297f149ffbcece78a3c0107b006be38618087]

calc-autofilter-shrink-selection.diff: Migrated

n#514164,  shrink selection to data area before setting autofilter.

2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [49af023527783e80bec13bb4cdce7b43cac1f262]

calc-cursor-split-view.diff: show cursor in non-active panes

n#433834

2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [9b2c8e0cd13c2a90237dfb9d0cf15952cc2d931b]

calc-selection-fixed-cursor-fix.diff: Migrated

n#595822, when making selection, don't move the cursor position.

2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [d3091706329af9b5ccb9e2f92682325238c1ec0a]

calc-selection-fixed-cursor.diff: Migrated

n#502717, i#21869, i#97093, when making selection, don't move the cursor position

2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [d1b875b6f76d47a70e1e33ef252e1aa7c3a24889]

chart-highlight-selection-fix.diff: Migrated

n#568016, correctly highlight disjoint ranges in chart mode

2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [9fc957451f6fff3fddb0621d6bcd07496771f18f]

sc-uninitialized-var-fix.diff: initialize data members for sure


2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [99eeb6a36391aa807b4cc5c1b25f3d7982baaffa]

calc-jump-on-formula-ref-sc.diff: Migrated

n#464359, i#101018

allow ctrl-[ and ctrl-] to jump to references used in a formula expression.

2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [1a48865c4e70a98aa4126b8f4e1e8f7ac8d744c0]

calc-autoinput-case-insensitive-matching.diff: no case matching on autoinput

n#472395, i#101046

2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [8c05a4f470c292245e298e4b216036a558babb16]

calc-filter-dbf-precision.diff: import/export precision of value cells fix

n#479025, i#101045

2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [0835648ea0ceaa1f35ee601fd4b958f1847940b2]

calc-find-replace-empty-cells-sc.diff: Support find and replace empty cells

i#49380, n#415352

2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [124af355f1e7db0000314d75e81cfebed48fe0d5]

Pushing new files


2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [5906fdea4c8e93b62f3881995887f60cd63e2f48]

calc-xls-disable-adjust-row-height.diff: Don't adjust row height on xls load

Don't adjust row height on xls load for better layout preservation and
faster file load.

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [ec9ce165466cb367baa728719e2fd07f23165d03]

calc-external-defined-names-enable.diff: Enable external defined names

Enable external defined name import on xls documents.

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [a4a2aaa4c31905cedf36b31087775a0d2aa8b92e]

chart-subtitle-xls-export.diff: Export chart subtitle

i#92357

Squeeze chart's subtitle into the 2nd line of the main title when exporting
to xls.

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [cb37186e710013bbb10971a8084ca7565579d6f8]

calc-formula-variable-separators-sc.diff: formula separators changeable

n#447164, i#92056

Make the formula separators changeable per locale setting, and add new
configuration page for formula syntax and separators.

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [29c61288c525f692b75801547b82fd394c38fb0d]

sc-sheet-gridline-toggle.diff: Toggle gridline display per sheet.

i#14893

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [4bf4083b86c093772e98fa8b9b7e208cb1dd5b0e]

calc-dp-default-new-sheet.diff: default output to new sheet

i#50886

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [506ae185457f00ff390261301fada4620e120f00]

sc-fit-to-width-height-skip-breaks.diff: Increase Excel compatibility

n#404232, n#404563, i#94698

ignore manual breaks when the "fit to x pages wide and x pages tall" option
is used, for Excel interoperability.

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [edd18ccae4cb396f85e167e13169672fdea300db]

sc-cellformat-icon-toggle.diff:  Cell number format toolbar icons togglable

n#358548, i#86377

Make cell number format toolbar icons togglable & remove the standard format
button.

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [21da24d9f65fbc8d7c4d58543d5902048cf96958]

sc-cellbackground-over-gridlines.diff: Have cell bg paint over the gridlines

n#361360, i#3907

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [2e8133c7f6c0065a0e6457c4ee1421491dbb6f44]

sc-dbrange-dynamic-resize.diff: Dynamically resize filtered range.

n#352662, i#85305

Dynamically resize filtered range when new data rows are present.

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [07633360157600a9fa3677a3c116f345f3159da3]

enable-sheet-protection-options.diff: Enable sheet protection options


2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [188130067b80960fd509078f2e23fc1636e694ab]

chart-odf-always-calc-a1.diff: always store ranges in ODF using A1 syntax

n#463305

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [fb6af8f7fc95beac17e411d43e91696de6aa13d8]

sc-overwrite-char-font-attrs.diff: overwrite character level font attributes

n#374580, i#53545, i#96853

Overwrite character level font attributes when changing them at cell level

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [f12df5f7f25315018247d6dd2fa80ab0be562d28]

sc-excel-chart-default-xlabels.diff: Change x-y plot chart numbering scheme

n#257079, i#83679

Change default numbering scheme of x-y plot chart from Row 1, Row2, ... to
1, 2, 3... when the X labels are not explicitly given.  This is what Excel
does.

2010-09-15  Jonathan Pryor  <jpryor@novell.com>  [3a53dde9e481dcd36f1c937bf3074c908554ce62]

sc-drwlayer-units.diff: Unit conversion fixes in ScDrawLayer

i#83735

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [791b263acad96f3b40aed5912620ae733bf1d0d7]

calc-multiline-pattern-fix.diff: Fix bolding in multi-line cell contents

n#359690, n#437137, i#99291

For multi-line cell contents, bolding the first line shouldn't bold the
entire cell.

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [2f40ebf58d72e536c6506646a314706849fd8f8e]

sc-natural-sort.diff: Add a 'Natural' variant of sorting

i#26565

2010-09-15  Jonathan Pryor  <jpryor@novell.com>  [5f30f6f057e9fe6bf4ae1e719fcf67827189c483]

calc-filter-xml-free-context.diff: Don't use pShapeContext after deleting it

n#467536

2010-09-15  Jonathan Pryor  <jpryor@novell.com>  [4bfb2e399db2a6c88a3fda7a2d0a11c6ab002b76]

sc-print-lines.diff: print & page preview for files containing only lines

n#351468, i#85076

2010-09-15  Jonathan Pryor  <jpryor@novell.com>  [dcfa8ebe1ca2822c18fc73165f59ebf28d4faa46]

sc-print-selected-sheets.diff: Make Print Preview consistent with Print output

n#335684, i#45497

2010-09-15  Jonathan Pryor  <jpryor@novell.com>  [ffea8f5a08299fadbd56eca474b8821a2eaf0ad6]

sc-extra-cell-margins.diff: Add extra padding the the cell height

n#361358

2010-09-15  Jonathan Pryor  <jpryor@novell.com>  [0093d35f1927140c985430b186f2636e131633ee]

sc-xls-builtin-name-scope.diff: Print_Area/_Titles only for sheet local names

n#191005, n#257422

2010-09-15  Jody Goldberg  <jody@gnome.org>  [c597e24275469fbb14ab8210d455a5643208c229]

sc-read-only-colrow-resize.diff: Allow resizing Cols/Rows if document is R/O

n#165980

2010-09-15  Jody Goldberg  <jody@gnome.org>  [595233ddf6584a3fd7c5a067c0e4e49aa7024894]

sc-dp-gridlayout.diff: Something with grid layout :)

i#68544, n#190970

2010-09-15  Jody Goldberg  <jody@gnome.org>  [c6735c0de2bbed4593ebd8060807aefe94a9941f]

sc-change-record-dnd.diff: Allow dnd in Change record mode for Data source

i#44982

2010-09-15  Jody Goldberg  <jody@gnome.org>  [1cd57db36c14e98190311ceed238c01f2dd60eea]

sc-datapilot-autoformat.diff: Provision for data-pilot to give autoformat

i#37388, bxc#62162

2010-09-15  Jody Goldberg  <jody@gnome.org>  [0eb01487f8e06b2a9b407f5eae7f295f481bd182]

sc-filters-fill-fix.diff: fix Autofill doesnt fill filtered rows

bxc#62499

2010-09-15  Jody Goldberg  <jody@gnome.org>  [ffcbfa8d1022e71c21e13fc78952e44aa92a4c54]

sc-autofilter-empty-nonempty.diff: adds to Autofilter Empty-NonEmpty options

i#35578, bxc#62165

2010-09-15  Michael Meeks  <michael.meeks@novell.com>  [1656163f7c097abe32bcc52e87af8e742e024f98]

default-no-registration-menu.diff: Remove registration from menu.


2010-09-14  obo  <obo@openoffice.org>  [3777925071dfc0289cc0ec7de9cf5ce942105949]

CWS-TOOLING: integrate CWS calc59


2010-09-14  obo  <obo@openoffice.org>  [e9fdb8635e42de65da6ad043b16e032a871530d0]

CWS-TOOLING: integrate CWS dba33i


2010-09-14  obo  <obo@openoffice.org>  [03c89b4caaea56cba69f6a94cf942aa6a3c71a0c]

CWS-TOOLING: integrate CWS impress200


2010-09-07  Jan Holesovsky  <kendy@suse.cz>  [eb4914f043304ba7d164733509794104c7ea5b33]

Merge commit 'ooo/OOO330_m6'


2010-09-01  Niklas Nebel  <nn@openoffice.org>  [89e87ff83a65aca71eeb70126f3f4d1146297466]

calc59: compiler warning


2010-09-01  Niklas Nebel  <nn@openoffice.org>  [c8821620007e23a011ef8ceabe3560a754faaef9]

calc59: #i114256# Don't move DataPilot fields to orientations that the source doesn't support


2010-09-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [abab7634a5ec281f5606d10c3647a6f05011706f]

dba33i: #i111146# completely put the responsibility for remembering/restoring view data, when switching to the print preview and back, to SFX In particular, the following changes have been applied - the SfxViewFactory now supports a programmatic API name, as documented in XModel2.getAvailableViewControllerNames - the new SFX_IMPL_NAMED_VIEWFACTORY, complementing the existing SFX_IMPL_VIEWFACTORY, allows to create view   factories for such named views - SfxViewFrame::SwitchToViewShell_Impl has been extended to recognize the case where a non-PrintPreview view   is exchanged with another view. In this case, it preserves the view's view data at the model - Calc's own mechanism for preserving the standard view's view data, and restoring it when coming back from   the print preview, has been removed completely.

What probably is left here is to migrate the other applications from SFX_IMPL_VIEWFACTORY to SFX_IMPL_NAMED_VIEWFACTORY.
This way, they could also benefit from the new mechanism. Also, the UNO API would then be more precise, as the
view names would be speaking then, instead of the current "view<number>" names.
2010-08-30  Niklas Nebel  <nn@openoffice.org>  [aa1ce74fbfc75a7f1d611a56da6e2cc18fdfdd8e]

calc59: #i114202# save table:show-empty attribute only if valid in ScDPSaveDimension


2010-08-30  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d83475610402026e855d7e6a68518aca4cecccd0]

dba33h: merge after pulling OOO330.m6


2010-08-26  Christian Lippka  <christian.lippka@oracle.com>  [b85c2871a3e7637b5702ac5e92e0c77036bec05e]

impress200: merge


2010-08-26  Ivo Hinkelmann  <ihi@openoffice.org>  [0815e6f3086d4513fb1dfed2a0ff8e83a3589afc]

CWS-TOOLING: integrate CWS calc58


2010-08-25  Thorsten Behrens  <thb@openoffice.org>  [5ada8056e6204b7f236f9f7009984eff5219e82b]

linkwarn-dlg-in-apps.diff: Wire up link warning dlg in applications.

n#348149

2010-08-25  Ivo Hinkelmann  <ihi@openoffice.org>  [51cfacc73ee6162c82dbb735448f5321a2a57269]

CWS-TOOLING: integrate CWS mib18


2010-08-24  Jan Holesovsky  <kendy@suse.cz>  [b97c8f3364575ea36b5b43e73cb92eb8e82178a1]

Update .gitignore.


2010-08-20  Thomas Benisch  <tbe@openoffice.org>  [1d0dc690de7aa8ef1fd93d26578251248fd66d9a]

calc58: #i113948# office crashes after resizing chart


2010-08-20  Thomas Benisch  <tbe@openoffice.org>  [db48b114e54b6ceaebd4d77fbb0de1d41a0d69ca]

calc58: #i113946# undo does not work for deleting shapes


2010-08-20  Jan Holesovsky  <kendy@suse.cz>  [05dcf0fc5a2792165c42ba2b2497ed22fbb4e872]

Create .gitignore.


2010-08-19  Eike Rathke [er]  <eike.rathke@oracle.com>  [3fa83707418cb221c94dcbe32864e5555b618159]

calc58: #i113879# add ScMatrix::CloneIfConst() and regard only temporary matrices created by the interpreter as mutable


2010-08-18  Eike Rathke [er]  <eike.rathke@oracle.com>  [baac8ebc6989a5771b5d1903e5e8f4014ecafeac]

calc58: #i113739# make N return 0 for all strings again


2010-08-18  Jan Holesovsky  <kendy@suse.cz>  [d7bfded184e58761062efeefaeb8f8ffc594c2db]

Merge commit 'ooo/OOO330_m4'


2010-08-18  Eike Rathke [er]  <eike.rathke@oracle.com>  [ac9660fc7e47b2a7eecdb0c749ee46f592a70635]

calc58: #i113820# make TEXT treat string results and inline strings identical to referenced cell text


2010-08-13  Daniel Rentz  <dr@openoffice.org>  [8676b47d16a1670a4d6ebbc610e8a00abd2367f7]

mib18: rebase to OOO330m4


2010-08-11  Kurt Zenker  <kz@openoffice.org>  [1f33e9500443f6c947294c0776236c4808ddd262]

CWS-TOOLING: integrate CWS l10nfixer01


2010-08-11  Kurt Zenker  <kz@openoffice.org>  [7665242e65546f0c60077165193252ae959e4ecd]

CWS-TOOLING: integrate CWS calc57


2010-08-11  Andreas Bregas  <ab@openoffice.org>  [6423ab81e71f7090d61e81b8992878ce7de43f27]

mib18: Merge


2010-08-10  Daniel Rentz  <dr@openoffice.org>  [772dd5e59b0b28c3e24cac6ae52ea0141b39c240]

mib18: adjusted service name to match VBA symbol


2010-08-10  Michael E. Bohn  <mbn@openoffice.org>  [9725c306fd4502fc6de7d4acf5c302427310a20d]

mib18: #163259# implementation of global symbol Excel


2010-08-10  Michael E. Bohn  <mbn@openoffice.org>  [ff7c55aff1293fb51c8ab268d0f478480b0c5685]

heads merged


2010-08-10  Michael E. Bohn  <mbn@openoffice.org>  [80722e0f75ad7d3204f39a580df2f48412e001c3]

mib18: #163120# adding the entrypoint for symbol Debug


2010-08-10  Daniel Rentz  <dr@openoffice.org>  [6e0de8945fbfbee500e0fc9bfa26aaa67abeafa4]

mib18: #163243# enable regular expressions in VBA symbol Range.Find


2010-08-10  Daniel Rentz  <dr@openoffice.org>  [d0093c4e1b54648d1e09c16b389519fdf2564f6e]

mib18: #163246# add VBA symbol Worksheet.ProtectScenarios


2010-08-10  Michael E. Bohn  <mbn@openoffice.org>  [b9876f93ddc6eaa0e5cf4aaf62cd19d3a08776c4]

mib18: #163148# creation og basic modules in library Standard during Workbooks.add


2010-08-06  Andreas Bregas  <ab@openoffice.org>  [80e4fe02a80b90182180c409d2f4f803562e02b8]

mib18: Merge


2010-08-05  Daniel Rentz  <dr@openoffice.org>  [81cec496df67c85bb1b64ef7d15c9f73987882a0]

mib18: #162503# do not create a new Worksheet object in Workbook.ActiveSheet but return existing object supporting VBA module access


2010-08-05  Daniel Rentz  <dr@openoffice.org>  [f8de76963edcb8017ea104448b3a7b9a9ddb49b8]

calc57: #i113529# do not touch res strings in ooo330


2010-08-05  Daniel Rentz  <dr@openoffice.org>  [1e497a2092b4c20d4c5d0100c1436fbb2e8ab355]

calc57: #i113529# expand text fields to allow to fit for all languages


2010-08-04  Daniel Rentz  <dr@openoffice.org>  [36f709143ffc8056ece58e93e155a6dab9831cd9]

mib18: #162938# add VBA symbol Worksheet.AutoFilterMode


2010-08-04  Daniel Rentz  <dr@openoffice.org>  [c650f967f769e4da07f669f60e1f7a636d7e9614]

mib18: #163200# full rework of VBA symbols Application.Intersect and Application.Union


2010-08-04  Daniel Rentz  <dr@openoffice.org>  [5fa3d6e55b2ab5aac185c10293f8c6a1b7264e63]

mib18: #163198# VBA Names collection must return VBA Name objects


2010-08-04  Daniel Rentz  <dr@openoffice.org>  [783c57ec2174b11b06ec29ecb1ae6b9b87996bf6]

mib18: #163195# set correct parent for range returned by VBA ActiveCell symbol


2010-08-04  Daniel Rentz  <dr@openoffice.org>  [32876274fc8fae906bdb52e76059ddedadfa8572]

mib18: #162937# extract all integer and floating values from an 'Any' for Boolean parameters


2010-08-04  Daniel Rentz  <dr@openoffice.org>  [faa445a0730322e8522999ffb30fdde97bb9b9b9]

mib18: #162039# clear covered cells when merging via VBA MergeCells symbol


2010-08-03  Ivo Hinkelmann  <ihi@openoffice.org>  [fb4adbfd5d4bc6cdcb8aeb4ac3187cd50f74caa4]

CWS-TOOLING: integrate CWS mib17


2010-08-02  Daniel Rentz  <dr@openoffice.org>  [2f2b4dbec9cbbb61110b6244f5cd1e983ba78e0d]

calc57: #i113469# increase width of DataPilot field popup


2010-08-02  Daniel Rentz  <dr@openoffice.org>  [f517daebba9a963bf679ebec0de2ecae5008411a]

calc57: #i113442# increase width of 'Import Options' dialog


2010-08-02  Daniel Rentz  <dr@openoffice.org>  [8b8d8fcc27b2fddbda6ceb4935f98828a933c245]

calc57: wntmsci12 compiler warnings


2010-08-02  Ivo Hinkelmann  <ihi@openoffice.org>  [b851785e7a38478cbb5715058fe799e52e96f042]

CWS-TOOLING: integrate CWS calc56


2010-07-30  Daniel Rentz  <dr@openoffice.org>  [0075e623e044c0822774455ad5fe79c68d35a101]

mib17: #163146# XLS import: do not skip hidden names, do not rename sheet-local names, add Worksheet.Names VBA symbol -- #i112849# fix crash when closing Calc document


2010-07-29  Eike Rathke [er]  <eike.rathke@oracle.com>  [8fdb7e7150c877e1a79d20640b0feef9b49b0cfd]

calc57: #i113429# adapt manual row/column breaks when inserting/deleting rows/columns and undo/redo


2010-07-28  Daniel Rentz  <dr@openoffice.org>  [315ac439e6339bba65c483f84dabb8139b058956]

mib17: compiler warning


2010-07-28  Niklas Nebel  <nn@openoffice.org>  [393ace64f221e4bffe3521f6a4f09fae7532a88a]

calc57: #i113390# handle filter options in ScExternalRefManager::loadSrcDocument


2010-07-28  Niklas Nebel  <nn@openoffice.org>  [ee1e23fb2246594d6747c3263efad40c095bbcc5]

calc57: #i110370# don't accidentally throw away print settings stored in the file (patch from cloph)


2010-07-28  Niklas Nebel  <nn@openoffice.org>  [78b5815bad567be77f9641e82be621815e1bbbe0]

calc57: #i113432# restore fix for i94951: catch IndexOutOfBoundsException in ScXMLTableRowCellContext::DoMerge


2010-07-28  Daniel Rentz  <dr@openoffice.org>  [fe94883da29ce532d077b2b28ef553f00e180fac]

mib17: resolved conflict after rebase corrected


2010-07-28  Carsten Driesner  <cd@openoffice.org>  [12af3bc9529e5b1f51309d3bd1a8cce750123afd]

l10nfixer01: #i113441# Remove wrong user defined text attribute for the Search&Replace function within the findbar.xml files


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [fc15354f5f4079a627fcdd73d44d89072ea09817]

mib17: rebase to OOO330_m2


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [79d42b75f89411d2abb36431a3f7f0eb50ec5d98]

mib17: rebase to DEV300_m84


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [01c056a891fda72b6600875f5b8b0dd4c8230912]

mib17: move VBA specific interfaces into vba subdir


2010-07-27  Andreas Bregas  <ab@openoffice.org>  [43bfd10553cd895186d9c04b4d033fa75b40e8a5]

mib17: merge


2010-07-27  Mikhail Voytenko  <mav@openoffice.org>  [e314076dceca46ebb3e08509658ff5150b14f358]

mib17: merging


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [f6238c8dd45c32f93cb83b65aa908617f0535252]

mib17: #i112634# prepare loading VBA with document events from ODF and XLSM


2010-07-26  Ingrid Halama  <iha@openoffice.org>  [03fb083f2493fd2660b33efbb8ff94b01abe2373]

calc56: #i113419# preserve 3D scheme while adding a new series - merge


2010-07-26  Ingrid Halama  <iha@openoffice.org>  [11a4672acfe936485d7fcc6b239bbce7db5db042]

calc56: #i113419# preserve 3D scheme while adding a new series


2010-07-21  Jens-Heiner Rechtien  <hr@openoffice.org>  [2c9c72de2c3a2bdc6bbdc58d1ac5d390d85ac4fe]

CWS-TOOLING: integrate CWS unoawt2


2010-07-19  Eike Rathke [er]  <erAck@sun.com>  [c43e829cc9855a3cb3084097327d10b440cc0099]

calc56: #i113254# fix GetRange()


2010-07-19  Eike Rathke [er]  <erAck@sun.com>  [b7c5ec39ffb564b95b18bd8ec7bf1c588bccb945]

calc56: WaE Windows


2010-07-19  Eike Rathke [er]  <erAck@sun.com>  [08f5ecb5ff57d81dd29daf0ea16f55e0000b7c94]

calc56: merge


2010-07-19  Eike Rathke [er]  <erAck@sun.com>  [54868cbc33b7a62a04e1a81a7aef9e24cec18609]

calc56: WaE Windows


2010-07-19  Eike Rathke [er]  <erAck@sun.com>  [b3c69e0aaf50627298705576f3781deb2ef54e08]

calc56: WaE Windows


2010-07-19  Niklas Nebel  <nn@openoffice.org>  [f9c77a41c3ebb3ec855b50eb9f5488943abd4720]

calc56: merge with OOO330_m1


2010-07-16  Eike Rathke [er]  <erAck@sun.com>  [5c1061feb4fd351335b1ca9deab248a533d17bc6]

calc56: #i112882# in ODFF accept ORG.OPENOFFICE.EASTERSUNDAY as an alias for EASTERSUNDAY


2010-07-16  Eike Rathke [er]  <erAck@sun.com>  [dbbfe0dfd57bbeebcf01c3332e0317e58c2af3af]

calc56: #i108385# make TEXT return text if text was passed, handling text formats that include a @ code


2010-07-16  Eike Rathke [er]  <erAck@sun.com>  [82af8ebbb0acb91e9130d8db166ebba2a881d1ac]

calc56: #i113139# various performance improvements for 1MB rows, especially with large hidden segments


2010-07-15  Daniel Rentz  <dr@openoffice.org>  [80b8a7ebe17abd51f40cc5faa3fdcf6fd02e5e49]

mib17: #i112634# do not use an UNO interface to handle VBA BeforeSave and BeforePrint events


2010-07-15  Niklas Nebel  <nn@openoffice.org>  [329bdc892cd9cbbf59f04d5211a33d8d14679932]

calc56: #i113159# check if GetTextEditOutlinerView is null in thesaurus state method


2010-07-15  Niklas Nebel  <nn@openoffice.org>  [9ce15db06f0349a9ce2befd9b104ab45dd51f0bf]

calc56: #i113160# use XSingleComponentFactory to load external DataPilotSource implementation


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [28178fc81cca238a4527fe7572f03fddf14e9790]

CWS-TOOLING: integrate CWS ooo33gsl02_OOO330


2010-07-12  Niklas Nebel  <nn@openoffice.org>  [fede542c63277884a8f6a397b13f900d2d4cd91a]

calc56: #i102690# correct attribute names diagonal-bl-tr-widths and diagonal-tl-br-widths


2010-07-12  Daniel Rentz  <dr@openoffice.org>  [e959bd8eaa184d9c9f081eef72c7c87e0b249677]

mib17: #i112634# API changes


2010-07-09  Daniel Rentz  <dr@openoffice.org>  [11ffe926b0b044674651e863b0bed45874e6a4f0]

mib17: restrict export of codenames to ODF to VBA enabled documents


2010-07-09  Daniel Rentz  <dr@openoffice.org>  [3feb4be5b4fd8448d4a20785f5f2eacd1e4577df]

mib17: remove unused static var


2010-07-09  Niklas Nebel  <nn@openoffice.org>  [f244ca83847ca8c360a295bbf935fd0156c93dc3]

calc56: #i112745# draw edit cells and printer-metrics text before DataPilot buttons


2010-07-09  Daniel Rentz  <dr@openoffice.org>  [e130dffed0332c64e354d42940c0ed82f764836e]

mib17: compiler warnings


2010-07-09  Niklas Nebel  <nn@openoffice.org>  [b3e6d1432ea134fb3abe5a1a57bb7891e5ce675c]

#i113045# SetTextToWidthOrHash: do the single-character width calculations in logic units


2010-07-07  Daniel Rentz  <dr@openoffice.org>  [a5705f6f2cf6d5a07a4e0d9974ef44385237c75d]

mib17: adjusted codename handling in xls filter, do not restrict vba event handling to xls files


2010-07-07  Niklas Nebel  <nn@openoffice.org>  [4befc3abc6245e0294d536e2aad6bf485b47477f]

#i112250# #i113022# better handling of automatic decimals for small values or equal cells


2010-07-06  Daniel Rentz  <dr@openoffice.org>  [0635ddfa883cd62183753804c4c0915475f3cc2d]

mib17: #i112634# add VBA sheet event handling, based on a patch from Noel Power


2010-07-05  Niklas Nebel  <nn@openoffice.org>  [0e83b06dad8d264e64529ec6dcacc8f08739e46c]

#i112745# get the right font size for ScDPFieldButton, clip text to bounding box


2010-07-05  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [f5b61fbe07fc675b7ff9646c03ea1f359c76e903]

ooo33gsl02: #i112873# change NativeWidget methods to be prepared for mapmodes


2010-07-02  Ingrid Halama  <iha@openoffice.org>  [26d59863bbc657dcd2455cb1d330b00a4502bed7]

calc56: #i112501# remove unused method


2010-07-02  Ingrid Halama  <iha@openoffice.org>  [66ac82a83ca7d62692bf4cc4bd459fc3893afebf]

calc56: #i112385# loosing 3D scheme settings


2010-07-02  Ingrid Halama  <iha@openoffice.org>  [eb4a6583e074d24dbcb6fce86629a766fa10f9db]

calc56: #i112666# broken UNO API tests due to broken method XDiagram::setPosition() and wrongly flagged properties


2010-07-02  Eike Rathke [er]  <erAck@sun.com>  [1a230ceddefe4991bd44d5b899bf63698d06af47]

calc56: #i112849# Prevent hash from accessing dangling pointers


2010-07-01  Niklas Nebel  <nn@openoffice.org>  [248c89e1546f336f42fdf37b3d3ee777307f57db]

#i112858# don't access invalid resources in ScTabBgColorDlg


2010-07-01  Niklas Nebel  <nn@openoffice.org>  [42e0af8954e30de44b10c820db52794fdf1b3bed]

#i112436# use InterpretDirtyCells instead of SetDirty for charts in xls import


2010-07-01  Andreas Bregas  <ab@openoffice.org>  [3ed00acdeb3014d8491ecd3e71fb035ae8ed6a8e]

mib17: #111144# Enable calls to module function via Sheet object


2010-06-24  obo  <obo@openoffice.org>  [245209045b5335a401553595ad9ac13ed864932e]

masterfix: #i10000# change fileheader


2010-06-23  Daniel Rentz  <dr@openoffice.org>  [54581ce35685d0cc4bb6aeec1713c0f5792aac7d]

mib17: #i109119 add Events menu entry


2010-06-23  obo  <obo@openoffice.org>  [abaedc357b56a2214762bc1fdceded65645149c2]

CWS-TOOLING: integrate CWS calc55


2010-06-23  obo  <obo@openoffice.org>  [1085111559bb616cdcce09f6b98d82ab1447e695]

koheirowlimitperf: #i109369# #i109373# #i109384# #i109385# #i109386# #i109387# #i109388# #i109389# #i109391# #i109934# #i109935# #i110116# #i111531# #i111887# #i112190# #i30215# increased the row limit to 1 million, and integrated lots of speed optimization and bug fixes to ensure Calc remains usable after the row limit increase.


2010-06-23  Niklas Nebel  <nn@openoffice.org>  [c5af83ae71ae9f2600e16330d6a7df21451ec2a5]

unoawt2: #i112622# convert cell style names to pointers after creating a style


2010-06-22  obo  <obo@openoffice.org>  [7ae2b9c1e03f125a5a25829b541d3d6d1c1cd83b]

CWS-TOOLING: integrate CWS mingwport30


2010-06-22  obo  <obo@openoffice.org>  [aad9b7c81579a4231db0dfcb6ceecb00f27a405d]

CWS-TOOLING: integrate CWS cmcfixes75


2010-06-22  obo  <obo@openoffice.org>  [b61446bebd0af7250ce5ba00f92242b1ac98c307]

CWS-TOOLING: integrate CWS mba33issues01


2010-06-22  obo  <obo@openoffice.org>  [8a4007bd23082db16293db0a6275a1e3345643b9]

CWS-TOOLING: integrate CWS dr76


2010-06-22  obo  <obo@openoffice.org>  [42bcac19bdbfbe4d7883c6a44ac44de5835c880e]

CWS-TOOLING: integrate CWS mib16


2010-06-21  Daniel Rentz  <dr@openoffice.org>  [540790a4b7c9fcbbff372237002245c53bfd48c2]

dr76: rebase to m83


2010-06-21  Daniel Rentz  <dr@openoffice.org>  [5e77841d5f4970af60562123a93a059c2f32a7c4]

mib16: rebase to m83


2010-06-21  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e3067d7a280a6f75ce3cc550f3159eb8bb19ba94]

unoawt2: if the DataPilotSource supports XComponent, dispose it, so it can free its resources


2010-06-21  obo  <obo@openoffice.org>  [1b0e2047b58c69907dbc919ca00bb0e6c4e6dcb4]

CWS-TOOLING: integrate CWS calctabcolor


2010-06-18  tono  <tono@openoffice.org>  [f9521004a8b11d1af3b9c84d3ec2beb809c05633]

Merge backout


2010-06-18  tono  <tono@openoffice.org>  [530123c25c9dfdd61887cf1b42f5141fa4e6349c]

Backed out changeset: f63af3433bcb


2010-06-18  tono  <tono@openoffice.org>  [ec81a58becbe919adde19cc969fc58f5cd1a7848]

Backed out changeset: d80a58fd55d9


2010-06-18  Mikhail Voytenko  <mav@openoffice.org>  [5be25b52c52916c287544a7289d68a6570b88ab0]

rebase to m83


2010-06-18  obo  <obo@openoffice.org>  [abafeb0665893406d84f44dc22425717337b5b09]

CWS-TOOLING: integrate CWS tl79


2010-06-18  Thomas Lange [tl]  <tl@openoffice.org>  [fea30dee6f63e0002e6c769242eb3fff2b266ef4]

cws tl79: merge with DEV300_m83


2010-06-18  obo  <obo@openoffice.org>  [9f504729942515b13b08f031b1865bf94dcaeb7b]

CWS-TOOLING: integrate CWS tl78v3


2010-06-18  obo  <obo@openoffice.org>  [b9e6efc1e2a57c41c9b1160d8f43673b0bb5d349]

CWS-TOOLING: integrate CWS tl78


2010-06-17  Daniel Rentz  <dr@openoffice.org>  [7ed82e988a5820e9b33861a1620750ef7636fb41]

mib16: windows compiler warning


2010-06-17  Mathias Bauer  <mba@openoffice.org>  [d3866e1bb16893d1b82cc7a46cb588c194bf9c1b]

CWS mba33issues01: rebase to m83


2010-06-17  Niklas Nebel  <nn@openoffice.org>  [6f02878909a45c178b48d6eadfd9c04c86ceda51]

calc55: merge with DEV300_m83


2010-06-17  Daniel Rentz  <dr@openoffice.org>  [24d7dd114e700677784a0dfbf9eb3b526a967e8c]

mib16: rebase to m82


2010-06-16  Daniel Rentz  <dr@openoffice.org>  [f525f324592da309c81147fc69ed15dbf99dae3e]

mib16: missing throw decl


2010-06-15  Mikhail Voytenko  <mav@openoffice.org>  [41928d9e7c6cd921c2bf89081f42294e4d049e3a]

tl78v2: #i112427# Support password to modify in calc and writer ODF documents


2010-06-15  Daniel Rentz  <dr@openoffice.org>  [3b82bb1566db3da82e11a1a166ac458eebb4c422]

mib16: contributed bugfixes and various new symbols in VBA compatibility implementation


2010-06-15  Daniel Rentz  <dr@openoffice.org>  [5ac2cde7cad685ef5fe0e4fb4801ef15d0d5e7fc]

mib16: contributed bugfixes and various new symbols in VBA compatibility implementation


2010-06-15  Niklas Nebel  <nn@openoffice.org>  [6d4e3cc46ae5bd252d5af78dafe9dce5f50b1e0d]

calctabcolor: extend EXCEPTIONSFILES to compile without warnings on Solaris


2010-06-15  Kohei Yoshida  <kyoshida@novell.com>  [0db2f927ec31ab13f06620e44f46bdde995da135]

calctabcolor: re-applied the change that reduces indentation levels to _ExportAutoStyles().


2010-06-15  Kohei Yoshida  <kyoshida@novell.com>  [86b800917399a314ad3c1847103ddcd649856c3d]

calctabcolor: tabs to whitespaces.


2010-06-15  Kohei Yoshida  <kyoshida@novell.com>  [0f53b8abe10694f90e1721d12fbc34e2e02a08b7]

calctabcolor: reverted change in _ExportAutoStyles() to baseline.


2010-06-15  Kohei Yoshida  <kyoshida@novell.com>  [28631e7ba8dc18ecce2be0ec02e6e18df02f2cdc]

calctabcolor: tabs to whitespaces.


2010-06-15  Kohei Yoshida  <kyoshida@novell.com>  [058a86b92f1fd71c5a6429dcc17ff40d2c724617]

calctabcolor: fixed wrong bracing & indentation.


2010-06-15  tono  <tono@openoffice.org>  [8148f8e5bef5c91c8caec67379b0ef946a4ed83b]

i#111956: MinGW port fix: dependency to shared library: pure porting fix


2010-06-15  obo  <obo@openoffice.org>  [a157711cab1d59951b46b2c2462f0bad4e500a66]

CWS-TOOLING: integrate CWS unoawt


2010-06-15  obo  <obo@openoffice.org>  [8f21cd5889d0e30f8db9763594cf6105ec0541d9]

CWS-TOOLING: integrate CWS chart47


2010-06-15  obo  <obo@openoffice.org>  [8071871de4bc648111e70bbcdaa8e187dee193de]

CWS-TOOLING: integrate CWS fwk139


2010-06-15  Kohei Yoshida  <kyoshida@novell.com>  [c2639a16b033be6b92d641aa1a2dea08ae768ab2]

calctabcolor: rebased to DEV300_m82.


2010-06-14  Kohei Yoshida  <kyoshida@novell.com>  [4ce8d44394251edbc2d4fef2330a9d02a4482cfe]

calctabcolor: #i5560# We need to also be able to load the table:tab-color attribute names in addition to the tableooo:tab-color names.


2010-06-14  Kohei Yoshida  <kyoshida@novell.com>  [a754b746caefba68cfa727435d1d91bae0fd8c2b]

calctabcolor: #i5560# Preserve tab colors during undo of table deletion.


2010-06-14  Kohei Yoshida  <kyoshida@novell.com>  [25fdd5e9fe2f45567b736beb8ce92f8678111c78]

calctabcolor: #i5560# Copy tab color when copying tables.


2010-06-14  obo  <obo@openoffice.org>  [8eb4dc82860236b2415368e0360bfc3646db2503]

CWS-TOOLING: integrate CWS tl80


2010-06-14  obo  <obo@openoffice.org>  [87ccba8959b3c9bc7f7f289462ad9917a1eaf4a5]

CWS-TOOLING: integrate CWS vcl111


2010-06-14  obo  <obo@openoffice.org>  [68807aac87440afba6611ffb1c14e1e837296f44]

CWS-TOOLING: integrate CWS calc54


2010-06-14  Thomas Lange [tl]  <tl@openoffice.org>  [c91cc2278601c0a3fd086135cb31de4b405297e1]

CWS tl80: merge with DEV300_m82


2010-06-14  Niklas Nebel  <nn@openoffice.org>  [c1152bc11bcefee44b5e5d1deb32fbd1eff07ad9]

calc55: make eOp member non-const to prevent MSVC C4510 warning


2010-06-11  Caolán McNamara  <cmc@openoffice.org>  [332ee9864c472e3b5f37105fb51f34a5d99eea09]

cmcfixes75: merge with DEV300 m81


2010-06-11  Caolán McNamara  <cmc@openoffice.org>  [fed0b932f41ee753643f1761132ced1937e4edd6]

cmcfixes75: #i110565# extra radio button


2010-06-11  obo  <obo@openoffice.org>  [8b10c0d5b6064c671f7f175550a0db88644f0a3c]

#i10000# fix for build bot (by GH)


2010-06-10  Niklas Nebel  <nn@openoffice.org>  [1eb700334399c64396211d4261bd8d6ea2478f72]

calc55: merge with DEV300_m81


2010-06-09  Eike Rathke [er]  <erAck@sun.com>  [4e3bcff6b424f7810bc75d7c4c061551b85bd183]

calc55: dumb ass MSVC, ScCompiler::IsOpCode::FunctionName : default constructor could not be generated; maybe moving the struct to file scope helps?


2010-06-09  obo  <obo@openoffice.org>  [3d6941e793b0322bcccaad826a792d6ff9abe5e3]

CWS-TOOLING: integrate CWS tl74


2010-06-09  obo  <obo@openoffice.org>  [97846150e249c40bea6ca268dc4c7a8fc7e3619d]

CWS-TOOLING: integrate CWS koheiextref01


2010-06-09  obo  <obo@openoffice.org>  [9b8d04c3aec9eabe387606cc77c0aaee220ce98f]

CWS-TOOLING: integrate CWS findbar01


2010-06-09  Thomas Lange [tl]  <tl@openoffice.org>  [5940ce5799758b2dc531fd7a07eb16a7e114aad8]

cws tl74: merge with DEV300_m81


2010-06-09  Caolán McNamara  <cmc@openoffice.org>  [f82ee6506e46e0238a04cbaa5a9575346c72789c]

cmcfixes75: merge with DEV300 m81


2010-06-09  obo  <obo@openoffice.org>  [79a9c7fb9a0c681f30e8cf1f988d3cb35d1af3ae]

CWS-TOOLING: integrate CWS chartpositioning


2010-06-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a4823d636671b8682fc740ca781faab405a17275]

Automated merge with http://x42-so4:8009/ooo


2010-06-07  Eike Rathke [er]  <erAck@sun.com>  [2653b8bd3b5f0c2787cb7d7cf09431572fab57e3]

calc55: #i110288# corrected uk_qt and uk_gal factors


2010-06-07  Eike Rathke [er]  <erAck@sun.com>  [00e051d7c5d69dc662d93e2d14d3299f5bb3ea99]

calc55: merge


2010-06-07  Eike Rathke [er]  <erAck@sun.com>  [a8dd34ef3463bdb32661e73587163c2c3157f337]

calc55: #i110229# some alias names for functions renamed in ODFF drafts, and USER. prefix for macro functions


2010-06-07  Niklas Nebel  <nn@openoffice.org>  [a61da76eb8bb197681b8e173af093fd9c2a85009]

#i94570# keep DataPilot table names unique, get document from DocShell in RefreshDPObject


2010-06-07  Eike Rathke [er]  <erAck@sun.com>  [b4213a7e78b9034318531af81629505e3145a0fb]

calc55: merge


2010-06-07  Eike Rathke [er]  <erAck@sun.com>  [222b0f35292a5f7ca77593a893e0cdab13108000]

calc55: #i40309# #i31656# #i103458# improved accuracy of Bessel functions; patch from <regina>


2010-06-07  Niklas Nebel  <nn@openoffice.org>  [bb551c49cfe1a5c922bc4fc3ddf00e1b9c930b82]

calc55: #i112185# remove unreferenced files (implementation is in ScDPResultMember)


2010-06-07  Thomas Lange [tl]  <tl@openoffice.org>  [d483c60adf5b417982b6b27deba72890355d7f77]

cws tl79: merge with DEV300_m80


2010-06-05  tono  <tono@openoffice.org>  [2a0726c3dbbd83a64032e6e78176decb5ac1179e]

mingwport30: merge with DEV300 m80


2010-06-04  Thomas Benisch  <tbe@openoffice.org>  [577c42293f4b89ad84048314679b6a3c1e3cb434]

calc55: #i112084# All charts in a Calc document are loaded when saving the document


2010-06-04  Niklas Nebel  <nn@openoffice.org>  [83f4f8b725a029dab48fedc29fd28605b6e9dadc]

calc55: #i112123# when loading, don't initialize StdPrecision in DocOptions from configuration


2010-06-04  Thomas Benisch  <tbe@openoffice.org>  [415dfb2195079ea24a957b79a003830ed104b7a2]

calc55: #i112094# chart data table dialog cannot be disabled via UNO API


2010-06-04  Thomas Benisch  <tbe@openoffice.org>  [67b42548422c5df51a799c78cfbea89fa8612439]

calc55: #i112094# chart data table dialog cannot be disabled via UNO API


2010-06-04  Thomas Benisch  <tbe@openoffice.org>  [87fe723f239e147a52facb8cb807b466af13e78e]

calc55: #i112094# chart data table dialog cannot be disabled via UNO API


2010-06-04  Thomas Benisch  <tbe@openoffice.org>  [c92f98fc5fca3a8efa0016f84b85a07aee7c5144]

calc55: #i112094# chart data table dialog cannot be disabled via UNO API


2010-06-04  Thomas Benisch  <tbe@openoffice.org>  [2efe6e005b73f734d38fe5c2fae770982d07b166]

calc55: #i112094# chart data table dialog cannot be disabled via UNO API


2010-06-04  Ingrid Halama  <iha@openoffice.org>  [af6ccc27c22a9fd072a324e033a36dc02d46e350]

calc55: #i112035# loading some old chart document fails


2010-06-04  Niklas Nebel  <nn@openoffice.org>  [68339f9f1013911a226c8d365f258196e890a9df]

calc55: #i112116# width of 'E' can be different from digits


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [20109cf04cc1e64f1d73f81c0f9710985dd7b7a7]

CWS-TOOLING: integrate CWS slidecopy


2010-06-03  Niklas Nebel  <nn@openoffice.org>  [eb8f96ee443dac6497ac28358f63b14e1154768f]

calc55: #i112071# property DataFieldCount is optional


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [843557c722f300580c06e41e1a04b6eaed51d78c]

slidecopy: merge after copying in CWS renaissance2


2010-06-03  Carsten Driesner  <cd@openoffice.org>  [1ab90b14ac3be47b4a6467463f6ff9ba6abab534]

fwk139: Merge changes


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [22d6f8ae32226b519ada9961b542866b2a4cc22d]

unoawt: merged in latest changes from CWS slidecopy (rebase to m80)


2010-06-03  Mikhail Voytenko  <mav@openoffice.org>  [ee2d85dedf9583b1e8b5f4c81b86c2a2fb67336c]

fwk139: #i10000# avoid warnings on solaris


2010-06-03  Ingrid Halama  <iha@openoffice.org>  [c24e6b3d81efc51e5bd5c7fd6d31a73abf76c1bb]

chart47: #i112078# disabled test sch.ChartLegend::com::sun::star::beans::XPropertySet


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [563525645790c99c4e41e006e39f3ee3d3781b75]

slidecopy: merged latest DEV300.m80 changes


2010-06-03  Thomas Lange [tl]  <tl@openoffice.org>  [b69c4ead59508686a00702609b1108e484c182a9]

cws tl78: merge with DEV300_m80


2010-06-03  Ivo Hinkelmann  <ihi@openoffice.org>  [79a8c4405977b1984c3ed362e2d071d206948044]

CWS-TOOLING: integrate CWS renaissance2


2010-06-03  Mikhail Voytenko  <mav@openoffice.org>  [74eb04c893034c4852afccc6d6f2999e45da677f]

tl78: #i110383# password to modify support for binary types only


2010-06-02  Niklas Nebel  <nn@openoffice.org>  [be261b47da03943078f6efcdebf6a9d4d6a8a1fe]

calc55: #i112025# new csv import options must be at the end of the options string


2010-06-02  Mathias Bauer  <mba@openoffice.org>  [5c18aa3ead1bdacd7ae4bae2067ecdf5026ff5ff]

CWS mba33issues01: merge to m80


2010-06-01  Ingrid Halama  <iha@openoffice.org>  [eb817acd630b6e8e52f33478fad0074c5319a1bf]

chart47: #i110702# translation for 'display legend' is truncated


2010-06-01  Ingrid Halama  <iha@openoffice.org>  [baae33143ccd6eccd69eaf41a1ed50d151cceec8]

chart47: #i110300# allow also longs for property DataRowSource


2010-06-01  Ingrid Halama  <iha@openoffice.org>  [ad07aa503ce89ed85a3631606ab5b4ff2b9f75bf]

chart47: #i109770# enable chart tests again


2010-06-01  Ingrid Halama  <iha@openoffice.org>  [d8f5c743b9025a854cc61b9a64a778cfcf642a94]

chart47: #i111967# #i83832# some properties are wrongly marked BOUND


2010-06-01  Christian Lippka  <christian.lippka@sun.com>  [24341ca31da6556ce47df48b14d0535e24a7e64d]

cws renaissance2: rebase m80


2010-06-01  Ingrid Halama  <iha@openoffice.org>  [9fab9614e21e85da1cf323ffc712a44a6f244fac]

chart47: merge with DEV300_m80


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [acbb8aecdcaa555be5bfe90496d64ae9c2074bcc]

cmcfixes74: merge with DEV300 m80


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [6a897ad85a6d54c8f983e4d7f4b3f78c2d19397b]

cmcfixes75: merge with DEV300 m80


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [16915026efb528ee817131e557ba38bb8c328a9f]

findbar01: Local merge with remote repo


2010-05-31  tono  <tono@openoffice.org>  [1e02f8a354ce16cf0cfb277a40565a8698825d42]

i#111956: MinGW port fix: dependency to shared library


2010-05-31  Ingrid Halama  <iha@openoffice.org>  [f9e4c6277ba690ddef2e856aa30de43ab6175991]

chart47: #i87138# enable test again


2010-05-31  Ingrid Halama  <iha@openoffice.org>  [2386a8546241a3820b5d9ac6d6ea441ea4c55777]

chart47: #i83867# enable test again


2010-05-28  Ingrid Halama  <iha@openoffice.org>  [3e999d846b9b44964db5f06d960347cb8b1aab10]

chart47: #i83857##i83706##i83831##i83866##i87138##i87295# cleanup UNO API tests


2010-05-28  Ingrid Halama  <iha@openoffice.org>  [bc7b36d9705776213865c1828f92cd0ceea6bd87]

chart47: #i79087# prevent deadlock + prevent null pointer access


2010-05-28  Ingrid Halama  <iha@openoffice.org>  [14960c839b342db293d2575ce2b0f0ffa9de0645]

chart47: #i79087# prevent deadlock + reduce vector to single diagram


2010-05-28  Daniel Rentz  <dr@openoffice.org>  [4ae8c58509a1b085e4206b69ff8b40c997a48816]

dr76: update to DEV300_m79


2010-05-28  Vladimir Glazunov  <vg@openoffice.org>  [12749c4c0e36dbf776c3bb31c456d0a6181b8a91]

CWS-TOOLING: integrate CWS calc53


2010-05-28  Vladimir Glazunov  <vg@openoffice.org>  [2a535305431a19da303b95ceef45fd74d6fc2497]

CWS-TOOLING: integrate CWS koheiautodecimal


2010-05-27  Ingrid Halama  <iha@openoffice.org>  [d183b1b35f61752082a923a37bf67c87fc871067]

chart47: #i79087# prevent deadlock while changing scale vie API


2010-05-27  Vladimir Glazunov  <vg@openoffice.org>  [ee023be1e2cb081dbf4a682dfaf92c43a3d609ab]

CWS-TOOLING: integrate CWS sb120


2010-05-27  Thomas Lange [tl]  <tl@openoffice.org>  [aa7a01ebb919631726972d9b3b0d252980eadf17]

cws tl79: merge with DEV300_m79


2010-05-27  Wu Yan  <wuy@openoffice.org>  [c2dc16f0c7d2be70861e70a88c06c79658bc8a63]

findbar01: #i111848#, #i111852# change title of findbar and show/hide the findbar according to specification


2010-05-26  Niklas Nebel  <nn@openoffice.org>  [1fa1e4e7311886b5d83e9f432b58c93fcfbd3f80]

calc54: merge with DEV300_m79


2010-05-26  Kohei Yoshida  <kyoshida@novell.com>  [0bfd2419f3b3ce49f786675c8a85e1eb91475799]

rebased to DEV300_m78


2010-05-26  Niklas Nebel  <nn@openoffice.org>  [8deff343687b331662f13cee93c73e19439c04f6]

calc54: #i111857# don't always create empty mpTableData for external service in BuildAllDimensionMembers


2010-05-26  Ingrid Halama  <iha@openoffice.org>  [a6c1b0d04a425192e307dad56bcb6446a6fc13ab]

chart47: #i86555# prevent deadlock while changing title vie API


2010-05-26  Caolán McNamara  <cmc@openoffice.org>  [bd6c6607419e4986d5d385747675a833f0f24e0c]

cmcfixes74: merge with DEV300 m79


2010-05-26  Caolán McNamara  <cmc@openoffice.org>  [3713a067ec4407490b06184d2d4748a04b8f1387]

cmcfixes75: merge with DEV300 m79


2010-05-26  Carsten Driesner  <cd@openoffice.org>  [39c8d43cd4abb39e589a48e8974229369d75bddd]

findbar01: Merge changes from m78


2010-05-26  Ingrid Halama  <iha@openoffice.org>  [464de3d6e0050792928225e8f5783415f9e7f8cc]

chart47: #i79087# reduce assertions 'Trying to set a read-only property'


2010-05-26  Ingrid Halama  <iha@openoffice.org>  [8c0dd186515a74a8ff68d462c90715919479938f]

chart47: #i83868# correct test and assertion for property 'SymbolBitmapURL'


2010-05-25  Thomas Lange [tl]  <tl@openoffice.org>  [4b25d74d97206a6d90e0df7e3a893efeec8b209c]

cws tl79: #i110254# security tab page in 'File/Properties'


2010-05-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c239a0583e9e760f5c288e0f8cdf4a27a4ee1c25]

unoawt: completely separated the controller functionality of a wizard page from the wizard page itself, by moving the canAdvance method from OWizardPage to the IWizardPage interface, which in this course has been renamed to IWizardPageController. This will later on allow to have implementations where the TabPage is provided by an external component (e.g. as UNO Service), but the controlling of those pages is still intercepted and handled internally.


2010-05-21  Niklas Nebel  <nn@openoffice.org>  [0c3f49cc3a3ca0aff2e2c748ffa0d4097356b607]

calc54: #i54993# when fitting pages to width or height, ignore manual breaks in that direction


2010-05-21  Daniel Rentz  <dr@openoffice.org>  [4c01e846ff93eaa25d730c92293482db7012f94d]

dr76: #i103453# import visual area for embedded documents


2010-05-21  Kurt Zenker  <kz@openoffice.org>  [ca70505c0f9779abdc3623a136ffde96ffaff354]

CWS-TOOLING: integrate CWS npower13_objectmodules


2010-05-21  Ingrid Halama  <iha@openoffice.org>  [beb66b56a8325e9bf6f4be51dbcb0d4048b024be]

chart47: #i83831# problems with character properties at title


2010-05-21  Niklas Nebel  <nn@openoffice.org>  [9805d10638ae1bd005fdfb855dadfab168341a11]

calc54: #i111754# leave out source-service password attribute as long as DataPilotSource doesn't specify the content


2010-05-21  Ivo Hinkelmann  <ihi@openoffice.org>  [6c2daaedbf5861683e62e3f979b7ea91b5ee35da]

CWS-TOOLING: integrate CWS ab75


2010-05-21  Niklas Nebel  <nn@openoffice.org>  [b6ca8caa570d1fcf9ef77c1892aa47ce14277aa8]

calc54: #i111745# don't access GetObjectManager for BIFF5 export


2010-05-21  Daniel Rentz  <dr@openoffice.org>  [6910da13d5cac23ee289ae6e46b57c875d95def8]

npower13_objectmodules: rebase and merge with DEV300_m78


2010-05-20  Niklas Nebel  <nn@openoffice.org>  [fb2798ab89859486fe3f39d53027354001129483]

calc54: #i105964# IsHidden in CellProtection must always be saved as hidden-and-protected


2010-05-20  Henning Brinkmann  <hbrinkm@openoffice.org>  [29c520c31d26dafa12152d9040901c7599cbed69]

tl78: merge


2010-05-20  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [7e1e953edd200579a5aeaaf0bab4397f7d4fe3f3]

rebase to DEV300_m78


2010-05-20  sb  <sb@openoffice.org>  [0e8482f620da72462a37de944dad6629b6538084]

sb120: merged in DEV300_m78


2010-05-20  Caolán McNamara  <cmc@openoffice.org>  [46faa702887f821d3fa929f99f05172d388e6a87]

cmcfixes75: merge with DEV300 m78


2010-05-20  Vladimir Glazunov  <vg@openoffice.org>  [e31c4198b427344337175b43223b34b2bed92e35]

CWS-TOOLING: integrate CWS sdfindall


2010-05-19  Ingrid Halama  <iha@openoffice.org>  [e31b7ab520edc15e3af0d8d766286a7a77b9d6fe]

chart47: #i109770# #i110253# prevent null access on empty m_aModel and reduce assertions 'already disposed'


2010-05-19  Niklas Nebel  <nn@openoffice.org>  [a267aa6b8e5900648ff7419ff19d4caae4d8ba1d]

calc54: #i111710# Strings from EditEngine items are now in editeng resource


2010-05-19  Thomas Lange [tl]  <tl@openoffice.org>  [33af7ce8c4ff1167b80fc1afa79622932ad230c3]

cws tl79: #i110254# new security tap page in 'File/Properties'


2010-05-18  Kohei Yoshida  <kyoshida@novell.com>  [84542907bdb960d41f473984685e60aec2a37c3e]

koheiautodecimal: #i111387# fix for the fix.  The previous fix caused a crash.


2010-05-18  Mathias Bauer  <mba@openoffice.org>  [dff9751451672a4556ac3c7986bf17f30d088ac3]

CWS mba33issues01: #i99402#: typo RapairPackage


2010-05-18  Mathias Bauer  <mba@openoffice.org>  [d8f7108482c444df8e72859f385591192b40d6f1]

CWS mba33issues01: #i83367#: pass object name correctly


2010-05-17  Ingrid Halama  <iha@openoffice.org>  [79821a066b6097d273572e80eec734ddf0bb933a]

chart47: #i109770# #i110253# reduce assertions 'already disposed or closed'


2010-05-17  Ingrid Halama  <iha@openoffice.org>  [12bb628c2dc64ea42b00c1b7b38e1c4336efd73e]

chart47: #i109770# #i110253# don't paint anything if no model is available


2010-05-17  Ingrid Halama  <iha@openoffice.org>  [c4d312113e755370162281577d1e97fa4f31df79]

chart47: #i109770# #i110253# reduce assertions caused by a wrong z-axis contained in a 2D bar chart


2010-05-13  Kohei Yoshida  <kyoshida@novell.com>  [385701e4f3c501c37d43f8142f4abc43142ee49c]

calctabcolor: Removed code that was not intended.


2010-05-12  Kohei Yoshida  <kyoshida@novell.com>  [bc82cb560ca0c947cd71f6f2a52700302f7df1b5]

koheiautodecimal: #i111559# Fixed a bug in automatic adjustment when the printer matrices are used.


2010-05-12  Niklas Nebel  <nn@openoffice.org>  [1a185c4250292110e19b51d50efcfd3ecb3ddcaf]

calc54: #i99904# FillAuto: initialize pStyleSheet outside of the inner loop


2010-05-11  Kohei Yoshida  <kyoshida@novell.com>  [7c7aa919269c232dd07e7866082aa25c247dd5bc]

rebased to DEV300_m77.


2010-05-11  Ingrid Halama  <iha@openoffice.org>  [6d14a760ca1ba752521c399f490b74d49c9842c2]

#i111524# crash caused by TickmarkHelper::getMaxTickCount gets Inf interval count


2010-05-11  Carsten Driesner  <cd@openoffice.org>  [8c6c9b96958e9c8493ef3edfaf9875bb2a470804]

fwk139: Rebase to DEV300m77


2010-05-11  Thomas Lange [tl]  <tl@openoffice.org>  [738a35d287c74daae1f796d796e84b45172b25a9]

cws tl80: merge with DEV300 m77


2010-05-11  Andreas Bregas  <ab@openoffice.org>  [fb891104bee8c9089d4a3c0d7824566c9834e12c]

ab75: merge with DEV300_m77


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [41c0e20c0fee58a66cf26e4f746e2e03708e4af3]

CWS-TOOLING: integrate CWS npower14miscfixes


2010-05-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [33e8e19cf365b0d8853654834de2bfa1d130fd79]

unoawt: merge after pulling from CWS slidecopy


2010-05-10  Ingrid Halama  <iha@openoffice.org>  [77325cde4c8dc157203e4877a1160703bace22c6]

chartpositioning: #i100778# for exploded pie charts use the offset of the series as radius for excluding positioning


2010-05-10  Ingrid Halama  <iha@openoffice.org>  [48f8256c1985559f0a717090e1514f8903efebad]

chart47: #i109770# #i110253# reduce assertions 'already disposed or closed'


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [52de98965fa3f69f064d93d6688d89869cc8e01c]

CWS-TOOLING: integrate CWS dr73


2010-05-10  Ingrid Halama  <iha@openoffice.org>  [db052e3dbc41145e18d9798ae791c96cd53617f2]

chartpositioning: #i100778# switch to manual positioning if shapes are added via user interface


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [373119bffa080ebe139ad649988324e7edeac0fa]

CWS-TOOLING: integrate CWS chart45


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [16cad4da6536523be408ca1e90b394f071b73abb]

CWS-TOOLING: integrate CWS calcautocrash


2010-05-10  Ingrid Halama  <iha@openoffice.org>  [45f10580f59f84ca69adc591b85db631f38c1b68]

chart47: #i109770# #i110253# remove assertion caused by state without diagram during initialization


2010-05-10  Ingrid Halama  <iha@openoffice.org>  [4fc66960149b60ca783a533d7ed8c846f8605bc1]

chart47: #i109770# guard drawmodel destructor with solar mutex


2010-05-07  Ingrid Halama  <iha@openoffice.org>  [de80fb7519c2388de13bb1ec71b9decf5d61fb6a]

chart47: #i111456# use 9 sub intervals per default for logarithmic scales


2010-05-07  Niklas Nebel  <nn@openoffice.org>  [56ad4a6d138ed6c40299fc3d679d0e4ae3f51a46]

calc54: #i111462# in ScDPResultMember::LateInitFrom, reset InitChild flag only temporarily


2010-05-07  Ingrid Halama  <iha@openoffice.org>  [597d263dbaefcf6f767abf4c76d5ad9786b69e19]

chart47: #i111102# remove assertion


2010-05-07  Niklas Nebel  <nn@openoffice.org>  [d76de54662d5139c4f860be475aef7829f1eec76]

calc54: #i111435# in ScDPGroupTableData::CalcResults use dimension indexes including groups


2010-05-07  Thomas Lange [tl]  <tl@openoffice.org>  [317acb4f89a0ff572d9470b5075eea75dc3f80a8]

cws tl78: fixing windows specific build problems after merging with DEV300_m77


2010-05-06  Niklas Nebel  <nn@openoffice.org>  [342e7ad0346b4aa1a8b119dd6bfcc1ca879cdd1f]

calc54: #i111421# use lcl_GetTableVars in GetDataResultPositionData


2010-05-05  Ingrid Halama  <iha@openoffice.org>  [f17dd5b09b563867254d128e58334af30bf1c1b9]

chartpositioning: #i100778# simplify user interface: reduce sizing options to new excluding mode only


2010-05-05  Kohei Yoshida  <kyoshida@novell.com>  [8028fc70095223f143ff16ff90f0c50e0ece6dab]

koheiautodecimal: #i111387# Disable text wrapping when the cell value is numeric.


2010-04-30  Niklas Nebel  <nn@openoffice.org>  [7de2224d89f26d7748411635260f2e9260f66b29]

calc54: #i111293# correct parentheses


2010-04-29  Thomas Lange [tl]  <tl@openoffice.org>  [66a69bd92896891ec1bf982d5f20929d558023bb]

cws tl78: merge with DEV300 m77


2010-04-29  Niklas Nebel  <nn@openoffice.org>  [ba8281c9e284b562740b9d14fa137e556b39c3c2]

calc53: merge with DEV300_m77


2010-04-29  Niklas Nebel  <nn@openoffice.org>  [a4090098c1352eddbe32c5f78cce85edf53bbbac]

calc53: #i100879# add table style for cached tables only if there are cached tables


2010-04-29  Kohei Yoshida  <kyoshida@novell.com>  [bbacdbcac4226cc980d4d5a4e802b24e8af70590]

rebased to m77.


2010-04-28  Kohei Yoshida  <kyoshida@novell.com>  [12ab4cce333b19697dc7fa61ebaa6f7412de04a5]

koheiextref01: #i110595# Trim columns below the last non-empty row, to prevent Calc from adding the trailing empty cells.


2010-04-28  Christian Lippka  <christian.lippka@sun.com>  [89d32cea6048c27f97f31b3b6bd37e4dc6a310d6]

renaissance2: rebase m77


2010-04-28  Niklas Nebel  <nn@openoffice.org>  [3fcf09bf00afd179aea01513d981b8b133f27664]

calc53: #i111231# some spring cleaning


2010-04-28  Wu Yan  <wuy@openoffice.org>  [cc74e61b8caaf4d4f5a7f035d14afcdb91cd0e85]

findbar01: enhancements for findbar


2010-04-28  Thomas Lange [tl]  <tl@openoffice.org>  [7fdfa39cd7515f631eb52cb3c2bc46560fba33cc]

cws tl79: merge


2010-04-27  Mihaela Kedikova  <misheto@openoffice.org>  [9cf0689395833343418f347ca7841ebc196f1fc3]

gridcontrol_03: merge with DEV300_m77


2010-04-27  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [2d92ae464cf4f221f6a5fdc9667d731461a37402]

vcl111: #i105472# add style to omit pointer evasion of help window


2010-04-27  Thomas Lange [tl]  <tl@openoffice.org>  [804d16e9d16505bbf30942b9e8d8e3b2eafe9a9a]

cws tl79: merge with DEV300_m77


2010-04-26  Niklas Nebel  <nn@openoffice.org>  [f5d8d129f33451bf25e6d98f58c60eb0d1015200]

calc53: #i109009# make sure the function and syntax tip help windows are removed before their parents (modified patch from cmc)


2010-04-26  Niklas Nebel  <nn@openoffice.org>  [4c9b8ddd0c0796eef8d4108765644c1d8a21226d]

calc53: #i111158# set PageIncludesNonprintableArea property in getRenderer


2010-04-23  Niklas Nebel  <nn@openoffice.org>  [e1b3299af0f2c41838ad02c27cda2930331b8d5a]

calc53: #i85342# DrawEdit, screen display and formatting for printer: use ScEditUtil for paper size width


2010-04-22  Kohei Yoshida  <kyoshida@novell.com>  [2f41f278bfad92a576dd2963ea71c193d110e3c1]

Tab to whitespace.


2010-04-22  Kohei Yoshida  <kyoshida@novell.com>  [4704bb8c1c3e7bac137ea4ccd2efb98825faaba0]

koheiautodecimal: #i111074# When querying max precision, ignore unlimited precision, or use 2 in case all cell's precisions are unlimited.


2010-04-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5d2c3b60378124a7f054d5eff3d62abba2d56ac5]

slidecopy: removed accelerator/*/default.xml - they're not used for a long time now ... (accelerator config is now in Accelerators.xcu in officecfg. No need to confuse people with those dead files)


2010-04-22  Thomas Lange [tl]  <tl@openoffice.org>  [5f5945a1abcefca14b8ecdf5d4e8427736ddde64]

cws tl80: #i110341# problems with spell check dialog fixed


2010-04-21  Caolán McNamara  <cmc@openoffice.org>  [77d7ad9e9735ca5a4c9c0277434e20c0f5bbeea5]

cmcfixes74: merge with DEV300 m75


2010-04-21  sb  <sb@openoffice.org>  [7f7f7eee2833d01a9bc1b5bbd9acd895d8549750]

sb120: merged in DEV300_m77


2010-04-21  Niklas Nebel  <nn@openoffice.org>  [a4460a8b62261af583e8b836f8148af40b267994]

calc53: #i111044# correct DataPilot item sorting from popup window


2010-04-21  sb  <sb@openoffice.org>  [4343104c1af1f0f9051d018871c4c2404175d79f]

sb120: #i109728# disable fragile sc/qa/unoapi for now


2010-04-21  sb  <sb@openoffice.org>  [bd85cdcead3d2a33eef57175803ef708e7458815]

sb120: #i111032# disabled failing test for now


2010-04-20  Niklas Nebel  <nn@openoffice.org>  [06739c8c1dde0aeddb6b50de4316bc6a0b4ad625]

calc53: #i110911# write required xlink:type attributes, column element for cached table


2010-04-20  Jens-Heiner Rechtien  <hr@openoffice.org>  [b4395d40681412984e19ea9115e1a2b4b4b5253e]

DEV300 masterfix: #i10000#: fix WaE: unhandled enumeration values


2010-04-20  npower Developer  <npower@openoffice.org>  [d33b22e807d2f965657e12f2662a8efad78a6775]

ab75: #i110417# improve ErrObj behaviour


2010-04-19  sb  <sb@openoffice.org>  [e68f8743bd0aedd060d62dbefa86606b0eff3cf1]

sb120: #i109770# disable fragile chart2/qa/unoapi testing for now


2010-04-19  Kohei Yoshida  <kyoshida@novell.com>  [cf6ec281016f63d8e9664efff78451c6b568ccc9]

koheiautodecimal: rebased to DEV300_m76.


2010-04-19  Niklas Nebel  <nn@openoffice.org>  [e3767c6f7e4a4391396d66c6cce48a140f7e6746]

calc53: #i110260# don't create medium with invalid URL


2010-04-19  Niklas Nebel  <nn@openoffice.org>  [aa434ab9675b188a73c917093f2edc4725a453c7]

calc53: #i110829# MarkListHasChanged: remove cell selection only if there are selected drawing objects


2010-04-19  Niklas Nebel  <nn@openoffice.org>  [21c19106375473895356e6f306d7803885f70cc6]

calc53: #i110979# don't mix number format indexes from different number formatters


2010-04-16  Daniel Rentz  <dr@openoffice.org>  [757e5e83358f9b3afcee46930a5ddf74dc53027b]

npower13_objectmodules: uppercase UNO constants


2010-04-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [60d36644de7fcf8e7c661fbef9d5f324284efb37]

slidecopy: now using SID_TASK_PANE in all applications, also in Impress. Implies registering the respective child window in the apps, not in SFX. Also implies getting rid of SID_RIGHT_PANE in Impress. Also, renamed SID_TASK_PANE in Impress to SID_SHOW_TOOL_PANEL, which better fits its purpose, and avoids confusion with SID_TASKPANE.


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [fd4d6f2e1fca751e19c2d93eaef9784478038728]

DEV300: merge masterfix ea9085d6db4c@DEV300


2010-04-16  Niklas Nebel  <nn@openoffice.org>  [e0c6b162d68bf5d7baae00da910364a74669b17a]

calc53: #i110941# web query import: correct handling of merged cells


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [2f711e6622169bc6434a1b1ebd8abe68d69a4666]

CWS-TOOLING: integrate CWS calcfilterrange


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [65b6d4a66400e055614d8a159b31d452a5645863]

CWS-TOOLING: integrate CWS sb118


2010-04-15  sb  <sb@openoffice.org>  [1d68dde60cd5761593d533963b2aa55653c29791]

sb120: merged in backout from cws/sb118


2010-04-14  Niklas Nebel  <nn@openoffice.org>  [6faaf689bba4a316cc2a3601ab9dc6ac2c1bbb92]

calc53: #i89332# allow html or csv instead of preselected xls in ScFilterDetect::detect, no more registration of csv for xls extension


2010-04-14  Thomas Benisch  <tbe@openoffice.org>  [78a7db631cab0113c4c020423f1440f97c8d577b]

chart45: #i110805# Chartshapes: Toolbarbuttons can't be opened


2010-04-14  Thomas Benisch  <tbe@openoffice.org>  [3c43c1b27b6858d50771e1cc805b64245d82f4e7]

chart45: #i110805# Chartshapes: Toolbarbuttons can't be opened


2010-04-14  Daniel Rentz  <dr@openoffice.org>  [9009800049415242f1673197b388dfe47fb65395]

npower13_objectmodules: make vba import available in oox filters


2010-04-14  sb  <sb@openoffice.org>  [96d0771c4c3c6a5509852ceb8242dbc4f68ec3bd]

sb118: merged in backout


2010-04-14  Ingrid Halama  <iha@openoffice.org>  [b370dfc3f2d7b0e3fab493d40772cdc57158232c]

#i110743# build WarningError on unxlngx6


2010-04-14  npower Developer  <npower@openoffice.org>  [f42b3e72341f87473b7d5c9676f91d5b91a001dd]

npower13_objectmodules: add a CodeName property for Sheet and Document/Model objects


2010-04-14  Thomas Lange [tl]  <tl@openoffice.org>  [0fa614adbb3d27b3d6aa6b3897bc13ae51081aca]

cws tl74: merge with DEV300 m76


2010-04-14  sb  <sb@openoffice.org>  [d8f41d6537bae40b5d5eb7617def4dd884e9651e]

sb120: #i110862# disabled failing test


2010-04-13  npower Developer  <npower@openoffice.org>  [9300dcbbb0d81e2f19b6b0fdcb3b2a102c9985fc]

npower13_objectmodules: #i110724# fix for union and some clean up for determining multicell property values ( using SfxItemSet )


2010-04-13  Niklas Nebel  <nn@openoffice.org>  [0939ee8d17a865c3bcf9b53c9ec6dfdaee005877]

calc53: #i110853# don't always cancel HTML export


2010-04-13  Ingrid Halama  <iha@openoffice.org>  [421b79628c3ab4c193885e26c6c83b484a037845]

chart45: avoid assertion during scenario from issue #i110849#


2010-04-13  sb  <sb@openoffice.org>  [7b9a0cd400402faac91fc6d15c97bf1eb3b56629]

sb122: merged in cws/calcautocrash to fix sc/qa/unoapi problem with sc.ScDataPilotFieldGroupItemObj


2010-04-13  Ingrid Halama  <iha@openoffice.org>  [89e82d6fae52b2ee5ebd8da30d1b084de3e10353]

chart45: #i110849# crash after copying chart


2010-04-12  Kohei Yoshida  <kyoshida@novell.com>  [f230c532bf6ba3238a88ac71784cfa0e33cc4c23]

koheiautodecimal: #i110634# Don't export negative decimal-places esp. when the standard precision is "unlimited" (i.e. has an internval value of 65535 which would become -1 whne casted to *signed* 16-bit integer).


2010-04-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [680e0d87d8613120aa00fb29ba3d1faca9567a84]

slidecopy: merge


2010-04-12  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [cc3fcf72fad22892e1ee7b3797a9cc99052419ff]

merge with DEV300_m76


2010-04-12  Caolán McNamara  <cmc@openoffice.org>  [a801921aea8746dfca4da1fa37b9cf3faba71988]

sdfindall: merge with DEV300 m76


2010-04-12  Caolán McNamara  <cmc@openoffice.org>  [3080d30aee79b9166973725a07bfeb2c576c834b]

cmcfixes74: #i110565 use radio buttons for mutually exclusive options in menus


2010-04-12  Caolán McNamara  <cmc@openoffice.org>  [5d92bcf7cc613329e8e1cdae0f1275d56b41abbe]

cmcfixes74: #i110565 move the radiobuttons work to sdfindall


2010-04-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [7075ddccf64fbb59f002dbd29276ade0147ab123]

dba321a: #i10000# remove dublicate method: static void lcl_SkipBytesInBlocks (merge problem


2010-04-12  Christian Lippka  <christian.lippka@sun.com>  [1b56f81da8ac83ae8493fe3c20c5062cd52e3fae]

renaissance2: rebase m76


2010-04-12  Niklas Nebel  <nn@openoffice.org>  [61da4affffbbdd5e9b9de822bdfde0e4ebe6c6f8]

calc53: #i110751# remove unused functions again


2010-04-12  Niklas Nebel  <nn@openoffice.org>  [fbdc7196007cdfc4ba578c6188a477da0fbd53cb]

calc53: #i110799# use IsValidReference in getReferredCells


2010-04-11  sb  <sb@openoffice.org>  [658eee1218c5d9af1b297a1afab25bf67870422f]

sb120: merged in DEV300_m76 via cws/sb118


2010-04-11  sb  <sb@openoffice.org>  [e45305308113131baa4136a68ec4a41a6ac52145]

sb118: merged in DEV300_m76


2010-04-09  Niklas Nebel  <nn@openoffice.org>  [a1d3242b3910e80c0b3546619015657145f9a2e1]

calcautocrash: #i110721# move MacroInterpretIncrementer to ScDPTableDataCache::InitFromDoc


2010-04-09  Niklas Nebel  <nn@openoffice.org>  [9f352b9f9d2649e371d0b4ba45c7e4747b995438]

calc321stopper2: #i110692# ExportToComponent: reset stream flags if source stream not available


2010-04-13  Niklas Nebel  <nn@openoffice.org>  [e1d6fd9a8d2a3270ecbc5f0c30b791ead81c4f02]

fwk140: #i108978# copy sheets from stream only if a SFX event was notified before saving


2010-04-12  Ingrid Halama  <iha@openoffice.org>  [e515881b244e95d9c10d856c5d12b03489ea9911]

fwk140: #i110766# avoid crash on changing com.sun.star.chart.ChartDataRowSource


2010-04-09  Caolán McNamara  <cmc@openoffice.org>  [cbaeebca55dea1baa9bb54ccd8723ea9c2a59394]

cmcfixes74: #i110717 fix new && || + meaningless const warnings


2010-04-09  Ingrid Halama  <iha@openoffice.org>  [ab00b10a9ed0781ba9cd8c44af01e9361fa1e8fb]

chartpositioning: merge with DEV300_m76


2010-04-09  Caolán McNamara  <cmc@openoffice.org>  [b21be76c5c81ff444f0477ac916c57c646fe3583]

cmcfixes74: merge with DEV300 m76


2010-04-09  Ingrid Halama  <iha@openoffice.org>  [fce73d8921c6abc75ee2fbf45af85aab966eae65]

chart45: merge with DEV300_m76


2010-04-08  npower Developer  <npower@openoffice.org>  [9756403b5445d3f957f02edaeec737087f9a2377]

npower13_objectmodule: merge heads ( from merge to DEV300_m75 )


2010-04-08  Caolán McNamara  <cmc@openoffice.org>  [53ac03935ca1b5a0b386a55f56384d65d9d95da3]

cmcfixes74: #i110565 use checkboxes in popupmenus for mutually exclusive options instead of checkboxes


2010-04-08  Caolán McNamara  <cmc@openoffice.org>  [6adbf27d656629e17ebe1142ebb9a257decab62a]

cmcfixes74: #i110565 use checkboxes in menus for mutually exclusive options instead of checkboxes


2010-04-08  Daniel Rentz  <dr@openoffice.org>  [1a44edc4fa8e2e4b1f5754861bbe16ca65c984fb]

tl78: #i109779# import/export password-to-modify


2010-04-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [42a0d25e33393d291ad9cb1838f65956b9cfaf4f]

slidecopy: add SID_TASKPANE support to Calc, Writer/Web, Writer/Global, Math, Writer/Form, Writer/Report, XMLForm


2010-04-08  Caolán McNamara  <cmc@openoffice.org>  [60f440e7a5622a34d6d89c8226aa355139329712]

sdfindall: merge with DEV300 m75


2010-04-07  npower Developer  <npower@openoffice.org>  [e17b34c6010ae42a379d1e18c864b014ddb1f9ff]

npower13_objectmodule: #i110672# fix Application.ThisWorkbook ( from dr )


2010-04-07  sb  <sb@openoffice.org>  [2407c73cc9e4778130f8478e59f44af213776fca]

sb120: merged in re/DEV300_next towards DEV300_m76 via cws/sb118


2010-04-07  sb  <sb@openoffice.org>  [7a51cf8ed4358539c9940a2bf5bdf54474789863]

sb118: merged in re/DEV300_next towards DEV300_m76


2010-04-06  Ingrid Halama  <iha@openoffice.org>  [6cc9f1841da25bf2159f5acad60497c756685bc6]

chartpositioning: #i100778# do only calculate inner rectangle if necessary


2010-04-06  Ingrid Halama  <iha@openoffice.org>  [19e60998f880943b9774aec6fd2eb4f0c4ac32fc]

chartpositioning: #i100778# use size inclusive axes and axis titles for 3D charts


2010-04-06  Ingrid Halama  <iha@openoffice.org>  [6d69e6ba650a6332cf2450d8a4a675d4aa2b6ec6]

chartpositioning: #i100778# correct inner rectangle in case of 3D charts if outer rectangle is used for sizing


2010-04-01  Vladimir Glazunov  <vg@openoffice.org>  [464b494e0b298c87757f177ad92c2c99bf0cb77c]

#i10000# some catch-up fixes


2010-04-01  Ingrid Halama  <iha@openoffice.org>  [3f652870ab263e0d501a820a9c1d7f4fb324d6db]

chartpositioning: #i100778# changed default to exclude axes


2010-04-01  Ingrid Halama  <iha@openoffice.org>  [9b039eddfc3f98e9e764b9e334fce6f0f563d7f5]

chartpositioning: #i98398# compiler warnings


2010-03-31  Ingrid Halama  <iha@openoffice.org>  [ac953d3420a1ad5dda91e39e5a106dc76380d151]

chartpositioning: #i100778# fixed typo


2010-03-31  Ingrid Halama  <iha@openoffice.org>  [81fd983210d3b0b111dc5a0bd92f8d8c68412433]

chartpositioning: #i98398# treat diagram size without title sizes (correct ODF import/export, correct diagram sizing per mouse, correct API for import)


2010-03-30  Mikhail Voytenko  <mav@openoffice.org>  [f99dc2586e3e1dc1bee71f3c72fb6bbce89b98ae]

tl78: #i110383# support password to modify


2010-03-30  Mikhail Voytenko  <mav@openoffice.org>  [472c78a409ba579b9932cc224d64f385df0bdb63]

tl78: #i110383# support password to modify


2010-03-30  Ingrid Halama  <iha@openoffice.org>  [ddae2d8a0479c2e61b7f08c561863ed28cedb877]

chartpositioning: #i100778# avoid assertions upon opening of pos&size dialog


2010-03-26  Ingrid Halama  <iha@openoffice.org>  [3c1a951c99a8bdbc4b87e31cd744354c66082cb5]

chart45: #i106812# correct Undo for ranges


2010-03-26  Ingrid Halama  <iha@openoffice.org>  [fec4fbfcb9751467356c2a05ba12107105e5909a]

chart45: make more failsafe


2010-03-25  Ingrid Halama  <iha@openoffice.org>  [e5aea8494b9994cff05981e81da53822bcafef95]

chart45: #i80377# don't wrap wide legends so early


2010-03-24  Ingrid Halama  <iha@openoffice.org>  [25feedae4ddddabe421aad547df08a5fb2014f3a]

chart45: #i106966# actvating chart by double click opens area dialog


2010-03-24  Thomas Lange [tl]  <tl@openoffice.org>  [0baceff0c0d6b0225b5fb5d480d435224b26086c]

cws tl78: merge with DEV300_m75


2010-03-24  Vladimir Glazunov  <vg@openoffice.org>  [82b0b58859ab47ed143e737f3eb9d894cf7b1bd5]

CWS-TOOLING: integrate CWS chart43


2010-03-24  Thomas Lange [tl]  <tl@openoffice.org>  [ecbfbd97b0ff96c7d2f61e61260ff216dd97674b]

cws tl74: merge with DEV300_m75


2010-03-23  Vladimir Glazunov  <vg@openoffice.org>  [2229eed522ac49c46c38e7621745b0ca8cc80689]

CWS-TOOLING: integrate CWS chartlayout


2010-03-23  Mihaela Kedikova  <misheto@openoffice.org>  [6ee31d9f5669f88959d8309b9b47f621f85258a7]

gridcontrol_03: merge with DEV300_m75


2010-03-23  Vladimir Glazunov  <vg@openoffice.org>  [e233c6a79465480b77ebd0561078a7cb3a143b01]

CWS-TOOLING: integrate CWS datapilotperf


2010-03-23  Vladimir Glazunov  <vg@openoffice.org>  [80263a964643a6fe92f606fec473341bb50a35d5]

CWS-TOOLING: integrate CWS autorecovery


2010-03-22  Vladimir Glazunov  <vg@openoffice.org>  [2fc5945e825e5c45b0475ee975e0cb2ee353e14e]

CWS-TOOLING: integrate CWS kohei04


2010-03-22  Vladimir Glazunov  <vg@openoffice.org>  [aa9e4a2b1ff00bca018a530a9d54a501fcec2485]

CWS-TOOLING: integrate CWS koheicsvimport


2010-03-22  Vladimir Glazunov  <vg@openoffice.org>  [4bcd349e5329db6881ef32e87992454fd30ac143]

CWS-TOOLING: integrate CWS calc52


2010-03-22  Andreas Bregas  <ab@openoffice.org>  [2febf50d9290a32efcc20425345567a796e5a929]

npower14miscfixes: merge with DEV300_m75


2010-03-21  Christian Lippka  <cl@openoffice.org>  [7de305c9f93358499cae7c581071f2bd4a987e0f]

Adding PopupMenuController to allow PopupMenuControllerBase dervivates to be used in toolbars


2010-03-19  Ingrid Halama  <iha@openoffice.org>  [448d0d662ffad37bd6f92e7cf655d2ddbf28e547]

chartpositioning: merge with DEV300_m75 (part2)


2010-03-19  Thomas Lange [tl]  <tl@openoffice.org>  [c5ce367dee41a575a8006f293936279ff76f50df]

cws tl79: #i110254# new 'Security' tab page


2010-03-17  Ingrid Halama  <iha@openoffice.org>  [6899bbe6e61d3b5fba8fd4bda33b77911607813c]

chartpositioning: merge with DEV300_m75


2010-03-17  Niklas Nebel  <nn@openoffice.org>  [15404292a14db0d2918b62771bbbe29fba2987db]

dr73: merge with DEV300_m75


2010-03-17  Christian Lippka  <cl@openoffice.org>  [16005645b5e9a274ee8e04ba75f4e99919d67f11]

renaissance2: rebase m75


2010-03-15  Ingrid Halama  <iha@openoffice.org>  [aea0cfb16ccc34b81998d51de84f2413f79a897a]

chart43: merge with DEV300_m75


2010-03-12  Christian Lippka  <christian.lippka@sun.com>  [55b9d0a1a9e991677334ef3ca1d4af7c051c98ae]

renaissance2: merge to m73


2010-03-12  Eike Rathke [er]  <erAck@sun.com>  [f122fb6f447fb1c7efb3bc4b87ed5fbff80dd277]

dr73: #i103152# description of T()


2010-03-12  Eike Rathke [er]  <erAck@sun.com>  [7cd7fb0edf3d596a48ef441867eaa0aaf0e0d4ca]

dr73: branch merge


2010-03-11  sb  <sb@openoffice.org>  [354ac8ae93f33a86e947f1eb731bf8db5f28b136]

merged in re/DEV300_next towards DEV300_m75


2010-03-11  Niklas Nebel  <nn@openoffice.org>  [eeab187a6e75f4240ca058409e87e1fb033d8fe8]

dr73: #i110008# UpdateReference for shared formulas: call MoveRelWrap, but with the old position


2010-03-11  Ivo Hinkelmann  <ihi@openoffice.org>  [88820339f4ee0a126bc686b5fde6812abd07490e]

masterfix DEV300: #i10000# WaE fix


2010-03-11  Niklas Nebel  <nn@openoffice.org>  [6ec4883fbfd42463840d79e9d874cd3be506559d]

dr73: #i109987# SetDocSize: only grow, don't shrink


2010-03-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [24407e42e27b3137fbafcb5338bc200728e22650]

autorecovery: merged changes from m74. Still need to find out how to re-do two patches (to module_hidden_ooo.scp and file_ooo.scp in scp2/source/ooo) which do not apply anymore.


2010-03-10  Ingrid Halama  <iha@openoffice.org>  [f769729ecdc4c185a1abf2c0bd427f66c2320c26]

chart43: #i109770# ChartView::getExplicitValuesForAxis accessing destroyed VCoordinateSystem


2010-03-10  Ingrid Halama  <iha@openoffice.org>  [ab2bbad3c25a9c3b370d75153104ce8bfb760240]

#i110034# while copy-paste of chart and cell ranges the chart looses its data references


2010-03-10  Vladimir Glazunov  <vg@openoffice.org>  [b5b7713079653182986e6a8d781ff8c930c5cd0d]

CWS-TOOLING: integrate CWS datapilotapi


2010-03-10  Kohei Yoshida  <kyoshida@novell.com>  [5601b161ae6500d67ebade6dc426f9675444f88b]

koheiextref01: Have ScExternalRefManager::ApiGuard take ScDocument pointer, to make its declaration one-liner.


2010-03-10  Eike Rathke [er]  <erAck@sun.com>  [6ce9e112d3d3a40ee6f399ee1c1b0e740224c418]

dr73: wipe segdefs*.hxx, unused since win16


2010-03-10  Ingrid Halama  <iha@openoffice.org>  [121ce9b7bc3ca740d8a53177f40d19237bc13e95]

chart43: chart copy/paste within selection: adapt complex ranges instead of simple rectangular range


2010-03-10  Vladimir Glazunov  <vg@openoffice.org>  [c503a8b7485936659f153c82faa2f89231821b66]

CWS-TOOLING: integrate CWS chartmultiline


2010-03-10  Ingrid Halama  <iha@openoffice.org>  [c664945bd079f197c20a1d014a92653aa55274f7]

chart43: cleanup some chart code


2010-03-10  Ingrid Halama  <iha@openoffice.org>  [c3136b39653bfd5de2d3efbd065c10872a0338e7]

chartmultiline: merge with DEV300_m74


2010-03-09  Ingrid Halama  <iha@openoffice.org>  [4a09f11ebd9f6a1be4e3fe15e82e9a1d46452e95]

chartmultiline: merge with DEV300_m74


2010-03-09  Kohei Yoshida  <kyoshida@novell.com>  [bfcf5b3686674e3b4fa60b20a9305ec774a5c874]

koheiextref01: #i108404# Disable interaction handler when interpreting formula strings via UNO API.


2010-03-09  Ingrid Halama  <iha@openoffice.org>  [efc9a9ce4b68c6a0ad3cd4add22cb0d5dedf6855]

chart43: #i99562# delete secondary axis automatically if last series is deleted that was attached to it


2010-03-09  Ingrid Halama  <iha@openoffice.org>  [d75ca99f51d258b9cc40689aa54eb0d15bafc78c]

chart43: #i109881# added missing virtual destructor


2010-03-09  Ingrid Halama  <iha@openoffice.org>  [fbffa5c03ce9f80a2829bb5110cb21779ace258b]

chart43: #i109977# make axes and grids deletable via delete key


2010-03-09  Kohei Yoshida  <kyoshida@novell.com>  [73dc0a2b8fac097c133cbf479594329302f3cfbb]

kohei04: Squash those useless __EXPORT macros.


2010-03-09  Kohei Yoshida  <kyoshida@novell.com>  [fdd56a2c2f6f9ecacd155a521c6948aa88480ffe]

kohei04: tab to whitespace & BOOL to bool etc to make MSVC compiler happy.


2010-03-09  Niklas Nebel  <nn@openoffice.org>  [0f9073a5d2fde1270ccf2edf4bef1bb78e53a4a3]

datapilotperf: 64-bit buildbot error


2010-03-09  Eike Rathke [er]  <erAck@sun.com>  [1c76edd3f55de3e23cdf2ae61abe931e88e045e6]

dr73: #i109861# make N(cell_reference_resulting_in_string) return 0 again


2010-03-09  Ingrid Halama  <iha@openoffice.org>  [5f7162fdc6fda41b29ea504ec539ef68d63dc499]

#i78934# correct geometry for stacked pyramids


2010-03-09  Ingrid Halama  <iha@openoffice.org>  [e207555179db224b6a85d92822ab70d3b5bd5c94]

chart43: #i29848# chart-copy references original data instead of copied data


2010-03-08  Kohei Yoshida  <kyoshida@novell.com>  [958bf3d662dd5d1957e0d9e0ccd6dd1440622671]

koheiextref01: #i108064# Disable things that are not necessary in external doc cache.

Doing that also prevents circular access of external references, which would cause
a pretty bad hang.
2010-03-08  Eike Rathke [er]  <erAck@sun.com>  [aabe95b80454b4a38ecae81d01b5bababe2e7082]

dr73: branch merge


2010-03-08  Eike Rathke [er]  <erAck@sun.com>  [38fac6e5a1f73af248ce2a9c7a4cfc76220f7bb5]

dr73: #i94695# when filtering on date disregard time fraction of cells formatted as date; reworked patch from <kohei>


2010-03-08  Kohei Yoshida  <kyoshida@novell.com>  [2da94f3b3d09d33cbdaaecf3c14eb7f7cbe8599b]

koheiextref01: #i109168# Allow creation of static sheet cache via UNO API for external references.

This is to keep the sheet cache 'static' during import of xlsx documents.  The same trick
is performed during import of xls and ods documents.
2010-03-08  Kohei Yoshida  <kyoshida@novell.com>  [3b78b9d25f83426cec4987c9d56d9cd8946f182e]

koheiextref01: added inline comment.


2010-03-08  Kohei Yoshida  <kyoshida@novell.com>  [5094e36d0c3e8dccecb8178c24bbbee9eeb57663]

koheiextref01: #i108404# Use interaction handler during loading of external document.

We need to enable interaction handler during loading of external documents, in order
to allow loading of encrypted documents, which require password input from the user.
2010-03-08  Kohei Yoshida  <kyoshida@novell.com>  [1ca57e4d7df3d63171555b32e80a3844c6b375ca]

koheiextref01: #i109101# Fixed incorrect parsing of cached string cell values.

The xml parser tends to break text into multiple pieces in presence of '#'.
The original code only picked up the last piece of the set, which truncated the
stored cache value.  We should pick up all the fragments during the import.
2010-03-08  Kohei Yoshida  <kyoshida@novell.com>  [6b0929a9c0a10fb42cd4c4bdac403683f6df1633]

koheiextref01: added comments.


2010-03-08  Kohei Yoshida  <kyoshida@novell.com>  [1be7de9122cc460abf83723c51088ae9c30d235a]

koheiextref01: #i109101# Fixed external ref URL parser to pick up sheet names with '#' correctly.


2010-03-08  Kohei Yoshida  <kyoshida@novell.com>  [5f5918f43ba4b4a41d8376b8faef5a872815b2d0]

koheiextref01: inline comment change.


2010-03-08  Kohei Yoshida  <kyoshida@novell.com>  [379ec22cd196ab51c2b7f8f34e60843dd4b3c848]

koheiextref01: removed unused method.


2010-03-08  Kohei Yoshida  <kyoshida@novell.com>  [6d62a09d7129ae6f235108ade0e9607b2a7a7eb0]

koheiextref01: i#109170# Iterate through the formula cell list in the external ref mgr to mark used references.

The old code scanned *all* formula cells in the entire document, to see if any external references exist in the
document.  Now that the external ref mgr tracks formula cells with external references better, let's use that
list, to be more efficient.
2010-03-08  Ingrid Halama  <iha@openoffice.org>  [70587a93c58e8e88ba79a6578a81580c2444faf5]

chart43: #i29848# chart-copy references original data instead of copied data


2010-03-08  Ingrid Halama  <iha@openoffice.org>  [f9b7efb85129c32ea74ff6eecd1dbde59a46bff4]

chart43: #i91035# default fonts too small


2010-03-08  Niklas Nebel  <nn@openoffice.org>  [83b8bd60372be663d168177e096286ca95707e4c]

dr73: #i109782# fixed some typos


2010-03-08  Ingrid Halama  <iha@openoffice.org>  [fba92c05f629f2776620d8c3b838f2e5882c5be6]

chart43: #i103778# Use Rounded as default corner style for borders


2010-03-08  sb  <sb@openoffice.org>  [50136d1d8b9e8143a341a96847bcaaadf7a2c5a8]

sb118: #i109517# disabled further fragile unoapi tests


2010-03-07  Kohei Yoshida  <kyoshida@novell.com>  [3f68c2ce68682e1e30e8eeedbff6662601e4aaae]

koheiextref01: Forgot to remove this unused method.


2010-03-06  Kohei Yoshida  <kyoshida@novell.com>  [f2893564b32b5124911daf5068aba870040b88ef]

koheiextref01: Forgot to remove debug code.


2010-03-05  Kohei Yoshida  <kyoshida@novell.com>  [a89f43a17261d97b17e30f1d5e0597385b8cef92]

koheiextref01: #i103739# #i109170# Breaking links permanently turn formula cells into static cells, to prevent the links from being generated again upon reload.  Also simplified the mechanism of tracking formula cells containing external references.  The new way works better, more reliable and less code.


2010-03-05  Kohei Yoshida  <kyoshida@novell.com>  [87afc6e820c5ca2ad235dce61e2a606e88be5614]

koheiextref01: I forgot to initialize data members properly.


2010-03-05  Kohei Yoshida  <kyoshida@novell.com>  [692c0a8ac9ec39c20605870d20816795d4f0f786]

merged to DEV300_m72.


2010-03-05  Niklas Nebel  <nn@openoffice.org>  [5064b7ef8009da75ad3df0bfe066b3dd8309b0dc]

dr73: #i100534# pvfundlg belongs into scui lib only


2010-03-05  Kohei Yoshida  <kyoshida@novell.com>  [a0b7d90a5045751258daf926ed9b37c3734d1731]

koheiextref01: Turned several functions const because they don't modify the states of the classes.


2010-03-05  Niklas Nebel  <nn@openoffice.org>  [165d7e9ded8d9d7e5bf0040230bdbb5cc6e3c88c]

calc52: #i109200# #i109812# fix DCOUNT and related functions


2010-03-05  Thomas Lange [tl]  <tl@openoffice.org>  [550b967d6e240ebfa4f0b5aa6919e8fb5b532ee5]

cws tl78: merge


2010-03-04  npower Developer  <npower@openoffice.org>  [f9b2be404edcd106e397685c2b137be7acf540d0]

npower14miscfixes: wae removal


2010-03-04  sb  <sb@openoffice.org>  [a74daf8303cf71278dbb688bf6d4fa32017a93b5]

merged in re/DEV300_next towards DEV300_m74


2010-03-04  Daniel Rentz  <dr@openoffice.org>  [830ae6f1551a861f9c417e4916c626aeeb4c8f01]

tl78: #i109779# add password2modify to XLS filters


2010-03-04  Daniel Rentz  <dr@openoffice.org>  [c833ac08235a63aa3a0bb600b0d895c4812ad1e7]

tl78: #i109779# add password2modify to XLS filters


2010-03-03  npower Developer  <npower@openoffice.org>  [3b7e061708f16802e60e3d1d9764082b03d376b1]

npower13_objectmodule: #i109734# smooth out logic for tab copy ( and associated creation of new basic module )


2010-03-03  Daniel Rentz  <dr@openoffice.org>  [6bceec500192baf97ad0500cdafac6c205c9b371]

tl78: #i109779# password2modify: preparations in oox, import from xlsx


2010-03-03  npower Developer  <npower@openoffice.org>  [ca441a4fb69d06f267ee4eeebe4b36b99c20fbb1]

npower13_objectmodule: some cleanup


2010-03-03  Ingrid Halama  <iha@openoffice.org>  [b74bc7a2c179a21cc9a4756f5add06338f41d5f3]

#i109781# charts should be bigger by default


2010-03-03  Ingrid Halama  <iha@openoffice.org>  [82474c2b70f90c5d5eccf96f0bdcb75d6d1db65a]

#i109771# no black borders around symbols + #i74910# very thick borders protrude over the legend


2010-03-03  Ivo Hinkelmann  <ihi@openoffice.org>  [a92bba324c4686371ca7e8d7bb94ce2df1de2cbf]

CWS-TOOLING: integrate CWS chartshapes


2010-03-03  Niklas Nebel  <nn@openoffice.org>  [8cd5bcb45053c2cb9f97d05ac53f7a81537aa69c]

dr73: #i73766# InitRangeFinder: adjust flags for second part of reference


2010-03-03  Ingrid Halama  <iha@openoffice.org>  [e64f0f0866ebf10b7f9d1f7cd41c6e6ce028020a]

chart43: #i109767# no black borders per default for laminar chart types - realisitc look per default for 3D charts


2010-03-03  Thomas Benisch  <tbe@openoffice.org>  [23be6a23f46a3df9a45b660dbfaf7eeff4e508e1]

chartshapes: merge with DEV300_m72


2010-03-02  Ingrid Halama  <iha@openoffice.org>  [2b345fab5a019dd7b587097b2b87bf9dfb2bc181]

chart43: remove compiler warning


2010-03-02  Niklas Nebel  <nn@openoffice.org>  [b7939b44754124a85153c93838946950b605a743]

dr73: #i108245# error handling in protect/unprotect


2010-03-02  Ingrid Halama  <iha@openoffice.org>  [7fd6bde3e1ecf190b5a9fd1595e753f1d240ab94]

chart43: #i109744# walls are too dark, #i78934# pyramids are too dark


2010-03-02  npower Developer  <npower@openoffice.org>  [19bc6db6ca1c69285982abd7f634396d2e201991]

npower13_objectmodule: #i109734# resolve macros after basic is loaded, fix error with 'Me' rtlfunc


2010-03-02  Niklas Nebel  <nn@openoffice.org>  [4ea045568915ec7d10265aa46264d7ea53cdc063]

dr73: #i109570# fixed a typo


2010-03-02  Niklas Nebel  <nn@openoffice.org>  [9e63ae494510137aa9fa1c72f8d36ae7e42af53c]

#i109350# use ScUnoHelpFunctions::GetEnumFromAny for Function property again


2010-03-02  npower Developer  <npower@openoffice.org>  [2e6f19accc5fb53b4aceace40d59aa5581ae6f70]

npower13_objectmodule: #i109734# object module stuff


2010-03-01  npower Developer  <npower@openoffice.org>  [4c5de6bc2e0e722b6452774a99d597e443c9c8b6]

npower14miscfixes: #i109706#


2010-03-01  Thomas Benisch  <tbe@openoffice.org>  [5dd9ae27f2dbc8983d8650d5480647ff8c1bbed3]

chartshapes: merge with DEV300_m72


2010-02-26  Kohei Yoshida  <kyoshida@novell.com>  [7f13b4c601eafaeb92c1d3712a20df9f58f7e5f0]

calctabcolor: Fixed a build breakage by adjusting for the svx split.  Some headers have moved to editeng.


2010-02-26  Kohei Yoshida  <kyoshida@novell.com>  [3a94561bae7c825ea9b0fda580c483c6ae3a6c47]

calctabcolor: #i109365# Removed some of unused methods.


2010-02-26  Kohei Yoshida  <kyoshida@novell.com>  [15bd4c2b379ad57d4af3050fa0bcdadc463d8ade]

calctabcolor: Fixed a build breakage due to the svx split.


2010-02-26  npower Developer  <npower@openoffice.org>  [8f4b223e12ff82507aab339579b4be34f0deb1f8]

npower14miscfixes: #i109644# don't load vba stuff for odf document ( untill you go into vbamode in basic )


2010-02-26  Kohei Yoshida  <kyoshida@novell.com>  [7bfca35105ab5320ad69d693684e6d6a2b3358b8]

calctabcolor: resynced with the repository to get more recent changes in.


2010-02-26  Kohei Yoshida  <kyoshida@novell.com>  [42dc12206956b6c4a5444af80c1663bc94fba3f7]

calctabcolor: rebased to m72.


2010-02-26  Ingrid Halama  <iha@openoffice.org>  [c117f3018cdd4f78102dc30e836d9f16732e73e6]

chart43: merge with DEV300_m72


2010-02-26  Thomas Lange [tl]  <tl@openoffice.org>  [b318aed0ef0174071fce27c57a015b4a8f85a50d]

cws tl74: merge with DEV300_m72


2010-02-25  Ingrid Halama  <iha@openoffice.org>  [6bd9012210a4ad276075f65fd8a996ff8241f918]

chart43: merge with DEV300_m72


2010-02-25  sb  <sb@openoffice.org>  [c959e24ddee22e6232df8d8c727ff228c068b4f0]

sb118: merged in DEV300_m72


2010-02-25  Ingrid Halama  <iha@openoffice.org>  [f7592b3e65b91cb35b3a53532f64481f4303a7e9]

chart43: #i109594# floor too thick


2010-02-24  Ingrid Halama  <iha@openoffice.org>  [af8789bc94acf4d51b28923f8719c5ab88809c1f]

#i109566# floor is too large for bar charts with multiple series


2010-02-24  Eike Rathke [er]  <erAck@sun.com>  [dfc1fc6c1933389d1e963ca919db30c74550764c]

calcfilterrange: #i109553# #160403# for filters (AutoFilter, StandardFilter, AdvancedFilter) shrink selected area to used data area and expand single selected row down to end of data


2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [d25fb62226dc8b86120e92a1f417efce95a331c1]

calctabcolor: Moved 'TabColor' name definition to a more appropriate place.


2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [f10c26ac30a7a04a8a34db18d039e88b6dcce032]

calctabcolor: Various code cleanups...


2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [46cb4861c8b35369fae4a5e29c9ecc5b3e6e22be]

calctabcolor: A little cleanup


2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [8683bac180ddbe6734ea6706258b8593fddd7f44]

calctabcolor: Squashed another unused variable.


2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [4b4bfead08da97020939905bb7417af7ede25281]

calctabcolor: Initialize a variable, to keep buildbot happy.


2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [c71e97364643a655bbb9840a544a1bcefd3225dc]

calctabcolor: Removed excessive invalidation during undo redo; tab color change doesn't equal data change.  Let's not broadcast any data changes.


2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [653fde44e54cb13078a20e7ac8314941c6db21e2]

calctabcolor: Further simplified the undo class for setting tab colors.


2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [fd72738f6bb8bed20937fef0c245f100e0a2b7a0]

calctabcolor: Cleaned up a bit.

1) Keep the name of a struct shorter.
2) Data members should start with an 'm'.

that sort of stuff...
2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [6ae57261d8556e5799130589bac059f3b3532e46]

calctabcolor: No need to declare the tab color list variable in parent scope.


2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [b11294d6c900eac893bff93d70490dd4e0c75724]

calctabcolor: Use STL's container instead of using an internal List.  We should avoid using List at all cost!


2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [6b5962fa71db4253202775a2bae62df297a5c732]

calctabcolor: Check for NULL, and return NULL not FALSE because the function's return type is a pointer.


2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [f5df90a26dd981352e1cc27b559bc82e5bd4f35c]

calctabcolor: More tab to whitespace conversions & removed those ugly "Added by ..." markers.


2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [7565d84071ab31729adcf45df137eea63744d29f]

calctabcolor: Fix a crasher; don't forget to check for NULL pointers.

The Tab color would crash when you clicked on the Help button to launch the
help window, then closed.
2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [51314406e0e43a92c17b703734abf8604d889e3b]

calctabcolor: Tab to whitespace.


2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [8036122f25e1f2411c48972b30720ca0b6559356]

calctabcolor: Use static constant values instead of macro define for more type safety.


2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [b4a014327c247137b8838fdedc19280c70527d03]

calctabcolor: A blank line.


2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [d284ba79b0c814d92276439c6255e0fcd7a5cc31]

calctabcolor: Reduce indent levels by early bailout.


2010-02-23  Kohei Yoshida  <kyoshida@novell.com>  [27871d117701302ebea90a601905be34624c5e0d]

calctabcolor: Switch to using style:table-properties to store the tab color, as discussed on the ODF TC's mailing list.


2010-02-23  Ingrid Halama  <iha@openoffice.org>  [a3cd777072396ed8d8039f6cc90816d0945f2ee8]

#i78934# revert test change for thickness of cylinders as they do overlap currently


2010-02-23  Ingrid Halama  <iha@openoffice.org>  [4badaccf8ec5dbd8879d9a23dbf30aae605d2191]

#i78934# changed default illumination for better shading and more neutral colors


2010-02-23  Ingrid Halama  <iha@openoffice.org>  [98c820c9e588c3b69cb832d346c0e90cf16d9d4e]

#i78934# changed geometry for cones, pyramids and cylinder for better shading


2010-02-22  Kohei Yoshida  <kyoshida@novell.com>  [1993f4fd950660a730d387346d4f00d5113360e9]

calctabcolor: Reworked Excel import/export to get them to work.


2010-02-22  Kohei Yoshida  <kyoshida@novell.com>  [d87e5ac5e43d30686bb48a0dea43f296a43daa5d]

calctabcolor: Tab color is an attribute for extended ODF 1.2.  Treat it as such.


2010-02-22  Kohei Yoshida  <kyoshida@novell.com>  [1c73e165c5d6be15ac8ca180099d53cbbc79cb8c]

calctabcolor: Changing a tab color should set the stream invalid, in order to save the tab color attribute to the sheet during export.


2010-02-22  Kohei Yoshida  <kyoshida@novell.com>  [3ba1aab36a6f561dec5cb658f0797236a6e4ee88]

calctabcolor: Import tab colors from ods.


2010-02-22  Kohei Yoshida  <kyoshida@novell.com>  [90e1baf1c6076fbb0ef787ae3b2f7576fb156b2c]

calctabcolor: Export tab colors to ods via UNO's property.


2010-02-22  Kohei Yoshida  <kyoshida@novell.com>  [2308b2759401615a1449819324c20163de5b0a2a]

calctabcolor: Import tab colors from view settings in case the documents store tab colors as view settings.


2010-02-22  Kohei Yoshida  <kyoshida@novell.com>  [c372247ffdc08f833ee1d0a8ba8e7ae8cfd711ba]

calctabcolor: Entirely removed storage of tabcolor from ScViewDataTable.


2010-02-22  Kohei Yoshida  <kyoshida@novell.com>  [f8e96e8bed1ae031a319a71ea9abaab86763f8f7]

calctabcolor: BOOL to bool.


2010-02-22  Kohei Yoshida  <kyoshida@novell.com>  [db9615eec951ef8ee97529d1399b9b5a403b14d6]

calctabcolor: Added data member to ScTable to store tab color.


2010-02-22  sb  <sb@openoffice.org>  [415ba9933e959bd88aafa954643bc12ba8e1a576]

sb118: #i109517# disabled unoapi tests affected by that issue


2010-02-22  sb  <sb@openoffice.org>  [9998b71ccd5792b2b20950efb2234a5a87419dec]

sb118: #i109512# do not operate on invalidated iterators


2010-02-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5d973268d2b1835f151c0230e260adf9d58c5d2b]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33e


2010-02-17  Ingrid Halama  <iha@openoffice.org>  [b25e5dbb84dae8d3bea3c83bc38857c00f8bd235]

chart43: #i109371# defect legend after switching from pie to bar chart via API


2010-02-17  Thomas Benisch  <tbe@openoffice.org>  [b0b421c6dcb93db7e1081b055db2bf419b768f1d]

chartlayout: merge with DEV300_m71


2010-02-17  Thomas Benisch  <tbe@openoffice.org>  [1a7f91877e99772e5381bbbf1d7399ebb0dbd3e6]

chartlayout: #i109336# Improve auto positioning in chart


2010-02-17  Vladimir Glazunov  <vg@openoffice.org>  [315cc25e3f1ec5ee7c0adb5b8e51b036d54b603a]

CWS-TOOLING: integrate CWS changefileheader2


2010-02-17  Kohei Yoshida  <kyoshida@novell.com>  [7bda65ff163feb3678846fa7f01bb261765a9dec]

calctabcolor: merged from the repo.


2010-02-17  Kohei Yoshida  <kyoshida@novell.com>  [362e2eda44ff0e9218745e6e5095de832b49f77f]

calctabcolor: rebased to m71.


2010-02-16  sb  <sb@openoffice.org>  [bf3d73ef36f29380685ce592b272c3283ec0fd2f]

sb118: adapted remaining */qa/unoapi tests to new framework


2010-02-16  sb  <sb@openoffice.org>  [2bd564bf854ea632cf3d0bd78ddc620ca5483ce4]

sb118: handle --without-junit gracefully


2010-02-15  Vladimir Glazunov  <vg@openoffice.org>  [c930185f68b483c6ffe12b5f31c4ffb524784516]

CWS-TOOLING: integrate CWS cmcfixes71


2010-02-15  Ingrid Halama  <iha@openoffice.org>  [8a9d96d4cdb97c6f6b83353ccf02d971cde28a6d]

chartmultiline: compiler warnings


2010-02-12  sb  <sb@openoffice.org>  [db2877c55244da8a6b0764bba59f1c5f36805ec0]

sb118: chart2/qa/unoapi to new test framework


2010-02-12  Vladimir Glazunov  <vg@openoffice.org>  [68bb4c0307a4297e5a7d935459eb2b8f4868cc3c]

CWS-TOOLING: integrate CWS kohei03


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [ccbdeff63641f7b20d10a1b83ce8d4eb6c1c6a0c]

changefileheader2: #i10000#: convert files with CR/LF characters to CR only


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [3253a7b54dbd5d2bd98dc055c6b4d540862e4f28]

#i10000#: remove obsolete empty files; trim duplicated header content


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [f789f423c79cb68fdf253cbc0291139436e80ec8]

changefileheader2: #i109125#: change source file copyright notice from Sun Microsystems to Oracle; remove CVS style keywords (RCSfile, Revision)


2010-02-12  Thomas Lange [tl]  <tl@openoffice.org>  [244825e2cbfb9781b18e0ecbfc4b964ab646cbcf]

cws tl74: merge


2010-02-11  Kohei Yoshida  <kyoshida@novell.com>  [b8e20eb1ed49f646514836352ea7c8fe440115b4]

koheiextref01: #i109168# Reworked the design of the external cache table.

With this change, the cache table no longer stores empty cells at all,
with no exceptions.  Instead, it keeps track of cached ranges to determine
whether a cell is empty or unretrieved.  This change also helps simplify
the logic of getting the value of an external cell.
2010-02-11  Ingrid Halama  <iha@openoffice.org>  [c24b0f4f61a02f3f82006389c2e5e1ce51565242]

chartmultiline: #i82971# complex categories (#i109161# range segmentation detection fails for discontinuous ranges)


2010-02-11  Niklas Nebel  <nn@openoffice.org>  [85fee43f4459f6aed5e0a85d2e6610bdb28d7a3a]

datapilotperf: fix buildbot errors


2010-02-10  Ingrid Halama  <iha@openoffice.org>  [10c6b382e7aee81e4dc8a627319db8d8ac4144f4]

chartmultiline: #i82971# complex categories (#i109100# listbox for categories is empty in YAxis format dialog)


2010-02-09  Kohei Yoshida  <kyoshida@novell.com>  [76b4a6bdea2ff0269cbbbcb804f008d151ca7da7]

koheicsvimport: #i102141# Use the global 'use US English' option only when the Automatic language option is selected.


2010-02-09  Ingrid Halama  <iha@openoffice.org>  [b32bcad2b1052b84a25d93ea59b4c73e3d141120]

chartmultiline: compilerwarnings


2010-02-08  Niklas Nebel  <nn@openoffice.org>  [f94c03b9cc8304bef3611c33841d104241fafd80]

datapilotperf: #i109057# don't set subtotal function as display name


2010-02-08  Niklas Nebel  <nn@openoffice.org>  [0e56b6c9d776eca72ebff7c745151ffa01a776a9]

datapilotperf: do nothing in RefreshCache for external service


2010-02-08  Niklas Nebel  <nn@openoffice.org>  [6b102075c1ae403942cfcd83be1ff9b192bf921f]

datapilotperf: compile without warnings


2010-02-08  Niklas Nebel  <nn@openoffice.org>  [d7dfca6184ceb8ae4a3bf727565ef3075a1e5213]

datapilotperf: don't clear undo history in RecalcPivotTable


2010-02-08  Niklas Nebel  <nn@openoffice.org>  [d00ef4d412da2fd59730b5479003a5f6416b4e3c]

datapilotperf: RefreshDPObject, copied from svn revision 277984


2010-02-08  sb  <sb@openoffice.org>  [d32a60fe287e6a362e78fa26d1f759957408dc70]

sb118: merged in DEV300_m71


2010-02-05  Niklas Nebel  <nn@openoffice.org>  [7e8f7c914fc5db17d9a8d5dcda2335c82d23e285]

datapilotperf: GetMemberById instead of GetMemberByIndex, so it works with groups


2010-02-05  Niklas Nebel  <nn@openoffice.org>  [43503fe210c02cf62ffb06fdd51e381714a2a287]

datapilotperf: #i108928# crash in show details dialog (moved from kohei04)


2010-02-05  Niklas Nebel  <nn@openoffice.org>  [eed29bd1b350011ebc2170a891de43443d411a0d]

datapilotperf: adapted to m71


2010-02-05  Vladimir Glazunov  <vg@openoffice.org>  [ad29ee75ae721392632cfd24c232e3e9ec80c4c8]

CWS-TOOLING: integrate CWS svxsplit


2010-02-05  Mathias Bauer  <mba@openoffice.org>  [5a1c1ea924900ca28d79c38b5b51ec4f44c0e92b]

cws svxsplit: some corrections after merge


2010-02-04  Niklas Nebel  <nn@openoffice.org>  [945ca4914ae950aaac8b452a1655fa7081dcb5a0]

datapilotperf: merge with DEV300_m71


2010-02-04  Mathias Bauer  <mba@openoffice.org>  [1a3778e9ab62f113094b7a4de171fe55478086f1]

CWS svxsplit: merge with m71


2010-02-04  Ingrid Halama  <iha@openoffice.org>  [b37582e528565114bda4ed5400d0acb5e445380e]

chartmultiline: #i82971# complex categories (part8 - change assignment of leading empty cells)


2010-02-04  Vladimir Glazunov  <vg@openoffice.org>  [3554f1e3e0bdfa936ecd49f7d3b4c93be59b8c43]

CWS-TOOLING: integrate CWS ab71


2010-02-04  Niklas Nebel  <nn@openoffice.org>  [8f7c0c33a40c0ea31f12ecf007eb18540f5d9347]

datapilotapi: #i108948# use ScUnoHelpFunctions::GetStringProperty for new property LayoutName


2010-02-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7fd0a5d65a1487111f2c47118cbedd5873547bb5]

autorecovery: commit resolved merge (after rebase to m71)


2010-02-03  Kohei Yoshida  <kyoshida@novell.com>  [0f56496f7af825d61a0d8e61acd1fd08f5afaa5d]

kohei04: #i108928# fixed a crasher.


2010-02-03  Kohei Yoshida  <kyoshida@novell.com>  [32643c73e1ccb3df74c35695f7097f1b3baf22ec]

rebased to m71.


2010-02-03  Kohei Yoshida  <kyoshida@novell.com>  [4e8ed738a767552c66552c6e61ed0c2386c0b6d2]

rebased to m71.


2010-02-03  Niklas Nebel  <nn@openoffice.org>  [7a25fc8ea701b6a8c0592720bc7438dcb97886aa]

datapilotperf: manual migration of changes by Wang Xu Ming from svn to hg


2010-02-03  Niklas Nebel  <nn@openoffice.org>  [7dd301b3262923ed7180450dabb84a2f00fd69dc]

datapilotapi: merge with DEV300_m71


2010-02-03  Caolán McNamara  <cmc@openoffice.org>  [a6b2b501f11df50ace212341d1fd57248b1025c9]

cmcfixes71: merge with DEV300 m71


2010-02-03  Ingrid Halama  <iha@openoffice.org>  [78d5d6c10f2ff93eaeaf6ed7f032c9d1793b5b40]

chartmultiline: #i108907# columns are to small for default labels


2010-02-03  Christian Lippka  <cl@openoffice.org>  [b826ebbe13fcd74d7ccf20831148e81366e7f885]

hg resync m70


2010-02-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [43f5391aaa3eca34a7dc919212d29e61bbee9c73]

autorecovery: more sophisticated configuration data for interaction handlers The generic css.task.InteractionHandler implementation in module uui is now able to instantiate "sub handlers", i.e. components to delegate a request to, based on the type of the request, and some configuration data.

The "old" (and now deprecated) configuration scheme at org.openoffice.ucb.InteractionHandler did not contain type
information, so any handlers registered there were always called when no default implementation for a given request
was available.

The "new" configuration scheme at org.openoffice.Interaction contains UNO type information. That is, a given handler
implementation can declare itself responsible for an arbitrary set of UNO types, and for each of those types, whether
it is also responsible for sub types.
The generic interaction handler implementation uses this configuration data, when it encounteres an interaction
request it cannot fullfill itself, to instantiate a component to delegate the request to.

As with the "old" data, such a component is required to support the css.task.XInteractionHandler2 interface. Also,
if it supports css.lang.XInitialization, then it will be initialized with a name-value pair, the name being
"Parent", the value being the XWindow interface of the parent window for any message boxes.

As an examplary implementation for this feature, the css.sdb.InteractionHandler has been deprecated. Now the
css.sdb.DatabaseInteractionHandler is reponsible for database-related interactions, and the new configuration scheme
is pre-filled with data assigning this responsibility.

Consequently, a lot of places previously creating an css.sdb.InteractionHandler have been modified to create the
default css.task.InteractionHandler.
2010-02-01  Ivo Hinkelmann  <ihi@openoffice.org>  [64666f2a50a08fa43c5c83ed000bdecc26d72740]

#i10000# removed include


2010-01-29  Kohei Yoshida  <kyoshida@novell.com>  [e58f88df2f031d5b4278974df62f11f86a63d0ef]

rebased to m70


2010-01-29  Kohei Yoshida  <kyoshida@novell.com>  [4d03926ff0c816548e3724cf2fdc61797cf3fc6c]

koheicsvimport: #i108756# Fixed the tab order of controls in the CSV options dialog.


2010-01-29  Kohei Yoshida  <kyoshida@novell.com>  [6e1410795e2ef48fe9b5eddb3d3dae3670f219a6]

koheicsvimport: #i108754# Follow up to my previous commit.

We need to ignore the execute() call when exporting to an html document.
My previous change caused the character set dialog to show up during
html export, which was not correct.
2010-01-29  Kohei Yoshida  <kyoshida@novell.com>  [d9c7ecca78392b20bfa0da48c43f3f48f10f80c5]

koheicsvimport: #i108754# Make sure that the html options dialog won't get launched on export.

BTW, with this change, the character set dialog gets launched on html export instead.... :-/
2010-01-29  Kohei Yoshida  <kyoshida@novell.com>  [395cef9ec9b2bc2219d099a571c462cb4557e7a7]

koheicsvimport: #i108755# Moved the new check boxes to the left by 9 pixels.

They should be aligned with the "Separated by" radio button.
2010-01-29  Ingrid Halama  <iha@openoffice.org>  [4164680b9c359174f0ee1e27ccfc89aa43c9c1c9]

chartmultiline: fixed compiler warnings


2010-01-29  sb  <sb@openoffice.org>  [9c59df52cb936e905249783c72a8667a54ae77f4]

sb118: #i108776# changed addsym.awk to also export STLport num_put symbols, and simplified it by requiring that first section is labeled UDK_3_0_0; adapted map files accordingly, replacing many individual ones with solenv/src templates


2010-01-29  Kohei Yoshida  <kyoshida@novell.com>  [11c949cd4ef31670099a62f78bb0022ac2dcdd8b]

koheicsvimport: #i108754# Call FreeResources() in the ctor & remove textimportoptions from LIB1OBJFILES.


2010-01-29  Jens-Heiner Rechtien  <hr@openoffice.org>  [0b2a5c8d1a41700496755e2922d38169b9febd67]

ab71: merge with DEV300_m63


2010-01-29  Jens-Heiner Rechtien  <hr@openoffice.org>  [59cfcb6475349527d0ea6bd6b99d8d0cdb91f28f]

ab71: merge with DEV300_m54


2010-01-29  Ivo Hinkelmann  <ihi@openoffice.org>  [605ee852c77129661a7d60f1fbab3543193a3009]

CWS-TOOLING: integrate CWS koheidatapilot03


2010-01-29  Ivo Hinkelmann  <ihi@openoffice.org>  [ceca813f0c5f174ddae44797e9a1a5318036fa14]

CWS-TOOLING: integrate CWS dba32z_DEV300


2010-01-29  Ivo Hinkelmann  <ihi@openoffice.org>  [147012dcff0ef99865a21200a6a34722f191a12d]

CWS-TOOLING: integrate CWS chart32stopper_DEV300


2010-01-28  Jens-Heiner Rechtien  <hr@openoffice.org>  [385075c256d69ec85eb454171f30a23c776a38e4]

koheidatapilot03: merge with DEV300_m63


2010-01-28  Ingrid Halama  <iha@openoffice.org>  [e5bebb2f9d3642c47e2cbdbda54cc05760154d60]

chartmultiline: merge with DEV300_m70


2010-01-28  Ingrid Halama  <iha@openoffice.org>  [d79563957faa9a96c6d97046edc469e17e06b028]

chartmultiline: #i82971# complex categories (part7 - add toolbox item for insertion of a complex category column within the chart data table )


2010-01-28  Ingrid Halama  <iha@openoffice.org>  [37a56f8fb1b465b0e336e5cdbc36b826f0c95e0c]

chartmultiline: #i82971# complex categories (part6 - allow editing of complex categories within chart data table )


2010-01-27  Kohei Yoshida  <kyoshida@novell.com>  [bf7748b5b236cba3d47790224bd7db31d73f5665]

branch merge


2010-01-27  Kohei Yoshida  <kyoshida@novell.com>  [66aee6949d479afcebbf561f452335c7d95b1e2e]

kohei03: #i104769# Fixed the chart update problem for real.

My previous fix was not sufficient.  I forgot to:
1) set the "used" flag to the listener when inserting it, which caused
   the listener to get removed right after it was inserted.
2) Set all chart objects "dirty" upon import.  Because of that, the
   timer didn't start when the document initially loaded.
2010-01-26  Ivo Hinkelmann  <ihi@openoffice.org>  [80d35c0eaf9fc8aea71f68ba10870445c8c1f6ce]

CWS-TOOLING: integrate CWS impress181


2010-01-26  Daniel Rentz  <dr@openoffice.org>  [54dc94905dc205ff8a57b46409d895134291a83c]

#i108547# allow modifications in readonly document when loading msooxml


2010-01-25  Kohei Yoshida  <kyoshida@novell.com>  [b2abcb023cefd3a2446e8778de528abe75750635]

koheicsvimport: #i108645# Store the dialog parameters only when the OK is pressed.


2010-01-25  Thomas Benisch  <tbe@openoffice.org>  [6057b06769d3889a99ffc134f51b6739d378bc2c]

chartshapes: #i12587# line styles are not saved


2010-01-23  Caolán McNamara  <cmc@openoffice.org>  [9b66d72ad19dcb4068377541f47523221bcacc97]

cmcfixes71: #i108597# fix uninit warnings


2010-01-22  Thomas Benisch  <tbe@openoffice.org>  [7bfe5d62b57f186e0bb51c92113c75a8a7aad704]

chartshapes: #i12587# line styles are not saved


2010-01-22  Thomas Benisch  <tbe@openoffice.org>  [0f62eb84ef9ea562c7cf54efeb97ffef5e6e424b]

chartshapes: #i12587# line styles are not saved


2010-01-22  Ingrid Halama  <iha@openoffice.org>  [16c824b8279158c7c98c10939bb40ff3a7e3f71c]

chartmultiline: #i82971# complex categories (part5 - correct limiting space causing text break)


2010-01-22  Ingrid Halama  <iha@openoffice.org>  [5eea02583f6064daf4055c21d0aa4696514d7f61]

chartmultiline: #i82971# complex categories (part4 - detect complex categories when creating charts from cell ranges and when detecting the arguments later (adapt implementation of XDataProvider->createDataSource & detectArguments) ) + #i86188#


2010-01-21  Mathias Bauer  <mba@openoffice.org>  [cc7e1af06dbd01e3c6ded44e0774599eea901951]

resync to DEV300_m70


2010-01-21  sb  <sb@openoffice.org>  [22f3bf34e207166cd4493a5386c463ccaa3decad]

sb118: merged in DEV300_m70


2010-01-21  Frank Schönheit  <fs@openoffice.org>  [5f5627b03d8381162cdcda82262df0ef4857b885]

copying nn's fix from CWS dba321a herein, original commit comment: #i108488# #i108512# don't remove SC_MF_SCENARIO in ScAttrArray::InsertRow, block-wise skipping in zip stream


2010-01-20  Kohei Yoshida  <kyoshida@novell.com>  [21ceb03071fa9ba016df47f3a0882f2b370f09af]

calctabcolor: removed compiler warnings.


2010-01-20  Kohei Yoshida  <kyoshida@novell.com>  [27a085bbfbb48e0666478afcde4f4f24c96bfe91]

calctabcolor: pathoptions.hxx moved from svtools to unotools.


2010-01-20  Niklas Nebel  <nn@openoffice.org>  [6c82ade8526327ebb255b99ba29d214b7c6c24d4]

 #i108488# #i108512# don't remove SC_MF_SCENARIO in ScAttrArray::InsertRow, block-wise skipping in zip stream


2010-03-31  Daniel Rentz  <dr@openoffice.org>  [29af3fbec22028549ed404c7923d2fbd33c75849]

calc321stopper1: #i109372# reintroduced default values for arguments


2010-03-31  Daniel Rentz  <dr@openoffice.org>  [56a9377c1633aed9b5f776f2fd3d97d97325a544]

calc321stopper1: #i109372# on insert/remove rows/columns/cells: do not update cell position in note caption data before the cells have been moved in the document model


2010-04-13  Jens-Heiner Rechtien  <hr@openoffice.org>  [bba639466f6af68db64311b9cc66a53c3147388e]

CWS-TOOLING: integrate CWS dtardon02


2010-04-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [a6f63a6597dd913ee02f478ce1f96c34a445f619]

CWS-TOOLING: integrate CWS writerfilter07


2010-04-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [c691944cb23b22a0e585a92edb1a8a8c0e40971f]

CWS-TOOLING: integrate CWS dr75


2010-04-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [4dce57e1fe918ac4084969b3503f6f782dd6c934]

CWS-TOOLING: integrate CWS dr74


2010-03-23  Henning Brinkmann  <hbrinkm@openoffice.org>  [1ab30fa758cd79cc933c0cd7175c8debc70c5f2b]

writerfilter07: merged DEV300_m75


2010-03-12  David Tardon  <dtardon@openoffice.org>  [60915f171b4a5e76043f55b99bdc5f6bfce81940]

dtardon02: #i108503# #i108505# #i108507# #i108508# #i110035# clean up makefiles and #includes


2010-03-11  David Tardon  <dtardon@openoffice.org>  [8a1826f912425d28c1f9df829fc79c154d9e3414]

dtardon02: #i108503# remove empty files in sc


2010-02-12  Henning Brinkmann  <hbrinkm@openoffice.org>  [e7e68430fe6bcd786e6935021017bb042464903f]

writefilter07: merged DEV300_m71


2010-01-27  Daniel Rentz  <dr@openoffice.org>  [da90e03dc66535d8d06937ce3cf1628c6f93e240]

dr75: rebase merge


2010-01-27  Henning Brinkmann  <hbrinkm@openoffice.org>  [d96beb53f91f7bf001b9090e29449c2242261669]

writerfilter07: merged DEV300_m70


2010-01-26  Daniel Rentz  <dr@openoffice.org>  [b165f9516b697c6c88448f2f6b89f1287f3aaec0]

dr75: #i93948# correct position of checkbox in DataPilot field options dialog


2010-01-20  Kohei Yoshida  <kyoshida@novell.com>  [59de4aa3d5afbd48488a9867fd44ad77a0f9c55c]

koheicsvimport: more static_cast's to keep MSVC compiler happy.


2010-01-20  mb93783  <mb93783@v60x-so15.Germany.Sun.COM>  [7320ab91a63195413ee690d235894df188b35bfe]

#i107450#: some missing line ends


2010-01-19  Kohei Yoshida  <kyoshida@novell.com>  [852036f85921980c0703f67ee4b38c35e088e20f]

koheicsvimport: remove warning on Windows.


2010-01-19  Kohei Yoshida  <kyoshida@novell.com>  [2e4b3273aacbea001e67d861d11981843367bbae]

rebased to DEV300_m69.


2010-01-19  Kohei Yoshida  <kyoshida@novell.com>  [8a304cddea233f679bb8578c9591b1117123087a]

Rebased to DEV300_m69.


2010-01-19  hb  <hbrinkm@openoffice.org>  [49ca72e713b15fefd20e338769e09e11f2e3ac26]

merged DEV300_m69


2010-01-18  sj  <sj@openoffice.org>  [2b782b6ecc96d6f7e50e69f94781cb8d3525b9fc]

#i108328# fixed textorientation problem


2010-01-15  Daniel Rentz  <dr@openoffice.org>  [0dc5de73887c9bcb9a6f2e2a27c0fdd4259d69d6]

chartpositioning: #i86609# BIFF8 export of manual title position


2010-01-15  Mathias Bauer  <mba@openoffice.org>  [baf1eacdf3a2238a5685abddd9e7388ecb6556c5]

#i107450#: warning on unxmacxi fixed


2010-01-15  Kurt Zenker  <kz@openoffice.org>  [bdb66f32bdfa2ab9e5eb4751b64b13d8828cb5bb]

CWS-TOOLING: integrate CWS printerpullpages


2010-01-15  Kohei Yoshida  <kyoshida@novell.com>  [43b9b50b71af9972f1f09364e7a6c205d12e05d0]

kohei04: rebased to DEV300_m69.


2010-01-15  Thomas Benisch  <tbe@openoffice.org>  [b55ffba82b61ce265b8a56607451c90f817105aa]

dr75: #i101099# [Collaboration] Changes are not correctly shown


2010-01-15  Kurt Zenker  <kz@openoffice.org>  [80f450df6fbc81482c8d63e53b329593d0423aec]

CWS-TOOLING: integrate CWS fwk120


2010-01-15  Kurt Zenker  <kz@openoffice.org>  [3966a5adaf9804a7e8c297d2d91b28405e239b2f]

CWS-TOOLING: integrate CWS dba33b


2010-01-15  Daniel Rentz  <dr@openoffice.org>  [4e9752ec0eef2b7fd63b6231c63e79df2242f38f]

dr74: merge with DEV300_m69


2010-01-15  Daniel Rentz  <dr@openoffice.org>  [c8da47976e87c6953b80f5a833845983a0f2656a]

dr74: migrate changes to hg


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [53e047a535428c0a4a3534b8c23b9cc41292a152]

dba33b: merge


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [4fd96c6398d2502201cc21d8f4163804cb882ad9]

dba33b: merge m69


2010-01-15  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [497ff2f88adfe43ff8c6004862229f9982470404]

solve some merge problems


2010-01-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [002b5b5855ec3649a15819faae9fde9bc6bddabf]

undo previous erroneous change, solar.hrc belongs to svl instead vcl now


2010-01-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [67dbe5e49b8275f7d5c70da987bd9f86aadb0b19]

rebase to DEV300_m69


2010-01-14  Kurt Zenker  <kz@openoffice.org>  [ba21106efe15df35e3a8e5fd9028b91c1907d19b]

CWS-TOOLING: integrate CWS calc32stopper8_DEV300


2010-01-14  Daniel Rentz  <dr@openoffice.org>  [37de0ddef9d5e681a5de8991117f9a7b8e5770a3]

chartpositioning: #i86609# more work on importing chart title positions


2010-01-14  Ingrid Halama  <iha@openoffice.org>  [17799ea97423ef4ec80a54db572423f8b5ebf1a4]

#i108122# data label from categories crashes office when having no categories


2010-01-14  Ingrid Halama  <iha@openoffice.org>  [29e1ea0ced10e53503330bd1df6e1245bc9adae1]

#i108313# & #i108281# pie charts without series crashes office


2010-01-13  Mathias Bauer  <mba@openoffice.org>  [f9c48f3dba5accc237678a257596c5dd2e079a36]

#i107450#: move more code out of svx


2010-01-13  Niklas Nebel  <nn@openoffice.org>  [30dd1b81c14ef7b91a4f647f597a21671dd2c1cc]

datapilotapi: #i108295# XModifyBroadcaster in ScDataPilotTableObj


2010-01-13  Ingrid Halama  <iha@openoffice.org>  [3b156feb946859894ebf4cceadfa8d0362aa4c43]

chartmultiline: #i82971# complex categories (part3 - complex categories for internal data + load/save + copy/paste) + cleanup


2010-01-12  sb  <sb@openoffice.org>  [e49328add2fd1aeed93dde25426c5cf1d126d09d]

sb118: #i108269# first step of removing tcsh support


2010-01-12  Daniel Rentz  <dr@openoffice.org>  [5a9cf3fffc804e6c046ba71210e289a73bb584f4]

kohei03: #i10000# compiler warning


2010-01-12  Daniel Rentz  <dr@openoffice.org>  [f41dc7d11a6c47b95a0ed25c957078f3a4081254]

kohei03: #i10000# compiler warning


2010-01-12  Daniel Rentz  <dr@openoffice.org>  [13f3b7fd0123cb6debea03516c1e2a7e7969e096]

kohei03: #i10000# compiler warning


2010-01-12  Thomas Benisch  <tbe@openoffice.org>  [f7a496fa83abe52bc4bb5b18e2e945773857f585]

dr75: #i100423# Formula input into cell range fails if parentheses are highlighted


2010-01-09  Mathias Bauer  <mba@openoffice.org>  [688f5b4161bd5dc6192d1b99cbb3a6f7ba41ed14]

#i107450#: error in pch file


2010-01-09  sb  <sb@openoffice.org>  [601115e5facf892c5355927daa4030297685450b]

sb118: merged in DEV300_m69


2010-01-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2b828a689867f54c66c84d2841a0ea04be61a42a]

autorecovery: merge after rebase to m69


2010-01-08  Mathias Bauer  <mba@openoffice.org>  [86d09706a82ceedc22810137bdd0356c0c557515]

#i107450#: build all other modules with new editeng lib


2010-01-08  Daniel Rentz  <dr@openoffice.org>  [4b6077b6d1596a18f0796178a7bfcaa5a557978a]

chartpositioning: #i86609# set correct plot area size for pie charts


2010-01-08  Kohei Yoshida  <kyoshida@novell.com>  [801a6be88363a770cea2bf960a58e93340ca2a36]

kohei03: Removed a meaningless line.


2010-01-08  Kohei Yoshida  <kyoshida@novell.com>  [033b163619df463cb2265a44d72d38390169530a]

kohei03: A little more change to keep MacIntel happy.

There were still some parts that were illegally accessing private members.
I hope this commit will finally eliminiate all of such cases.
2010-01-08  Kohei Yoshida  <kyoshida@novell.com>  [d2e3ac53c803b0e8ff2593d1ce678ad854aebc28]

kohei03: removed compiler warnings on windows.

On Windows, we apparently build with warnings as errors, so these warnings
caused the build to fail in sc.  Hopefully this commit will rectify that.
2010-01-08  Kohei Yoshida  <kyoshida@novell.com>  [8967e3cdb373e54751fa3f1275bd7b62e5b83dab]

kohei03: Fix a build breakage.

Apparently some headers have been relocated from svtools to svl.
2010-01-08  Ingrid Halama  <iha@openoffice.org>  [a48c55f1c72686c4c73d4fdb8ffe789a96ddb9ec]

chart43: #i108122# data label from categories crash without categories


2010-01-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [303f3cf05734a0b4dabe7293bc8037f9f8998957]

autorecovery: need to compile some files (which indirectly include sfxbasemodel.hxx) with exception support


2010-01-07  Kohei Yoshida  <kyoshida@novell.com>  [bdc5a09defa9ce72e642acb13341daba62471e50]

kohei03: Worked around a build error on MacIntel.

The version of gcc that Mac uses does not grant private access to
friend classes from a nested class, even though its parent class
has friend privilage to that class.  I worked around it by having
the nested class call functions of its parent class in order to
access private members of ScColumn/ScTable/ScDocument.
2010-01-07  Kohei Yoshida  <kyoshida@novell.com>  [3f1ac2e3c881a55cf00280f65501d87b31083e04]

kohei03: Some code cleanup.

Mostly tab to whitespace conversion.
2010-01-07  Kohei Yoshida  <kyoshida@novell.com>  [c0ff2d14400ae8698533d49dabe292c96f091515]

kohei03: rebased to DEV300_m69.


2010-01-07  Kohei Yoshida  <kyoshida@novell.com>  [e98e74438fb8398d6706ed17182670db8598a645]

kohei03: resurrect Daniel's change that was lost during the last rebase.


2010-01-07  Kohei Yoshida  <kyoshida@novell.com>  [9464e1333b09d97573bb8851070c13edd900702f]

kohei03: remove XclExpMMS once again.  It's no longer there in the baseline, but keep XclExpInterfaceEnd because we still need it.


2010-01-07  Daniel Rentz  <dr@openoffice.org>  [6ef13668074583af6c010a36d20eff8270459021]

chartpositioning: #i86609# BIFF import/export of chart legend/plot area positions


2010-01-07  Kohei Yoshida  <kyoshida@novell.com>  [eb512eacc10344f3d4b348e41acc2890d7f271ba]

kohei03: rebased to DEV300_m68.


2010-01-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a671e5c16e13d5e84d3fa82fc52ab0e940b46c7b]

autorecovery: allow creating SFX-based documents which do not support the XDocumentRecovery interface For this purpose, the SFX document factory methods got an additional parameter respectively flag ("DocumentRecoverySupport" resp. SFXMODEL_DISABLE_DOCUMENT_RECOVERY). This flag is used by database documents to remove the interface from sub documents (aka forms/reports). In this course, some of the functionality around those SFXMODELL_* flags, previously duplicated in all applications, has been consolidated into a new SfxObjectShell constructor.


2010-01-06  Thomas Lange [tl]  <tl@openoffice.org>  [9b53707b12d008e94e31cf170e1d77a6b8f2927c]

cws tl74: merge with DEV300_m68; AND Unix LF conversion for some files!


2010-01-05  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [b0d065ada0231e7ff677814f0952d035ec14ea59]

writerfilter07: merged DEV300_m68


2010-01-05  Mathias Bauer  <mba@openoffice.org>  [c5ed2315092536d480e821add08c215ff67833a1]

merge commit for m68


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [145dce38af8630b3312e5e2065b32b681d32cc61]

CWS-TOOLING: integrate CWS calc32stopper7_DEV300


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [a3cb074800abce2e2623076d8397f84fa1cc12bb]

CWS-TOOLING: integrate CWS sb116


2010-01-04  Niklas Nebel  <nn@openoffice.org>  [2ad51363da95c2e4d63da33dfc4cb39aeeaa62d9]

#i108005# build token array for goal seek with value instead of string token


2010-01-04  Christian Lippka  <christian.lippka@sun.com>  [e24351adc0e457f8d0b867feb7be2c1134a1b4b0]

merging m68


2010-01-04  Christian Lippka  <christian.lippka@sun.com>  [04c03560c3f2c2b510aec68aee9f841426f76d72]

merge to m68


2009-12-21  Ingrid Halama  <iha@openoffice.org>  [20ea3f93bb992269ae2fdb6ee9e899a13b38078b]

chartmultiline: split internal data from internal data provider


2009-12-18  Daniel Rentz  <daniel.rentz@sun.com>  [8a178f3662179217ba3f91a78a4608f0516fd943]

chartpositioning: #i86609# BIFF and OOXML import: object positioning in charts (chart title, plot area)


2009-12-18  Ingrid Halama  <iha@openoffice.org>  [2d38eed2514f4cca9e294ab04c279735892e695e]

chartmultiline: cleanup chart data and impl model stuff


2009-12-17  Eike Rathke  <er@openoffice.org>  [8f575babf9a8e29305e158934261268dd80b351c]

#i107741# HasRefListExpressibleAsOneReference is supposed to detect one reference, really do so


2009-12-17  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [bcc61853c64fd93e1f003caed8bd419c488d5d6f]

writerfilter07: merged DEV300_m67


2009-12-16  Kohei Yoshida  <kyoshida@novell.com>  [2b8dee4dc0f5d748827a9f99dba564862fd3cfe3]

kohei03: #i107729# check for null pointer before de-referencing it.

This prevents a crash on importing xls files with embedded charts that
are formatted in a certain manner.
2009-12-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6647ef2625c047215c667a1770e5fddcc5bd8134]

autorecovery: SfxViewFrame's SfxFrame is a reference now, no pointer (it can never be NULL)


2009-12-15  Mathias Bauer  <mba@openoffice.org>  [4fd0af8621a652989a949922ec41db6167113e86]

#i107706#: liquidate goodies module


2009-12-15  Daniel Rentz  <daniel.rentz@sun.com>  [3c598904d6b7b537f43830d8cf46bf3cd485e41e]

#i107439# BIFF export: write external link data correctly


2009-12-15  Niklas Nebel  <nn@openoffice.org>  [7b470671cb8dd1c9439a77f779ea7ae2206f9717]

#i107694# correct order of source name, object name


2009-12-15  Ingrid Halama  <iha@openoffice.org>  [e71dc60c6a9e02063e8c4fe3bd94e9ad3cdf6465]

chartmultiline: #i82971# complex categories (part2 - hierarchical axis label display)


2009-12-15  Vladimir Glazunov  <vg@openoffice.org>  [560bd7c6144c1b17b25f313d6ea81bb86a66766d]

CWS-TOOLING: integrate CWS jl146_DEV300


2009-12-14  Vladimir Glazunov  <vg@openoffice.org>  [c4fa6c6f7af6167bea78a404f34c40fbe2dde1b6]

CWS-TOOLING: integrate CWS calc32stopper6_DEV300


2009-12-14  Vladimir Glazunov  <vg@openoffice.org>  [5e2a3643fa7d4adb72268c4908c71faaac433f0d]

CWS-TOOLING: integrate CWS os139_DEV300


2009-12-12  Mathias Bauer  <mba@openoffice.org>  [99d84d3ffcf3b8e49df21abbecaf17659d89557b]

#i107450#: changes caused by header cleanup in svx


2009-12-11  Niklas Nebel  <nn@openoffice.org>  [eff71667ee668ea568cbddf4ece87fbacebba818]

datapilotapi: #i42199# API access to all types of DataPilot tables


2009-12-11  Vladimir Glazunov  <vg@openoffice.org>  [08299079a7265c5f175fe5d65727181dda8c0b97]

CWS-TOOLING: integrate CWS fwk129_DEV300


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [14c89ff666d1df3d52cde3dc9b41ee60cd482b98]

#i107450#: move SvxSearchIten to svl


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [61c1c53c2b0a595bb7712c380de37f7875f5e1ea]

#i107450#: remove SdrObject dependency from OutlinerForwarder; EditEnginePool for ItempropertySet of EditObjects; split unoprov.hxx+cxx


2009-12-10  Vladimir Glazunov  <vg@openoffice.org>  [330fbe8d4d2a579b1e89b2e55c6951eb49bec3c4]

CWS-TOOLING: integrate CWS os137


2009-12-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [752747e943c7c7d760550fbc0ef679ef930180e8]

dba33b: merge CWS head with head resulting from pulling DEV300_m67


2009-12-09  Vladimir Glazunov  <vg@openoffice.org>  [4757c697ff2c5c5aa2c79ed9591669b25f7a8be1]

CWS-TOOLING: integrate CWS killnonpro


2009-12-09  Eike Rathke  <er@openoffice.org>  [27723585b29d727762cae2d7595507508354bca7]

#i107501# #i107518# ScRange::Parse_XL_Header: reset external doc name if it was none


2009-12-08  Kurt Zenker  <kz@openoffice.org>  [d90bbfeabe782e839d5e443c80c6ed470acd5b7d]

masterfix: #i10000# crash in sc fixed


2009-12-08  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [691993e48e355999385a2b510c5d8647a2d7a5b8]

writerfilter07: merged DEV300_m66


2009-12-07  Thomas Benisch  <tbe@openoffice.org>  [e0db49db64e1f27edd2b49488cbb7f291a04888e]

chartshapes: merge with DEV300_m66


2009-12-07  Thomas Lange [tl]  <tl@openoffice.org>  [8ef4540383e2139f5748c93242e2eeded4e679d5]

#i104312# fixed print objetcs for pictures and graphics; nopw works for drawing objects as well and does not effect form controls


2009-12-07  sb  <sb@openoffice.org>  [4a99ea57f3a14cf6fd25e922a445c4fd0b5b7251]

merged in DEV300_m66


2009-12-05  Mathias Bauer  <mba@openoffice.org>  [a7a6ea4294796bb79c1501883e8b0bb90f8afdd4]

merge to m67


2009-12-05  Kohei Yoshida  <kyoshida@novell.com>  [38e2703ddb838d0464da3abe6f0a51dc2b805fca]

kohei04: #i107458# Removed hard-coded range separators.

Previously, range separators were hard-coded for each address convention.  But
in the new code the separators are independent of address conventions or
grammars.  This code was one of the left-overs of the previous implementation.
2009-12-03  Kurt Zenker  <kz@openoffice.org>  [670a70fb30c08dbb2b1b2d7289ecccd7141c4a7b]

CWS-TOOLING: integrate CWS validityref


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [56eb24ff35b9da3fc88c662aa6fe0862dce123b8]

update to current version


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [779ec66e0763b45952afe32634d8170d9a77c2eb]

CWS-TOOLING: integrate CWS calc32stopper5_DEV300


2009-12-02  Kohei Yoshida  <kyoshida@novell.com>  [7c55fc1eb5df79bc69e99eca84520cdc86f4f5d5]

Tab to whitespace.


2009-12-02  Kohei Yoshida  <kyoshida@novell.com>  [d88347fc96df214275709c757731662480154961]

Reverted my change involving ConvertParam struct passed to the Convert method.

Since we are not storing array size before the formula tokens are parsed, we
don't need this change anymore.
2009-12-02  Kohei Yoshida  <kyoshida@novell.com>  [defc668b5208290e44eeffef98ee2541ec88ef79]

Defer defining of matrix size until the data are actually read.


2009-12-02  Kohei Yoshida  <kyoshida@novell.com>  [48d4a9630b0f43fd08f5f6e08e8c7c767ca7a596]

#i107339# Allow ScMatrix objects to be re-sizable.


2009-12-02  Kurt Zenker  <kz@openoffice.org>  [aac51b647bfe188ad9b62200020faaf9b2a86a56]

CWS-TOOLING: integrate CWS npower12


2009-12-02  mb93783  <mb93783@v60x-so15.Germany.Sun.COM>  [c6384e9624fa6c98ac958b778a95f96ba3cb2983]

merge to m66


2009-12-01  Ingrid Halama  <iha@openoffice.org>  [edd64689341ab47754851c0a5dbb35a41bafdd03]

chartmultiline: #i97893# import categories from multiple lines (fixed), #i82971# display complex categories hierarchically (part1)


2009-11-30  Kohei Yoshida  <kyoshida@novell.com>  [447ded0a11596816f63f1946ae841bf025b7d745]

#i107342# Disable context menus on protected cells when 1) the sheet is protected, and 2) selection of protected cells is disallowed.

Note that this is just an internal refactoring & will not affect Calc's current behavior.
2009-11-30  Kohei Yoshida  <kyoshida@novell.com>  [ee58ed75cd7ab6905b8c081562547cca5961f37f]

#i107340# Correctly import xls's record containing sheet protection options.


2009-11-30  Kohei Yoshida  <kyoshida@novell.com>  [f34a71dd04ebc7b4b0d8101235aafe8c97ccdeb2]

#i107339# more reliably determine in-line array size.


2009-11-30  Kohei Yoshida  <kyoshida@novell.com>  [07e116f14b518ecc906de10ddc3fc06094c9b368]

#i107338# Fixed incorrect parsing of cell ranges in R1C1 parser.


2009-11-30  Daniel Rentz  <dr@openoffice.org>  [874942252deefdf31fb03aa708ec6284b300f52f]

#i107275# ScRefTokenHelper::compileRangeRepresentation - allow parentheses enclosing the entire expression


2009-11-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [df4c03dbd9455dfc5f1f4832c2a7ea5776cfde4b]

[CWS autorecovery] forgot to remove some includes


2009-11-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [fdad65ba57bb2343652cfeb7352b5da5d4f30014]

[CWS autorecovery] merged SfxTopViewFrame into SfxViewFrame SfxTopViewFrame was the only class deriving from the abstract class SfxViewFrame, so both can effectively be treated as one class. This change was done to make subsequent refactorings easier.


2009-11-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [79904053be159a593fabd0598ba6d8a44668f38f]

[CWS autorecovery] merged SfxTopFrame into SfxFrame SfxTopFrame was the only class deriving from the abstract class SfxFrame, so both can effectively be treated as one class.


2009-11-26  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [01c3676a11b29ad1327f0b1d03bc9bac3327097b]

writefilter07: merged DEV300_m65


2009-11-26  Kohei Yoshida  <kyoshida@novell.com>  [9c861bfb8c9a6f8e2a09ac04b46ec356852cd5d6]

When deleting a query entry, I need to append an empty one.

We need to ensure that the size of the query entries don't change
after deleting a query entry.
2009-11-25  Thomas Lange  <tl@openoffice.org>  [592d7c2976c753e3acea39e0601e2a02eab81968]

#i51258# thesaurus for right click context menu


2009-12-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [e137771de6c91e3d6ffa8f8fed35c33f395f8a34]

tl74: merge with DEV300 m60


2009-11-25  Vladimir Glazunov  <vg@openoffice.org>  [d101cd02a4b28d4a98e2116cef2a8371cff4db85]

CWS-TOOLING: integrate CWS controltextrendering


2009-11-24  Daniel Rentz  <dr@openoffice.org>  [1379d7408a3b327575eff4c937507beb14d96239]

#i107170# use current script for default cell style


2009-11-24  Ingrid Halama  <iha@openoffice.org>  [ff17a97528a6ed06ac2ff2ceba33b2cf21e330a6]

chartmultiline: cleanup


2009-11-24  Vladimir Glazunov  <vg@openoffice.org>  [751d105fdb666170061ba08767a5fc396a05664d]

CWS-TOOLING: integrate CWS calc32stopper4_DEV300


2009-11-24  Niklas Nebel  <nn@openoffice.org>  [9b849f026279c4da7e777d4dcc52368c04d23f3f]

#i107151# Compare/CompareMat: call Pop for svEmptyCell


2009-11-24  Vladimir Glazunov  <vg@openoffice.org>  [3f63e1c1e2750bde4fbed97e2f96405b0ae0774c]

CWS-TOOLING: integrate CWS c07v026_DEV300


2009-11-24  Ingrid Halama  <iha@openoffice.org>  [406e35eacdc6f6a3a0992b9b6779a2de5716b333]

chartmultiline: remove unsued concept 'UnusedData'


2009-11-23  Mathias Bauer  <mba@openoffice.org>  [0aab10cae7f300672110493f070256815450227e]

merge commit for m65


2009-11-23  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [dd75ce134b20f75dea74e0d973c0440c39b56d0a]

[CWS autorecovery] removed SfxCancellable/SfxCancelManager, and (part of) its transitive closure No real-life use cases for this exist anymore, since nowadays document loading happens synchronously all the time.


2009-11-20  Ivo Hinkelmann  <ihi@openoffice.org>  [38c60cd2d0768098e1194239daaf29afeabac2f7]

CWS-TOOLING: integrate CWS calc32stopper5 2009-11-12 13:18:26 +0100 dr  r277477 : #i105267# missing in exception files list 2009-11-12 11:13:57 +0100 dr  r277472 : CWS-TOOLING: rebase CWS calc32stopper5 to branches/OOO320@277373 (milestone: OOO320:m4) 2009-11-11 17:27:10 +0100 dr  r277466 : #i105267# remember all existing copies of ScAccessibeEditLineTextData in the ScTextWnd instance (text input line) 2009-11-04 09:59:49 +0100 dr  r277334 : dump even more BIFF records written by XL12 2009-10-27 19:11:37 +0100 dr  r277231 : few dumper additions 2009-10-27 17:17:10 +0100 nn  r277225 : #i106343# check if pDocShell is set in GetFormatter 2009-10-26 14:54:15 +0100 dr  r277178 : #i106194# OOXML: load form controls from binary streams 2009-10-26 14:14:01 +0100 dr  r277177 : #i106194# OOXML: load form controls from binary streams


2009-11-20  Ingrid Halama  <iha@openoffice.org>  [344462421c85ec1ef9ba84183d3de78458f8f91c]

chartpositioning: #i100778# chart positioning excluding labels


2009-11-19  Niklas Nebel  <nn@openoffice.org>  [053536111d2fb021999868c9db0bfc4f5e560fdc]

#i106854# get source stream directly from document's storage instead of a temporary SfxMedium


2009-11-19  Thomas Benisch  <tbe@openoffice.org>  [24c65e03363b1562f0212b61f9a55531c4f6dfd9]

#i12587# Inserting/editing arbitrary text objects in chart


2009-11-18  Kohei Yoshida  <kohei@openoffice.org>  [2770ed909390863c8fd049a78e5fe41aec89bc14]

The default visibility of grand total is actually true, not false.


2009-11-18  Kohei Yoshida  <kohei@openoffice.org>  [472236f8c291bf82efbda6af913dafd8d1b83840]

Actually this is wrong.


2009-11-18  Kohei Yoshida  <kohei@openoffice.org>  [ced879e44497aba03bf228d669f4ba406f797cb6]

#i106975# When custom grand total name is not used, write the xml data the old way.


2009-11-18  Kohei Yoshida  <kohei@openoffice.org>  [9818c3ba1a0ad23463b423bbc32cd194935dc882]

#i106975# data-pilot-grand-total is also new in ODF 1.2 extended.


2009-11-18  Thomas Benisch  <tbe@openoffice.org>  [f64f510f5fafda6eb65151ebd086b1d2dbc6975c]

#i12587# Inserting/editing arbitrary text objects in chart


2009-11-17  Kohei Yoshida  <kohei@openoffice.org>  [8f7824cf36be90cfb11627ae7633840cac067b23]

#i106975# Don't export tableooo:display-name attributes unless the specified ODF version is 1.2 extended or later.


2009-11-17  Kohei Yoshida  <kohei@openoffice.org>  [2ff2bea81d2b00559b6aa60c1d274b23562775dd]

#i106975# Use tableooo namespace when exporting datapilot's display names.


2009-11-16  Kohei Yoshida  <kohei@openoffice.org>  [b9776d5932ee52e788fa6e9ba6feb53bf2af5c11]

#i106583# Use the up-to-date output range when refreshing datapilot tables.


2009-11-16  Kohei Yoshida  <kyoshida@novell.com>  [8708120c89c12f51e981e983230aafe7156a64b3]

Removed a compiler warning wrt initialization ordering of data members.


2009-11-16  Kohei Yoshida  <kyoshida@novell.com>  [06d199da4ad9f3c48f961c378eafcdc205ab25a3]

#i26826# #i46511# initial implementation of automatic decimal adjustment.

Just applied patches from ooo-build.  There still may be issues that need
to be worked out.
2009-11-16  Christian Lippka  <christian.lippka@sun.com>  [9682f4954566afb9ca8a63ebef9d6c87f1b1d490]

merge


2009-11-16  Niklas Nebel  <nn@openoffice.org>  [ac20256cd79718d244387591333378d3c38e7065]

validityref: merge with DEV300_m64


2009-11-16  Niklas Nebel  <nn@openoffice.org>  [c1cee8c0e8e0b93d9719b86584bfc94a72f69465]

validityref: #i103899# manual migration from svn (contribution from PengYunQuan)


2009-11-13  Kurt Zenker  <kz@openoffice.org>  [74ffeb5bea3ff682473ed5c282762e04d453c207]

CWS-TOOLING: integrate CWS cmcfixes66


2009-11-13  Kurt Zenker  <kz@openoffice.org>  [ce9641d0b89b07fdffc8d8014e77e5816ebc09a6]

CWS-TOOLING: integrate CWS changehc02


2009-11-13  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [22c2a9b2065014ef031671e1f3bf8c8fc0f939e6]

merge with DEV300_m64


2009-11-13  sj  <sj@openoffice.org>  [6e570cbd024c666989e9be5c7a47bb2801645297]

impress181: #i76407,160798# fixed some text orientation problems for the Excel import filter


2009-11-13  Henning Brinkmann[hbrinkm]  <hbrinkm@openoffice.org>  [3944d5b546edfed85ea52b9877fab63c370c0320]

writerfilter07: merged DEV300_m64


2009-11-13  sb  <sb@openoffice.org>  [1299f12ad3c21a543b60929a2fb32a9159a7f29d]

sb116: #i106845# removed obsolete IRIX port


2009-11-12  Thomas Benisch  <tbe@openoffice.org>  [6f75e1d3cf20c3d0b1a51935d989dfb4d722f99e]

#i12587# Inserting/editing arbitrary text objects in chart


2009-11-11  sb  <sb@openoffice.org>  [697c509a98944d870a54411cadd9fc2dd3e6529b]

sb116: merged in DEV300_m64


2009-11-11  Mathias Bauer  <mba@openoffice.org>  [26e5bd00517f0e2a43ae830e0cda3a7b6f634347]

#i103496#: sandbox removed


2009-11-10  os  <os@openoffice.org>  [e4e1b16b3ea6d61ca12802b6ddd82e89be694952]

rebase


2009-11-06  Thomas Benisch  <tbe@openoffice.org>  [15359bbbce72948e51c50b1aaa831c0dcdb12f89]

#i12587# Inserting/editing arbitrary text objects in chart


2009-11-06  Caolán McNamara  <cmc@openoffice.org>  [003e3bb1a0a225db40d3cdde531014dcf594db40]

cmcfixes66: #i106674# fix remaining new[]/delete mismatches


2009-11-05  Mathias Bauer  <mba@openoffice.org>  [869faaf623de8de7b6054f5e09dc41f494516ef7]

forgot to add filter to build.lst of apps using msfilter


2009-11-04  Thomas Benisch  <tbe@openoffice.org>  [6d546eb6e3d708115a62e2f33ac558dd120aef06]

#i12587# Inserting/editing arbitrary text objects in chart


2009-11-04  mb93783  <mb93783@macpro-dev1>  [8dd3760888b9d39b41bbc3a1a56489e84535da2d]

#i106432#, #i103496#: some fixes found while building on more platforms


2009-11-03  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [f7798559f9a204ae3b2beb56f3b8ee540a2e75ed]

#i104678# use high contrast mode setting instead of IsDark (paradigm shift begun with issue i35482)


2009-11-02  Mathias Bauer  <mba@openoffice.org>  [367d73647d1b2ca855cce5f6cafc0c51e69e73ee]

#i106421#: create new cui resource file


2009-11-02  Michael Stahl  <mst@openoffice.org>  [44f9a955f336f5b2c716a170621d705a4e298fc8]

#i105745#: tools/stream.hxx: API change:  make SvMemoryStream::GetSize() private  introduce new public SvMemoryStream::GetEndOfData()


2009-11-01  Mathias Bauer  <mba@openoffice.org>  [f79522f0366fc57aba70cc134749836be0f714ea]

merge commit for DEV300_m63


2009-10-31  Mathias Bauer  <mba@openoffice.org>  [956a6b2d748327d8252caa9ca64d31cd307b411a]

#i106421#: move msfilter to filter


2009-10-30  os  <os@openoffice.org>  [d8f6e7516305ed09590cc8dabafe29c0f06a08ea]

#i58212# Chinese translation changed to Chinese Conversion


2009-10-29  Ivo Hinkelmann  <ihi@openoffice.org>  [d6cb45764569841983ce793685974288f8170b79]

CWS-TOOLING: integrate CWS c07v026_OOO320 2009-10-19 10:26:11 +0200 mav  r277008 : #b6886425# use standard solution to encode the URL for the Gnome 2009-10-19 08:38:28 +0200 mav  r276998 : #b6886425# encode the URL correctly for the Gnome 2009-10-07 12:49:32 +0200 os  r276749 : #b6887668# resize items depending on the item text length 2009-09-28 18:42:32 +0200 dr  r276499 : #b6883075# shrink print ranges to Excel sheet limits 2009-09-28 16:50:25 +0200 od  r276497 : #b6882166# method <SwSectionFrm::SimpleFormat(..)>            - assure notification on position changes, otherwise the layout will not be correct. 2009-09-15 18:31:37 +0200 dr  r276185 : #b6872823# check cursor before using, patch by aw 2009-09-09 10:52:52 +0200 od  r275975 : #b6879723# correct handling of new list level attributes regarding paragraph indent values, 	   especially in case of OOo 2.0 and former hidden compatibility option "Ignore first line 	   indent on numbering" 2009-09-08 11:10:31 +0200 od  r275918 : #b6876367# method <lcl_SetTxtFmtColl(..)> 	   - do not reset list attributes at paragraph, if its applied list style 	     will not change due to the newly applied paragraph style. 2009-09-07 12:48:58 +0200 obo  r275890 : Merge from c07v025 into this CWS


2009-10-27  Henning Brinkmann  <hbrinkm@openoffice.org>  [fa29c4f11bec543d0a17ddfa064f56efb52f965c]

merged last changes


2009-10-27  Henning Brinkmann  <hbrinkm@openoffice.org>  [ab9b81c7e09640e57a32f93afdcb598f775802b5]

merged DEV300_m62


2009-10-27  Thomas Benisch  <tbe@openoffice.org>  [72571f682775eacb57c5205df675dadee39ee733]

#i12587# Inserting/editing arbitrary text objects in chart


2009-10-27  Release Engineers  <releng@openoffice.org>  [17afeb05f38050f8e93b59279e67a0860b2b760b]

Create DEV300_m63 milestone tag from trunk@277194


2009-10-26  Mathias Bauer  <mba@openoffice.org>  [641aa500b6a387ef66e4041d5419c54aff30c871]

wrong merge conflict resolution


2009-10-26  Mathias Bauer  <mba@openoffice.org>  [1961ea82c5b5420860f94cf8459f22166134a68c]

merge commit for m62


2009-10-23  Thomas Benisch  <tbe@openoffice.org>  [8839b7d3183dd24535ab82d6273c6eb08dc2fa9d]

#i12587# Inserting/Editing arbitrary text objects in chart


2009-12-01  Jens-Heiner Rechtien  <hr@openoffice.org>  [8f5b18dad456d453dadaff17feaaf9b4124b1e54]

chartshapes: merge with DEV300 m62


2009-10-23  Niklas Nebel  <nn@openoffice.org>  [5d520cd937375f3ef91ece7cf72890b7749714cc]

#i101139# MoveTable: nDestTab must be target position, not APPEND


2009-10-23  Frank Schönheit  <frank.schoenheit@sun.com>  [3f14fa60d8a4a019abcb989bb3a5fcbba9e818ed]

step 0 of an UNOization of the css.form.(X)FormController implementation: move the API to css.form.runtime, so we can later add new API chunks without breaking compatibility of the existing API in css.form


2009-10-22  Niklas Nebel  <nn@openoffice.org>  [2c653b6b01ed243c8383577f4dadb8c566f4d4e9]

#i106045# renaming a sheet has to reset all xml stream flags


2009-10-21  Vladimir Glazounov  <vg@openoffice.org>  [c1fb7a6b11a9623371496e4f3694bdc5c5eaaf97]

CWS-TOOLING: integrate CWS calc32stopper3 2009-10-12 14:26:09 +0200 er  r276833 : disable dump again 2009-10-12 13:46:57 +0200 er  r276832 : #i102294# setValue: yet another DST glitch 2009-10-12 13:21:48 +0200 iha  r276828 : #i105767# Y axis vanishes in case of zero rotated axis title 2009-10-08 01:49:20 +0200 er  r276772 : NextSymbol: actually do reset ODF reference detection on file/sheet separator 2009-10-08 00:18:58 +0200 er  r276771 : #i101639# use TabIDs in cached RangeArrays, not RefData Tabs 2009-10-07 19:25:47 +0200 er  r276767 : #i105200# UpdateBroadcastAreas: hash key changes, remove area from all slots and reinsert 2009-10-05 17:20:44 +0200 er  r276690 : #i105365# SI prefixes for ang, ang3, m/h, m/hr 2009-10-05 16:21:29 +0200 er  r276686 : #i105161 intersection has higher precedence than union


2009-10-21  Thomas Benisch  <tbe@openoffice.org>  [96a047ce3a7cb0b8fe536945dba9eb80e842884e]

#i12587# Inserting/editing arbitrary text objects in chart


2009-10-21  Thomas Benisch  <tbe@openoffice.org>  [7134b301345cb3dea999da2c0ec4c09c80509125]

#i12587# Inserting/editing arbitrary text objects in chart


2009-10-21  Niklas Nebel  <nn@openoffice.org>  [61035834050bf728aed06bc745c0806f200c85fa]

#i106045# invalidate stream positions for sheet operations, better handling of loaded formula results


2009-10-20  Release Engineers  <releng@openoffice.org>  [a5dedc525d9df9464045fe5401bd01d71120fffe]

Create DEV300_m62 milestone tag from trunk@277034


2009-10-19  Kohei Yoshida  <kyoshida@novell.com>  [6379f51e12206ebe68f1598f854141cce6b29679]

#i104769# Reverted the change with the dirty flag of ScFormulaCell.


2009-10-19  Niklas Nebel  <nn@openoffice.org>  [ecb600e313c57c7178ad9f747ed5f8ca94f88bf7]

#i105960# SID_UNDO and friends are no longer volatile


2009-10-19  Mathias Bauer  <mba@openoffice.org>  [2f63c7cffbc096eb0686797f8de1ce940495460d]

#i103496#: move some fontsubstitution stuff from vcl to unotools to get xmloff vcl free


2009-10-16  Kohei Yoshida  <kyoshida@novell.com>  [da03ae5ad460a9da97d984d214755ff9b1f0f906]

(hopefully) rebased to DEV300_m61.


2009-10-16  Kohei Yoshida  <kyoshida@novell.com>  [456bac0aad267816b93233bcee3d9ca429884b7d]

reverted commits 263183 and 263184 to fix broken export of CF records.


2009-10-15  Kohei Yoshida  <kyoshida@novell.com>  [e9bac9b0f903964a4b307c08aeca12eaf814e953]

#i105940# When populating the cache table, increase the macro level to ensure that formula cells are interpreted properly.


2009-10-15  Kohei Yoshida  <kyoshida@novell.com>  [d73a13fb31ee3abb61ee737264c7a540f75c7f4f]

#i105933# Replaced other WriteZeroBytes() with WriteZeroBytesToRecord() in other places except for the hyperlink record.


2009-10-15  Kohei Yoshida  <kyoshida@novell.com>  [164e8b18c8139aabf414206894b4b324d053defc]

Support slice settings in WriteZeroBytesToRecord().


2009-10-16  Mathias Bauer  <mba@openoffice.org>  [7077908aacdce0baf758e60c3f897924f7edec5f]

#i103496#: split svtools; improve ConfitItems


2009-10-15  Kohei Yoshida  <kyoshida@novell.com>  [ae8e9fc1a41f98663d56875e88fcea1a0f667713]

#i105933# Re-enable encryption at the end of INTERFACEEND record & properly encrypt zero bytes in the CF records.


2009-10-15  Daniel Rentz  <dr@openoffice.org>  [000970a3236d2d8b6029577b28d01bfcd29798fc]

wntmsci12 warning


2009-10-15  Daniel Rentz  <dr@openoffice.org>  [ec3c6a40f01f298cf01e5557b597e446e53839e0]

wntmsci12 warning


2009-10-14  Kurt Zenker  <kz@openoffice.org>  [1495cebc0077b1dbe98b401de301ba5869f883d1]

CWS-TOOLING: integrate CWS calc32stopper2 2009-10-01 12:42:16 +0200 dr  r276592 : #i104992# and more typos... 2009-10-01 12:42:13 +0200 nn  r276591 : #i105512# SetDocOptions: update number formatter if it already exists 2009-09-30 19:03:58 +0200 dr  r276573 : #104992# oops, forgotten to skip a byte 2009-09-30 16:07:17 +0200 dr  r276560 : #i103540# check valid vector size 2009-09-29 14:20:45 +0200 dr  r276529 : dump some more BIFF records 2009-09-29 13:00:22 +0200 dr  r276526 : dump some more BIFF records 2009-09-28 14:34:14 +0200 dr  r276490 : #i104057# missing exception file 2009-09-28 10:35:42 +0200 dr  r276483 : #i105325# set correct format while opening zip package 2009-09-25 19:07:32 +0200 dr  r276475 : #i104992# handle cell styles built-in in Calc correctly 2009-09-25 19:06:46 +0200 dr  r276474 : #i104992# handle cell styles built-in in Calc correctly 2009-09-25 17:37:28 +0200 dr  r276472 : #i105219# missing include 2009-09-25 12:32:24 +0200 dr  r276435 : #i10000# rebase error: renamed variable 2009-09-25 11:34:53 +0200 dr  r276431 : CWS-TOOLING: rebase CWS calc32stopper2 to trunk@276429 (milestone: DEV300:m60) 2009-09-24 18:59:23 +0200 dr  r276427 : 160550# preserve write-protection password in roundtrip 2009-09-24 18:54:43 +0200 dr  r276426 : 160550# preserve write-protection password in roundtrip 2009-09-22 11:38:17 +0200 dr  r276353 : #160550# the property has to be integer of course 2009-09-21 18:52:06 +0200 dr  r276342 : #160550# new internal property WriteProtectinPassword 2009-09-21 18:22:40 +0200 dr  r276340 : #i104057# load sheets substreams according to offsets in SHEET records 2009-09-21 18:11:00 +0200 dr  r276338 : #i104057# load sheets substreams according to offsets in SHEET records 2009-09-17 20:07:33 +0200 dr  r276255 : #i104057# BIFF5/BIFF8: order of sheet substreams may be different to sheet order, use stream offset provided in SHEET records


2009-10-14  Daniel Rentz  <dr@openoffice.org>  [1c4017e96d11831dbac12f7d316fb8318ba9a969]

wntmsci12 warnings


2009-10-13  Frank Schönheit  <fs@openoffice.org>  [518f8cdf4cd905f67fefdbc26a7132e58eb9ab2f]

#i10000#


2009-11-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [2708f69fde25d9dff6c7802b50270f77f50d5dbf]

controltextrendering: merge changes from DEV300_m61


2009-10-13  Daniel Rentz  <dr@openoffice.org>  [b9e3a3da0986b6db688799a75eaddacabecb575a]

missing exceptions file


2009-10-13  Daniel Rentz  <dr@openoffice.org>  [8bb4e32a28c0452b7b08f7efc26e22959d271b27]

missing exceptions file


2009-10-13  Daniel Rentz  <dr@openoffice.org>  [cef0a34a99727a623d67e52a01ea21a254ed14fe]

unx warning


2009-10-12  Daniel Rentz  <dr@openoffice.org>  [eab26846bcbe1c7a5983957c88a3c86cc1fef676]

missing usings


2010-01-28  Jens-Heiner Rechtien  <hr@openoffice.org>  [ee0f96a2fa46ae91e80c04c889da10e6612ec8ae]

koheidatapilot03: merge with DEV300_m60


2009-10-12  Noel Power  <npower@openoffice.org>  [e9836920f5d1b686bf9fc131593015290405ec3c]

logs should be generated not saved


2009-10-09  Philipp Lohmann  <Philipp.Lohmann@Sun.COM>  [8d17b9b5f8ae107f3e4893a81901f62d780bddea]

merge with m61


2009-10-08  hg  <hg@oosvn01.>  [b0bfe98660676c385786e3acfc81303207f05877]

merge with m55


2009-10-07  Noel Power  <npower@openoffice.org>  [8396d62e10753fbb6f73c2f55d41c95161002d46]

fix selection issue


2009-10-07  Noel Power  <npower@openoffice.org>  [663626ab4c18848568a7771f20b8825544cc10a8]

warning as error fixes


2009-10-06  Thomas Benisch  <tbe@openoffice.org>  [e18606aab75366977d12fb869aceec4b10764249]

#i12587# Inserting/editing arbitrary text objects in chart


2009-10-06  Thomas Benisch  <tbe@openoffice.org>  [1af7c6d49cb9a84c86872c81e92d43e9134f48f4]

#i12587# Inserting/editing arbitrary text objects in chart


2009-10-06  Release Engineers  <releng@openoffice.org>  [ede4334898a767dc31f886da7aade9b46f70fda3]

Create DEV300_m61 milestone tag from trunk@276697


2009-10-06  Mathias Bauer  <mba@openoffice.org>  [a752cca57191ffc40def0ea1364691df86b25671]

#103496#: move VCL free ConfigItems to unotools


2009-10-02  Thomas Benisch  <tbe@openoffice.org>  [7f626bd0cf5a9b0054ad5a51b70cb645f970275d]

#i12587# Inserting/editing arbitrary text objects in chart


2009-10-02  Thomas Benisch  <tbe@openoffice.org>  [9cbd7552577fd95acec3969c9b701b642529c499]

#i12587# Inserting/editing arbitrary text objects in chart


2009-10-01  Vladimir Glazounov  <vg@openoffice.org>  [5fa6b5a0d8a2480824e881a583a3113281581dd2]

CWS-TOOLING: integrate CWS sw32bf04 2009-09-22 Michael Stahl galobj.hxx: do not export SgaObject methods (fixes wntmsci12 build) 2009-09-21 Michael Stahl #i105149# #i93308# svx: unofield.cxx: support field services with proper case 2009-09-21 Michael Stahl #i105149# #i102468# sc: servuno.cxx: support field services with proper case 2009-09-21 Michael Stahl #i105149# txtflde.cxx: support docinfo field services with proper case 2009-09-18 Michael Stahl #i105148# fmtatr2.cxx: SwFmtMeta::Clone(): avoid assert on clone pool default 2009-09-18 Michael Stahl #i105148# fmtatr2.cxx: SwFmtMeta::~SwFmtMeta(): check if m_pMeta != 0 2009-09-18 Michael Stahl #i105179# unocoll.cxx: SwXFrames::getByName(): add missing breaks 2009-09-18 Michael Stahl dbgoutsw.cxx: explicitly convert from SwNodeIndex to SwPosition 2009-09-18 Michael Stahl galobj.hxx: export class SgaObject from svxcore, needed by unogalitem.cxx 2009-09-17 Michael Stahl #i105149# txtflde.cxx: compare text field prefix case-insensitively 2009-09-16 Michael Stahl #i105117# docdde.cxx: fix possible NULL dereference (patch by cmc) 2009-09-16 Michael Stahl #i105124# docdde.cxx: fix use-after-free bug: make _FindItem member String


2009-10-01  Thomas Benisch  <tbe@openoffice.org>  [61117b04dcd73317c65c8e95665adc60cf850c40]

#i12587# Inserting/editing arbitrary text objects in chart


2009-09-30  Thomas Benisch  <tbe@openoffice.org>  [92d5cf731922d8a9401474b6827de4dd6acc5231]

#i12587# Inserting/editing arbitrary text objects in chart


2009-09-30  Thomas Benisch  <tbe@openoffice.org>  [603152aa5c5a9d46d1f573b47bd53c94262b538f]

#i12587# Inserting/editing arbitrary text objects in chart


2009-09-30  Thomas Benisch  <tbe@openoffice.org>  [7eef74a7571cb3825efd020cc9811167e10cb429]

#i12587# Inserting/editing arbitrary text objects in chart


2009-09-30  Thomas Benisch  <tbe@openoffice.org>  [50ac980aab71561576d2ead0adcf9b89cd844835]

#i12587# Inserting/editing arbitrary text objects in chart


2009-09-30  Thomas Benisch  <tbe@openoffice.org>  [bc1d5d1d6ed08a5648cb880a0594e7a0c4c59d59]

#i12587# Inserting/editing arbitrary text objects in chart


2009-09-30  Thomas Benisch  <tbe@openoffice.org>  [efdd781181fca7ef609d765e65b7312d087d4757]

#i12587# Inserting/editing arbitrary text objects in chart


2009-09-30  Thomas Benisch  <tbe@openoffice.org>  [f4b78b7d27a3a123fd8f1e6bac8ad0fa84285ec8]

#i12587# Inserting/editing arbitrary text objects in chart


2009-09-30  Noel Power  <npower@openoffice.org>  [2514e50cc2e9d0d63eb8bd20d4e8cd19a049511c]

add some comments


2009-09-30  Kohei Yoshida  <kyoshida@novell.com>  [097577e5aaa2e754e31f511c23c69e3f4d0e9ff1]

fixed build breakage in sc.


2009-09-30  Kohei Yoshida  <kyoshida@novell.com>  [ceec268c2e65ac1b2ca8df19b920d7d49f93f1e8]

rebased to DEV300_m60.


2009-09-30  Kohei Yoshida  <kyoshida@novell.com>  [61acfe5500111b41ab72d29ab90bdfb64ace4d34]

rebased to DEV300_m60.


2009-09-29  Kohei Yoshida  <kyoshida@novell.com>  [422b6c146638d68243bbb0c4ec26b92c2b75c0be]

rebased to DEV300_m60.


2009-09-29  Noel Power  <npower@openoffice.org>  [11599592daff77a843f5453753af0ed685f05927]

tweak VBAGlobals creation/insertion, also restore overwritten visibility controls bits to moved ( erm delete and created in another director ) file. Add missing bits to enable Application.Quit and use preprocessor to include some uncompiled code


2009-09-29  Thomas Benisch  <tbe@openoffice.org>  [67e4da15e06f03248873a945cfa789fb4df8e7b6]

#i12587# Inserting/editing arbitrary text objects in chart


2009-09-28  Mathias Bauer  <mba@openoffice.org>  [5c1fb3b063bcd02395cb2afd9214e51dd8650a0b]

merge problems


2009-09-25  Mathias Bauer  <mba@openoffice.org>  [02ba2302b0e2557c2576cde59ef57ef87e703f58]

merge commit


2009-09-24  Release Engineers  <releng@openoffice.org>  [24ee591902cc334b55072aca915f06771e2a8a92]

Create DEV300_m60 milestone tag from trunk@276428


2009-09-23  Noel Power  <npower@openoffice.org>  [d2fe5ad0b6c1cb7bde5ceac814e27b17d1c43cb4]

warnings as errors


2009-09-23  Noel Power  <npower@openoffice.org>  [422ccf26a1b166773bc7b988f4d68ccda291821a]

trim unwanted patches that crept in while importing stuff from ooo-build


2009-09-19  Mathias Bauer  <mba@openoffice.org>  [3160bc7e650701f38987b38832f6a641df453afa]

better dependencies for sdi files


2009-09-18  Noel Power  <npower@openoffice.org>  [fd5b69ec1122b0e885e8e82cd684cd4971c7e057]

new and removed files


2009-09-18  Noel Power  <npower@openoffice.org>  [1cab3d63faaf6c3d782e32dca9bd68d39286d60f]

initial commit of code reorg, existing files that are modified


2009-09-18  Ivo Hinkelmann  <ihi@openoffice.org>  [ec92cc9ab227d63231723c5f673b243217f52009]

CWS-TOOLING: integrate CWS calc32stopper1 2009-09-15 15:43:23 +0200 dr  r276180 : newpic 2009-09-15 15:41:13 +0200 dr  r276179 : newpic 2009-09-15 14:58:14 +0200 dr  r276178 : #i104905# fixed note handling while importing from external data 2009-09-15 13:47:43 +0200 dr  r276173 : #i104905# fixed note handling while importing from database 2009-09-15 11:56:00 +0200 dr  r276164 : #i104155# prevent crash loading docx 2009-09-15 10:40:43 +0200 dr  r276154 : #i104990# 2009-09-15 10:27:31 +0200 dr  r276152 : #i104990# enable saving BIFF8 with password/encryption 2009-09-15 10:26:40 +0200 dr  r276151 : #i104990# enable saving BIFF8 with password/encryption 2009-09-14 19:13:11 +0200 dr  r276145 : #i105007# missing cleanup for deleted headers 2009-09-14 19:06:57 +0200 dr  r276144 : #i105007# missing cleanup for deleted headers 2009-09-14 18:53:39 +0200 dr  r276143 : #i104915# prevent crashes and misbehaviour when dealing with note cells: enter matrix, enter mult.op 2009-09-14 13:57:00 +0200 dr  r276109 : #160184# make drilldown working in exported pivottables, ported to DEV300 2009-09-11 15:16:08 +0200 nn  r276068 : #i104987# MoveBlock: pass bCut parameter 2009-09-11 15:15:22 +0200 nn  r276067 : #i104986# CopyToClip: correct order of parameters 2009-09-11 09:45:59 +0200 dr  r276053 : correct milestone


2009-09-18  Jens-Heiner Rechtien  <hr@openoffice.org>  [7015d343b762f06aef9117b0e0232d5a25ed5a02]

CWS-TOOLING: integrate CWS mba32issues02 2009-09-17 mb93783 merge commit 2009-09-03 tb121644 #i104748 - slot unification to .uno:PasteSpecial 2009-09-01 mba #101455#: code simplification 2009-08-31 mb93783 iso locales for norwegian builds are nb and nn, not no 2009-08-25 mba merge to m55 2009-07-29 mba cleanup after rebase 2009-07-29 mba #i103200#: wrong order of first and last name in CJK UI 2009-07-27 mba adding dictionary changes from broken svn CWS 2009-07-27 mba adding dictionary changes from broken svn CWS 2009-07-27 mba apply patch from broken svn CWS


2009-09-17  Kohei Yoshida  <kyoshida@novell.com>  [5b7d52a660c76bd8214f205f8658164d9e405955]

forgot to add two more new files.


2009-09-17  Kohei Yoshida  <kyoshida@novell.com>  [8fc18f7a42b4f0e3b7fa30cea0d3d6ac2dafd914]

Fixed build breakages.  Now the whole thing builds.


2009-09-17  Kohei Yoshida  <kyoshida@novell.com>  [96c86c2006ebdc79e489d27e0771e74fd2962889]

#i5560# Applied & adjusted for the latest codebase the patches from go-oo. The original patches were contributed by Daniel Watson.


2009-09-17  Ivo Hinkelmann  <ihi@openoffice.org>  [c64ee49bb8dee3895edaee7111d548816bb83116]

